<?php

    require_once '../app/model/db.class.php';
    require_once '../dompdf/dompdf_config.inc.php';
    require_once '../dompdf/www/functions.inc.php';

    if (!isset($_SESSION)) { session_start(); }

    function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".000";
     }

     if (strlen($nota)>3) {
         $nota=substr($nota ,0,5);
     }

    return $nota;

   }

   //--------------------------

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $periodo=$_REQUEST['periodo'];

    /*-------------  HTML -----------*/

    $s="<html>";
    $s.="<head>
         <meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
         <meta http-equiv='expires' content='0'>
         <meta http-equiv='Cache-Control' content='no-cache'>
         <meta http-equiv='Pragma' CONTENT='no-cache'>";
    $s.="<title></title>";
    $s.="<link rel='stylesheet' type='text/css' href='style.css'/>";
    $s.="<script type='text/javascript' src='consolidado.js'></script>";
    $s.="</head>";

    $s.="<body>";
    $s.="<center>";

    $s.="<table width='80%'>";

     $s.="<tr>";
     $s.="<td align='right' rowspan='3'><img src='../imagenes/escudo.jpg' width='90' height='90'/></td>";
    
     /*----- NOMBRE DE LA INSTITUCI&oacute;N-SEDE-GRADO-CURSO- ----- */

     $datos=$obj->consulta("select * from registrar");
     $anyo=$obj->consulta("select * from parametros");

     $row1 = $obj->fetch_assoc($anyo);
     $row_inst = $obj->fetch_assoc($datos);
     $s.="<td align='center' colspan='5'>".($row_inst['institucion'])."</td>";
     $s.="</tr>";

     $s.="<tr>";
     $s.="<td align='center' colspan='5'>DETALLE &Aacute;REAS REPROBADAS - PERIODO</td>";
     $s.="</tr>";

     $s.="<tr>";
     $s.="<td align='center' colspan='2'>PERIODO: ". $periodo."</td>";
     $s.="<td align='center' colspan='3'>A&Ntilde;O LECTIVO: ".$row1['anolectivo']."</td>";
     $s.="</tr>";
     $s.="</table></center>";

    /*--------------------------------------*/

    $num_reg="select * from cursos_temporal 
              where activar='1'
              AND rol='".$_SESSION['rol']."' 
              AND id='".$_SESSION['id']."'";

    $result5 = $obj->consulta($num_reg);
    $numero = $obj->numero_de_filas($result5); // obtenemos el numero de registros

    if  ($numero!=0) {
        
         while($reg_ren = $obj->fetch_assoc($result5)){  //--- MJS --

            $alumnos = $obj->consulta("SELECT DISTINCT(detalleboletin.alumno) FROM detalleboletin 
                                      WHERE  boletin IN (SELECT boletin.numero FROM boletin 
                                      WHERE boletin.periodo='".$periodo."'  
                                      AND boletin.grado='".$reg_ren['grado']."' 
                                      AND boletin.curso='".$reg_ren['codigo']."')");          
            
             //--Tomamos alumno por alumno y lo buscamos en en la tabla analisis_asignatura
             //-- En esta se encuentran los que perdieron asignaturas. Para poder mostrar los alumnos q reprobraron 0 asignaturas
             
              $s.="<center>";
              $s.="<table align='center' border=0 cellspacing='0' cellpadding='0' width='80%'>";
              $s.="<tr>";
              $s.="<td>GRADO: ".$reg_ren['grado']."</td>";
              $s.="</tr>";
              $s.="</table></center>";

              $s.="<center>";
              $s.="<br><table style='background-color:#CEECF5;font-size:12px' align='center' border=1 cellspacing='0' cellpadding='0' width='80%'>";

              $s.="<tr align='center'>";
              $s.="<td>".$reg_ren['descripcion']."</td>";
              $s.="<td style='font-size:12px'>ALUMNOS QUE NO REPRUEBAN &Aacute;REAS</td>";          
              $s.="</tr>";

              $s.="</table></center>";
             
             $l=1;                                   
             while($row_a = $obj->fetch_assoc($alumnos)){
             
                   $query=$obj->consulta("SELECT * from analisis_asignatura
                                          WHERE id='".$_SESSION['id']."' 
                                          AND rol='".$_SESSION['rol']."'
                                          AND grado='".$reg_ren['grado']."' 
                                          and curso='".$reg_ren['codigo']."'
                                          AND alumno='".$row_a['alumno']."'"); 
                   
                   $n = $obj->numero_de_filas($query);
                   
                   if ($n==0){
                             
                    $reg2 = $obj->consulta("select alumnos.codigo,alumnos.p_apellido,alumnos.s_apellido,alumnos.p_nombre,alumnos.s_nombre 
                                            from alumnos inner join matriculas
                                            on alumnos.codigo=matriculas.codigo 
                                            where alumnos.codigo='".$row_a['alumno']."'");
                                            
                    $row2 = $obj->fetch_assoc($reg2);



                    $s.="<center>";
                    $s.="<table align='center' border=1 cellspacing='0' cellpadding='0' width='80%'>";

                    $s.="<tr>";
                    $s.="<td width='5%' align='center' style='font-size:11px'>".$l."</td>";
                    $s.="<td width='10%' align='center' style='font-size:11px'>".$row2['codigo']."</td>";
                    $s.="<td width='45%' style='font-size:11px'>&nbsp;".$row2['p_apellido']." ".$row2['s_apellido']." ".$row2['p_nombre']." ".$row2['s_nombre']."</td>";

                    $s.="</tr>";

                    $s.="</table></center>";         
                    $l++;
                   }
             
             }
            
             //--- AHORA MOSTRAMOS LOS ALUMNOS QUE REPROBRARON AREAS----
            
            $query1=$obj->consulta("SELECT DISTINCT(total) from analisis_asignatura
                                   WHERE id='".$_SESSION['id']."' 
                                   AND rol='".$_SESSION['rol']."'
                                   AND grado='".$reg_ren['grado']."' 
                                   AND curso='".$reg_ren['codigo']."'");
            
            while($row_p = $obj->fetch_assoc($query1)){

                  $query2=$obj->consulta("SELECT * from analisis_asignatura
                                          WHERE total='".$row_p['total']."'
                                          AND id='".$_SESSION['id']."' 
                                          AND rol='".$_SESSION['rol']."'
                                          AND grado='".$reg_ren['grado']."' 
                                          AND curso='".$reg_ren['codigo']."'");
                  
                  $s.="<center>";
                  $s.="<br><table style='background-color:#CEECF5;font-size:12px' align='center' border=1 cellspacing='0' cellpadding='0' width='80%'>";

                  $s.="<tr align='center'>";
                  $s.="<td>".$reg_ren['descripcion']."</td>";
                  $s.="<td>ALUMNOS QUE REPROBRARON <B> ".$row_p['total']."</B>  &Aacute;REA(S)</td>";          
                  $s.="</tr>";

                  $s.="</table></center>";
              
                  $q=1;
                   
                  while($row_p2 = $obj->fetch_assoc($query2)){
                   
                    $reg21 = $obj->consulta("select alumnos.codigo,alumnos.p_apellido,alumnos.s_apellido,alumnos.p_nombre,alumnos.s_nombre 
                                            from alumnos inner join matriculas
                                            on alumnos.codigo=matriculas.codigo 
                                            where alumnos.codigo='".$row_p2['alumno']."'");                   
                                            
                    $row21 = $obj->fetch_assoc($reg21);

                    $s.="<center>";
                    $s.="<table align='center' border=1 cellspacing='0' cellpadding='0' width='80%'>";

                    $s.="<tr>";
                    $s.="<td width='5%' align='center' style='font-size:11px'>".$q."</td>";
                    $s.="<td width='10%' align='center' style='font-size:11px'>".$row21['codigo']."</td>";
                    $s.="<td width='45%' style='font-size:11px'>&nbsp;".$row21['p_apellido']." ".$row21['s_apellido']." ".$row2['p_nombre']." ".$row21['s_nombre']."</td>";
                    $s.="</tr>";

                    $s.="</table></center>";         
                    $q++; 
                    
                      //-----Mostramos areas reprobadas del periodo -------

                       $reg3 = $obj->consulta("select def_acum_area_periodo.alumno, 
                                               def_acum_area_periodo.area, 
                                               areas.descripcion, 
                                               def_acum_area_periodo.definitiva, 
                                               def_acum_area_periodo.valor_asigna 
                                               from areas inner join def_acum_area_periodo 
                                               on areas.codigo = def_acum_area_periodo.area
                                               WHERE def_acum_area_periodo.alumno='".$row21['codigo']."' 
                                               and def_acum_area_periodo.periodo='".$periodo."' 
                                               and def_acum_area_periodo.valor_asigna='BAJO'");


                       while($row3 = $obj->fetch_assoc($reg3)){

                            $s.="<center>";
                            $s.="<table align='center' border=0 cellspacing='0' cellpadding='0' width='80%'>";

                            $s.="<tr>";
                            $s.="<td width='5%' align='center' style='font-size:12px'>*</td>";
                            $s.="<td width='10%' align='center' style='font-size:12px'>".$row3['area']."</td>";
                            
                            $reg31 = $obj->consulta("select * from areas 
                                                     WHERE codigo='".$row3['area']."'");


                            $row31 = $obj->fetch_assoc($reg31);                             
                            
                            $s.="<td width='45%' style='font-size:10px'>".($row31['descripcion'])."</td>";
                            $s.="<td width='20%' align='center' style='font-size:12px'>".($row3['definitiva'])."</td>";
                            $s.="<td width='20%' style='font-size:12px'>".$row3['valor_asigna']."</td>";

                            $s.="</tr>";

                            $s.="</table></center>";

                      }                   
                    
                    
                    
                    
                 }              
            
            }

         }   //--- MJS --
    }


     /*--------------------------------------*/

    
     $s.="</body></html>";

   


    $obj->disconnect();

    $dompdf = new DOMPDF();
    $dompdf->load_html($s);
    $dompdf->set_paper('A4', 'portrait');
    $dompdf->render();

    $dompdf->stream("Detalle_areas_reprob_per.pdf", array("Attachment" => false));



    $obj->disconnect();

   

?>

