<?php

    require_once '../app/model/db.class.php';
    require_once '../dompdf/dompdf_config.inc.php';
    require_once '../dompdf/www/functions.inc.php';
    
    if (!isset($_SESSION)) { session_start(); }

    $obj = new database();
    $obj->conectar();

    $periodo=$_REQUEST['periodo'];

    /*-------------  HTML -----------*/

    $s="<html>";
    $s.="<body>";
    $s.="<center>";

    $s.="<table width='80%'>";

     $s.="<tr>";
     $s.="<td align='right' rowspan='3'><img src='../imagenes/escudo.jpg' width='90' height='90'/></td>";
    
     /*----- NOMBRE DE LA INSTITUCIN-SEDE-GRADO-CURSO- ----- */

     $datos=$obj->consulta("select * from registrar");
     $anyo=$obj->consulta("select * from parametros");

     $row1 = $obj->fetch_assoc($anyo);
     $row_inst = $obj->fetch_assoc($datos);
     $s.="<td align='center' colspan='5'>".($row_inst['institucion'])."</td>";
     $s.="</tr>";

     $s.="<tr>";
     $s.="<td align='center' colspan='5'>CANTIDAD DE &Aacute;REAS REPROBADAS ACUMULADAS</td>";
     $s.="</tr>";

     $s.="<tr>";
     $s.="<td align='center' colspan='2'>PERIODO: ". $periodo."</td>";
     $s.="<td align='center' colspan='3'>A&Ntilde;O LECTIVO: ".$row1['anolectivo']."</td>";
     $s.="</tr>";
     $s.="</table></center>";

    /*--------------------------------------*/

    $num_reg="select * from cursos_temporal 
              where activar='1'
              AND rol='".$_SESSION['rol']."' 
              AND id='".$_SESSION['id']."'";

    $result5 = $obj->consulta($num_reg);
    $numero = $obj->numero_de_filas($result5); // obtenemos el numero de registros

    $obj->consulta("DELETE FROM analisis_asignatura WHERE id='".$_SESSION['id']."' AND rol='".$_SESSION['rol']."'");

    if  ($numero!=0) {

         while($reg_ren = $obj->fetch_assoc($result5)){  //--- MJS --

            $suma=0;
 
            $alumnos = $obj->consulta("SELECT DISTINCT(detalleboletin.alumno) FROM detalleboletin 
                                      WHERE  boletin IN (SELECT boletin.numero FROM boletin 
                                      WHERE boletin.periodo='".$periodo."'  
                                      AND boletin.grado='".$reg_ren['grado']."' 
                                      AND boletin.curso='".$reg_ren['codigo']."')");          
            
            $total_alum= $obj->numero_de_filas($alumnos); 
            
            $reg = $obj->consulta("SELECT def_acumuladas_areas.alumno,COUNT(*) as total FROM def_acumuladas_areas 
                                  INNER JOIN areas
                                  ON def_acumuladas_areas.area=areas.codigo
                                  WHERE def_acumuladas_areas.valor_asigna='BAJO' AND areas.promediar='SI'
                                  AND def_acumuladas_areas.periodo='".$periodo."'
                                  AND def_acumuladas_areas.grado='".$reg_ren['grado']."'
                                  AND def_acumuladas_areas.curso='".$reg_ren['codigo']."'
                                  GROUP BY def_acumuladas_areas.alumno
                                  ORDER BY total");
            
            $total_bajo= $obj->numero_de_filas($reg); 
            
            $no_perdieron=$total_alum-$total_bajo;
            
            
            while($row = $obj->fetch_assoc($reg)){
                  $obj->consulta("INSERT INTO analisis_asignatura VALUES ('".$_SESSION['id']."','".$_SESSION['rol']."','".$reg_ren['grado']."','".$reg_ren['codigo']."','".$row['alumno']."',".$row['total'].")");            
            }

            $query=$obj->consulta("SELECT total as reprobadas,COUNT(*)as cantidad FROM analisis_asignatura 
                                   WHERE rol='".$_SESSION['rol']."' 
                                   AND id='".$_SESSION['id']."'
                                   AND grado='".$reg_ren['grado']."' 
                                   AND curso='".$reg_ren['codigo']."'
                                   GROUP BY total
                                   HAVING COUNT(*)>0");

              $s.="<center>";
              $s.="<table align='center' border=1 cellspacing='0' cellpadding='0' width='80%'>";
              $s.="<tr align='center'>";
              $s.="<td>".$reg_ren['descripcion']."</td>";
              $s.="<td>AREAS REPROBADAS</td>";
              $s.="<td>ALUMNOS</td>";
              $s.="</tr>";
 
               //--- Alumnos que no perdieron areas -----
               
              $s.="<tr align='center'>";
              $s.="<td colspan=2>0</td>";
              $s.="<td>".$no_perdieron."</td>";
              $s.="</tr>";  
                             
              $suma=0;
              while ($row1 = $obj->fetch_assoc($query)){
              
                $s.="<tr align='center'>";
                $s.="<td colspan=2>".$row1['reprobadas']."</td>";
                $s.="<td>".$row1['cantidad']."</td>";
                $s.="</tr>";              
                $suma=$suma+$row1['cantidad'];
              }
              
              $s.="<tr align='center'>";
              $s.="<td colspan=2>TOTAL ALUMNOS</td>";
              $s.="<td>".($suma+$no_perdieron)."</td>";
              $s.="</tr>";
              $s.="</table></center><br>";
         
         }  //--- MJS --
    }


     /*--------------------------------------*/

    
     $s.="</body></html>";

   


    $obj->disconnect();

    $dompdf = new DOMPDF();
    $dompdf->load_html($s);
    $dompdf->set_paper('A4', 'portrait');
    $dompdf->render();

    $dompdf->stream("Areas_Reprobadas.pdf", array("Attachment" => false));



    $obj->disconnect();

   

?>

