<?php
    require_once '../app/model/db.class.php';
    require_once '../dompdf/dompdf_config.inc.php';
    require_once '../dompdf/www/functions.inc.php';

    if (!isset($_SESSION)) { session_start(); }

    function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".000";
     }

     if (strlen($nota)>3) {
         $nota=substr($nota ,0,5);
     }

    return $nota;

   }

   //--------------------------

    $obj = new database();
    $obj->conectar();
    $obj->consulta("set names 'utf8'");

    $periodo=$_REQUEST['periodo'];

    /*-------------  HTML -----------*/

    $s="<html>";
    $s.="<head>
         <meta http-equiv='expires' content='0'>
         <meta http-equiv='Cache-Control' content='no-cache'>
         <meta http-equiv='Pragma' CONTENT='no-cache'>";
    $s.="<title></title>";
    $s.="<link rel='stylesheet' type='text/css' href='style.css'/>";
    $s.="<script type='text/javascript' src='consolidado.js'></script>";
    $s.="</head>";

    $s.="<body>";
    $s.="<center>";

    $s.="<table width='80%'>";

     $s.="<tr>";
     $s.="<td align='right' rowspan='3'><img src='../imagenes/escudo.jpg' width='90' height='90'/></td>";
    
     /*----- NOMBRE DE LA INSTITUCIÓN-SEDE-GRADO-CURSO- ----- */

     $datos=$obj->consulta("select * from registrar");
     $anyo=$obj->consulta("select * from parametros");

     $row1 = $obj->fetch_assoc($anyo);
     $row_inst = $obj->fetch_assoc($datos);
     $s.="<td align='center' colspan='5'>".($row_inst['institucion'])."</td>";
     $s.="</tr>";

     $s.="<tr>";
     $s.="<td align='center' colspan='5'>DETALLE ASIGNATURAS REPROBADAS - PERIODO</td>";
     $s.="</tr>";

     $s.="<tr>";
     $s.="<td align='center' colspan='2'>PERIODO: ". $periodo."</td>";
     $s.="<td align='center' colspan='3'>A&Ntilde;O LECTIVO: ".$row1['anolectivo']."</td>";
     $s.="</tr>";
     $s.="</table></center>";

    /*--------------------------------------*/

    $num_reg="select * from cursos_temporal 
              where activar='1'
              AND rol='".$_SESSION['rol']."' 
              AND id='".$_SESSION['id']."'";

    $result5 = $obj->consulta($num_reg);
    $numero = $obj->numero_de_filas($result5); // obtenemos el numero de registros

    if  ($numero!=0) {
        
         while($reg_ren = $obj->fetch_assoc($result5)){  //--- MJS --

            $alumnos = $obj->consulta("SELECT DISTINCT(detalleboletin.alumno) FROM detalleboletin 
                                      WHERE  boletin IN (SELECT boletin.numero FROM boletin 
                                      WHERE boletin.periodo='".$periodo."'  
                                      AND boletin.grado='".$reg_ren['grado']."' 
                                      AND boletin.curso='".$reg_ren['codigo']."')");          
            
             //--Tomamos alumno por alumno y lo buscamos en en la tabla analisis_asignatura
             //-- En esta se encuentran los que perdieron asignaturas. Para poder mostrar los alumnos q reprobraron 0 asignaturas
             
              $s.="<center>";
              $s.="<table align='center' border=0 cellspacing='0' cellpadding='0' width='80%'>";
              $s.="<tr>";
              $s.="<td>GRADO: ".$reg_ren['grado']."</td>";
              $s.="</tr>";
              $s.="</table></center>";

              $s.="<center>";
              $s.="<br><table style='background-color:#CEECF5;font-size:12px' align='center' border=1 cellspacing='0' cellpadding='0' width='80%'>";

              $s.="<tr align='center'>";
              $s.="<td>".$reg_ren['descripcion']."</td>";
              $s.="<td style='font-size:12px'>ALUMNOS QUE NO REPROBRARON ASIGNATURAS</td>";          
              $s.="</tr>";

              $s.="</table></center>";
             
             $l=1;                                   
             while($row_a = $obj->fetch_assoc($alumnos)){
             
                   $query=$obj->consulta("SELECT * from analisis_asignatura
                                          WHERE id='".$_SESSION['id']."' 
                                          AND rol='".$_SESSION['rol']."'
                                          AND grado='".$reg_ren['grado']."' 
                                          and curso='".$reg_ren['codigo']."'
                                          AND alumno='".$row_a['alumno']."'"); 
                   
                   $n = $obj->numero_de_filas($query);
                   
                   if ($n==0){
                             
                    $reg2 = $obj->consulta("select * from  rendimiento_general 
                                            where alumno='".$row_a['alumno']."' 
                                            AND periodo='".$periodo."' 
                                            and grado='".$reg_ren['grado']."' 
                                            and curso='".$reg_ren['codigo']."'");
                                            
                    $row2 = $obj->fetch_assoc($reg2);

                    $s.="<center>";
                    $s.="<table align='center' border=1 cellspacing='0' cellpadding='0' width='80%'>";

                    $s.="<tr>";
                    $s.="<td width='5%' align='center' style='font-size:11px'>".$l."</td>";
                    $s.="<td width='10%' align='center' style='font-size:11px'>".$row2['alumno']."</td>";
                    $s.="<td width='45%' style='font-size:11px'>&nbsp;".$row2['nombres']."</td>";
                    $s.="<td width='20%' align='center' style='font-size:11px'>Promedio : ".decimales($row2['promedio'])."</td>";
                    $s.="<td width='10%' style='font-size:11px'>&nbsp;".$row2['nivel_desempeno']."</td>";
                    $s.="<td width='10%' style='font-size:11px'>Puesto : ".$row2['puesto']."</td>";
                    $s.="</tr>";

                    $s.="</table></center>";         
                    $l++;
                   }
             
             }
            
             //--- AHORA MOSTRAMOS LOS ALUMNOS QUE REPROBRARON ASIGNATURAS----
            
            $query1=$obj->consulta("SELECT DISTINCT(total) from analisis_asignatura
                                   WHERE id='".$_SESSION['id']."' 
                                   AND rol='".$_SESSION['rol']."'
                                   AND grado='".$reg_ren['grado']."' 
                                   AND curso='".$reg_ren['codigo']."'");
            
            while($row_p = $obj->fetch_assoc($query1)){

                  $query2=$obj->consulta("SELECT * from analisis_asignatura
                                          WHERE total='".$row_p['total']."'
                                          AND id='".$_SESSION['id']."' 
                                          AND rol='".$_SESSION['rol']."'
                                          AND grado='".$reg_ren['grado']."' 
                                          AND curso='".$reg_ren['codigo']."'");
                  
                  $s.="<center>";
                  $s.="<br><table style='background-color:#CEECF5;font-size:12px' align='center' border=1 cellspacing='0' cellpadding='0' width='80%'>";

                  $s.="<tr align='center'>";
                  $s.="<td>".$reg_ren['descripcion']."</td>";
                  $s.="<td>ALUMNOS QUE REPROBRARON <B> ".$row_p['total']."</B>  ASIGNATURA(S)</td>";          
                  $s.="</tr>";

                  $s.="</table></center>";
              
                  $q=1;
                   
                  while($row_p2 = $obj->fetch_assoc($query2)){
 
                    $reg21 = $obj->consulta("select * from  rendimiento_general 
                                            where alumno='".$row_p2['alumno']."' 
                                            AND periodo='".$periodo."' 
                                            and grado='".$reg_ren['grado']."' 
                                            and curso='".$reg_ren['codigo']."'");
                                            
                    $row21 = $obj->fetch_assoc($reg21);

                    $s.="<center>";
                    $s.="<table align='center' border=1 cellspacing='0' cellpadding='0' width='80%'>";

                    $s.="<tr>";
                    $s.="<td width='5%' align='center' style='font-size:11px'>".$q."</td>";
                    $s.="<td width='10%' align='center' style='font-size:11px'>".$row21['alumno']."</td>";
                    $s.="<td width='45%' style='font-size:11px'>&nbsp;".$row21['nombres']."</td>";
                    $s.="<td width='20%' align='center' style='font-size:11px'>Promedio : ".decimales($row21['promedio'])."</td>";
                    $s.="<td width='10%' style='font-size:11px'>&nbsp;".$row21['nivel_desempeno']."</td>";
                    $s.="<td width='10%' style='font-size:11px'>Puesto : ".$row21['puesto']."</td>";
                    $s.="</tr>";

                    $s.="</table></center>";         
                    $q++; 
                    
                    
 
                      //-----Mostramos asignaturas reprobadas -------

                       $reg3 = $obj->consulta("select detalleboletin.alumno, 
                                               boletin.asignatura, 
                                               catalogo.descripcion, 
                                               detalleboletin.definitiva, 
                                               detalleboletin.valor_asigna 
                                               from catalogo 
                                               inner join (boletin 
                                               inner join detalleboletin 
                                               on boletin.numero = detalleboletin.boletin) 
                                               on catalogo.codigo = boletin.asignatura
                                               WHERE detalleboletin.alumno='".$row21['alumno']."' 
                                               and boletin.periodo='".$periodo."' 
                                               and detalleboletin.valor_asigna='BAJO'");


                       while($row3 = $obj->fetch_assoc($reg3)){

                            $s.="<center>";
                            $s.="<table align='center' border=0 cellspacing='0' cellpadding='0' width='80%'>";

                            $s.="<tr>";
                            $s.="<td width='5%' align='center' style='font-size:12px'>*</td>";
                            $s.="<td width='10%' align='center' style='font-size:12px'>".$row3['asignatura']."</td>";
                            $s.="<td width='45%' style='font-size:10px'>".$row3['descripcion']."</td>";
                            $s.="<td width='20%' align='center' style='font-size:12px'>".($row3['definitiva'])."</td>";
                            $s.="<td width='20%' style='font-size:12px'>".$row3['valor_asigna']."</td>";

                            $s.="</tr>";

                            $s.="</table></center>";

                      }                   
                    
                    
                    
                    
                 }              
            
            }

         }   //--- MJS --
    }


     /*--------------------------------------*/

    
     $s.="</body></html>";

   


    $obj->disconnect();

    $dompdf = new DOMPDF();
    $dompdf->load_html($s);
    $dompdf->set_paper('A4', 'portrait');
    $dompdf->render();

    $dompdf->stream("Detalle_asign_reprob_per.pdf", array("Attachment" => false));



    $obj->disconnect();

   

?>

