<?php
require_once '../app/model/db.class.php';
require_once '../app/model/rangos.php';
if (!isset($_SESSION)) { session_start(); }

ini_set('date.timezone','America/Bogota');
 
if (!isset($_SESSION)) { session_start(); }

if ($_POST['accion']=='retornar_rol'){

    echo $_SESSION['rol'];
}

//--------------------------------------

if ($_REQUEST['accion']=='periodos'){

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("select * from periodos");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Periodo - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}

//----------------------------------------------

if ($_POST['accion']=='mostrar_docente'){

    $codigo=$_SESSION['profesor'];
 
    $obj = new database();
    $obj->conectar();

    $query=$obj->consulta("select cedula as codigo,nombres as descripcion 
                           from profesores 
                           where cedula='".$codigo."'");

    $row = $obj->fetch_assoc($query);

    echo $row['codigo']."*".($row['descripcion']);
   
    $obj->disconnect();

}
//----------------------------------------------

if ($_REQUEST['accion']=='docentes'){

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("select * from profesores 
                               order by nombres");


    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Docente - </option>';
         while($row =$obj->fetch_assoc($resultado)){
              
               $cedula=$row['cedula'];
               
               if ($row['cedula']<10)
                   $cedula=$row['cedula']."&nbsp;&nbsp;";
               
               $opciones.='<option value="'.$row['cedula'].'">'.$cedula." - ".$row['nombres'].'</option>';
         }

         echo $opciones;
    }
    $obj->disconnect(); 
}

//--------------------------------------

if ($_REQUEST['accion']=='docentes_preescolar'){

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("select * from profesores 
                               INNER JOIN curso_asignatura_profesor 
                               on profesores.cedula=curso_asignatura_profesor.profesor
                               WHERE curso_asignatura_profesor.grado=0 
                               GROUP BY curso_asignatura_profesor.curso 
                               order by profesores.nombres");


    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Docente - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               
               $cedula=$row['cedula'];
               
               if ($row['cedula']<10)
                   $cedula=$row['cedula']."&nbsp;";
               
               $opciones.='<option value="'.$row['cedula'].'">'.$cedula." - ".$row['nombres'].'</option>';
         }

         echo $opciones;
    }
    $obj->disconnect(); 
}
//--------------------------------------

if ($_REQUEST['accion']=='labor_academica'){

    $profesor=$_REQUEST['profesor'];

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
   
    $cadena=$obj->consulta("select curso_asignatura_profesor.profesor, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, cursos.descripcion as nom_curso, curso_asignatura_profesor.asignatura, catalogo.descripcion as nom_asign, cursos.jornada, 
                            jornadas.descripcion as nom_jor 
                            from jornadas 
                            inner join (catalogo 
                            inner join (cursos 
                            inner join curso_asignatura_profesor on (cursos.codigo = curso_asignatura_profesor.curso) and (cursos.grado = curso_asignatura_profesor.grado)) on catalogo.codigo = curso_asignatura_profesor.asignatura) on jornadas.codigo = cursos.jornada 
                            where curso_asignatura_profesor.asignatura!='10_1'
                            AND curso_asignatura_profesor.profesor='".$profesor."'");
    
    
    $obj->consulta("DELETE FROM curso_asign_pro_temporal WHERE profesor='".$profesor."'");
    
    $obj->consulta("INSERT INTO curso_asign_pro_temporal(profesor, nombres,grado,curso,nom_curso,asignatura,nom_asign,jornada,nom_jor)
                    select curso_asignatura_profesor.profesor, profesores.nombres, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, cursos.descripcion as nom_curso, curso_asignatura_profesor.asignatura, catalogo.descripcion as nom_asign, 
                    cursos.jornada, jornadas.descripcion as nom_jor 
                    from profesores 
                    inner join (jornadas 
                    inner join (cursos 
                    inner join (catalogo 
                    inner join curso_asignatura_profesor on catalogo.codigo = curso_asignatura_profesor.asignatura) on 
                    (cursos.codigo = curso_asignatura_profesor.curso) and (cursos.grado = curso_asignatura_profesor.grado)) on jornadas.codigo = cursos.jornada) on profesores.cedula = curso_asignatura_profesor.profesor 
                    where curso_asignatura_profesor.asignatura!='10_1'
                    AND curso_asignatura_profesor.profesor='".$profesor."'");
    
    $obj->consulta("UPDATE curso_asign_pro_temporal SET activar='1' WHERE profesor='".$profesor."'");
    
    $n=$obj->numero_de_filas($cadena);
    $s='';

    $i=1;
    if ($n!=0){
     
    $s="<br><div><input type='checkbox' checked value='1'  id ='casilla1' onclick='marcar1(this);' /> Marcar/Desmarcar Asignaturas";
    
    $s.="<table width='80%' align='center' style='border-collapse:collapse;' cellspacing='0' cellpadding='3' border='1' >";
    $s.="<tr ALIGN='CENTER' style='font-size:12px'> <td><b>No.</b></td>  <td><b>GRADO</b></td>  <td><b>CURSO</b></td> <td><b>ASIGNATURA</b></td> <td><b>ACTIVAR</b></td>";
    $s.="</tr>";

    while($row = $obj->fetch_assoc($cadena)){

        $s.="<tr>";

        $s.="<td align='center' style='font-size: 12px' width='5%'>".$i."</td>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['grado']."</td>";
        $s.="<td style='font-size: 12px'> &nbsp;".$row['nom_curso']."</td>";
        $s.="<td style='font-size: 12px'> &nbsp;".$row['nom_asign']."</td>";
        $s.="<td width='5%' align='center'><input id='".$row['grado']."_".$row['curso']."_".$row['asignatura']."' type='checkbox' checked value='1' onclick='activar_labor(\"".$row['grado']."\",\"".$row['curso']."\",\"".$row['asignatura']."\")'/></td>";

        $s.="</tr>";
        $i++;
   }

    $s.="</table></div>";

   }

    echo $s;

    $obj->disconnect();
    
    
}
//--------------------------------------

if ($_REQUEST['accion']=='labor_academica_enlinea'){

    $profesor=$_REQUEST['profesor'];

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
   
    $cadena=$obj->consulta("select curso_asignatura_profesor.profesor, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso,cursos.codigo,cursos.descripcion as nom_curso, curso_asignatura_profesor.asignatura, catalogo.descripcion as nom_asign, cursos.jornada, 
                            jornadas.descripcion as nom_jor 
                            from jornadas 
                            inner join (catalogo 
                            inner join (cursos 
                            inner join curso_asignatura_profesor on (cursos.codigo = curso_asignatura_profesor.curso) and (cursos.grado = curso_asignatura_profesor.grado)) on catalogo.codigo = curso_asignatura_profesor.asignatura) on jornadas.codigo = cursos.jornada 
                            where curso_asignatura_profesor.profesor='".$profesor."'");
       
    $n=$obj->numero_de_filas($cadena);
    $s='';

    $i=1;
    if ($n!=0){
     
    $s="<br><div>";
    
    $s.="<table width='80%' align='center' style='border-collapse:collapse;' cellspacing='0' cellpadding='3' border='1' >";
    $s.="<tr ALIGN='CENTER' style='font-size:12px'> 
         <td><b>No.</b></td>  
         <td><b>GRADO</b></td>  
         <td colspan='2'><b>CURSO</b></td> 
         <td><b>ASIGNATURA</b></td> 
         <td><b>JORNADA</b></td> 
         <td><b>ABRIR</b></td>";
    $s.="</tr>";

    while($row = $obj->fetch_assoc($cadena)){

        $s.="<tr>";

        $s.="<td align='center' style='font-size: 12px' width='5%'>".$i."</td>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['grado']."</td>";
        $s.="<td style='font-size: 12px'> &nbsp;".$row['codigo']."</td>";
        $s.="<td style='font-size: 12px'> &nbsp;".$row['nom_curso']."</td>";
        $s.="<td style='font-size: 12px'> &nbsp;".$row['nom_asign']."</td>";
        $s.="<td style='font-size: 12px'> &nbsp;".$row['nom_jor']."</td>";
        $s.="<td width='5%' align='center'>
             <INPUT class='button small blue' TYPE='button' value=' ' onclick='calificar_linea(\"".$row['grado']."\",\"".$row['curso']."\",\"".$row['jornada']."\",\"".$row['asignatura']."\")'/></td>";

        $s.="</tr>";
        $i++;
   }

    $s.="</table></div>";

   }

    echo $s;

    $obj->disconnect();
    
    
}
//--------------------------------------

if ($_REQUEST['accion']=='labor_academica_eliminar'){

    $profesor=$_REQUEST['profesor'];

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
   
    $cadena=$obj->consulta("select curso_asignatura_profesor.profesor, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, cursos.descripcion as nom_curso, curso_asignatura_profesor.asignatura, catalogo.descripcion as nom_asign, cursos.jornada, 
                            jornadas.descripcion as nom_jor 
                            from jornadas 
                            inner join (catalogo 
                            inner join (cursos 
                            inner join curso_asignatura_profesor on (cursos.codigo = curso_asignatura_profesor.curso) and (cursos.grado = curso_asignatura_profesor.grado)) on catalogo.codigo = curso_asignatura_profesor.asignatura) on jornadas.codigo = cursos.jornada 
                            where curso_asignatura_profesor.asignatura!='10_1'
                            AND curso_asignatura_profesor.profesor='".$profesor."'");
    
    
    $obj->consulta("DELETE FROM curso_asign_pro_temporal WHERE profesor='".$profesor."'");
    
    $obj->consulta("INSERT INTO curso_asign_pro_temporal(profesor, nombres,grado,curso,nom_curso,asignatura,nom_asign,jornada,nom_jor)
                    select curso_asignatura_profesor.profesor, profesores.nombres, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, cursos.descripcion as nom_curso, curso_asignatura_profesor.asignatura, catalogo.descripcion as nom_asign, 
                    cursos.jornada, jornadas.descripcion as nom_jor 
                    from profesores 
                    inner join (jornadas 
                    inner join (cursos 
                    inner join (catalogo 
                    inner join curso_asignatura_profesor 
					          on catalogo.codigo = curso_asignatura_profesor.asignatura) on 
                    (cursos.codigo = curso_asignatura_profesor.curso) and (cursos.grado = curso_asignatura_profesor.grado)) on jornadas.codigo = cursos.jornada) on profesores.cedula = curso_asignatura_profesor.profesor 
                    where curso_asignatura_profesor.asignatura!='10_1'
                    AND curso_asignatura_profesor.profesor='" .$profesor ."'");
    
    
    $obj->consulta("UPDATE curso_asign_pro_temporal SET activar='1' WHERE profesor='".$profesor."'");
    
    $n=$obj->numero_de_filas($cadena);
    $s='';

    $i=1;
    if ($n!=0){
     
    $s="<br><div><input type='checkbox' checked value='1'  id ='casilla1' onclick='marcar1(this);' /> Marcar/Desmarcar Asignaturas";
    
    $s.="<table width='80%' align='center' style='border-collapse:collapse;' cellspacing='0' cellpadding='3' border='1' >";
    $s.="<tr ALIGN='CENTER' style='font-size:12px'> <td><b>No.</b></td>  <td><b>GRADO</b></td>  <td><b>CURSO</b></td> <td><b>ASIGNATURA</b></td> <td><b>ACTIVAR</b></td>";
    $s.="</tr>";

    while($row = $obj->fetch_assoc($cadena)){

        $s.="<tr>";

        $s.="<td align='center' style='font-size: 12px' width='5%'>".$i."</td>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['grado']."</td>";
        $s.="<td style='font-size: 12px'> &nbsp;".$row['nom_curso']."</td>";
        $s.="<td style='font-size: 12px'> &nbsp;".$row['nom_asign']."</td>";
        $s.="<td width='5%' align='center'><input id='".$row['grado']."_".$row['curso']."_".$row['asignatura']."' type='checkbox' checked value='1' onclick='activar_labor(\"".$row['grado']."\",\"".$row['curso']."\",\"".$row['asignatura']."\")'/></td>";

        $s.="</tr>";
        $i++;
   }

    $s.="</table></div>";

   }

    echo $s;

    $obj->disconnect();
    
    
}

//--------------------------------------

if ($_REQUEST['accion']=='labor_academica_preescolar'){

    $profesor=$_REQUEST['profesor'];

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
   
    $cadena=$obj->consulta("select curso_asignatura_profesor.profesor, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, cursos.descripcion as nom_curso, curso_asignatura_profesor.asignatura, catalogo.descripcion as nom_asign, cursos.jornada, 
                            jornadas.descripcion as nom_jor 
                            from jornadas 
                            inner join (catalogo 
                            inner join (cursos 
                            inner join curso_asignatura_profesor on (cursos.codigo = curso_asignatura_profesor.curso) and (cursos.grado = curso_asignatura_profesor.grado)) on catalogo.codigo = curso_asignatura_profesor.asignatura) on jornadas.codigo = cursos.jornada 
                            where curso_asignatura_profesor.grado=0 AND curso_asignatura_profesor.profesor='".$profesor."'");
        
    $obj->consulta("DELETE FROM curso_asign_pro_temporal WHERE profesor='".$_SESSION['profesor']."'");
    
    $obj->consulta("INSERT INTO curso_asign_pro_temporal(profesor, nombres,grado,curso,nom_curso,asignatura,nom_asign,jornada,nom_jor)
                    select curso_asignatura_profesor.profesor, profesores.nombres, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, cursos.descripcion as nom_curso, curso_asignatura_profesor.asignatura, catalogo.descripcion as nom_asign, 
                    cursos.jornada, jornadas.descripcion as nom_jor 
                    from profesores 
                    inner join (jornadas 
                    inner join (cursos 
                    inner join (catalogo 
                    inner join curso_asignatura_profesor on catalogo.codigo = curso_asignatura_profesor.asignatura) on 
                    (cursos.codigo = curso_asignatura_profesor.curso) and (cursos.grado = curso_asignatura_profesor.grado)) on jornadas.codigo = cursos.jornada) on profesores.cedula = curso_asignatura_profesor.profesor 
                    where curso_asignatura_profesor.grado=0 AND curso_asignatura_profesor.profesor='" .$profesor ."'");
       
    $obj->consulta("UPDATE curso_asign_pro_temporal SET activar='1' WHERE profesor='".$profesor."'");
    
    $n=$obj->numero_de_filas($cadena);
    $s='';

    $i=1;
    if ($n!=0){
     
    $s="<br><div><input type='checkbox' checked value='1'  id ='casilla1' onclick='marcar1(this);' /> Marcar/Desmarcar Asignaturas";
    
    $s.="<table width='80%' align='center' style='border-collapse:collapse;' cellspacing='0' cellpadding='3' border='1' >";
    $s.="<tr ALIGN='CENTER' style='font-size:12px'> <td><b>No.</b></td>  <td><b>GRADO</b></td>  <td><b>CURSO</b></td> <td><b>ASIGNATURA</b></td> <td><b>ACTIVAR</b></td>";
    $s.="</tr>";

    while($row = $obj->fetch_assoc($cadena)){

        $s.="<tr>";

        $s.="<td align='center' style='font-size: 12px' width='5%'>".$i."</td>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['grado']."</td>";
        $s.="<td style='font-size: 12px'> &nbsp;".$row['nom_curso']."</td>";
        $s.="<td style='font-size: 12px'> &nbsp;".$row['nom_asign']."</td>";
        $s.="<td width='5%' align='center'><input id='".$row['grado']."_".$row['curso']."_".$row['asignatura']."' type='checkbox' checked value='1' onclick='activar_labor(\"".$row['grado']."\",\"".$row['curso']."\",\"".$row['asignatura']."\")'/></td>";

        $s.="</tr>";
        $i++;
   }

    $s.="</table></div>";

   }

    echo $s;

    $obj->disconnect();
    
    
}

//--------------------------------------

if ($_REQUEST['accion']=='labor_academica_asignatura'){

    $profesor=$_REQUEST['profesor'];

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
      
    $cadena=$obj->consulta("select curso_asignatura_profesor.profesor, curso_asignatura_profesor.asignatura, catalogo.descripcion as nom_asign 
                            from  curso_asignatura_profesor 
                            INNER JOIN catalogo on catalogo.codigo = curso_asignatura_profesor.asignatura 
                            where curso_asignatura_profesor.asignatura!='10_1' 
                            AND curso_asignatura_profesor.profesor='".$profesor."' 
                            GROUP BY curso_asignatura_profesor.asignatura order by catalogo.orden");
   
    $obj->consulta("DELETE FROM curso_asign_pro_temporal WHERE profesor='".$_SESSION['profesor']."'");
    
    $obj->consulta("INSERT INTO curso_asign_pro_temporal(profesor,asignatura,nom_asign)
                    SELECT curso_asignatura_profesor.profesor, curso_asignatura_profesor.asignatura, catalogo.descripcion as nom_asign 
                    FROM  curso_asignatura_profesor 
                    INNER JOIN catalogo on catalogo.codigo = curso_asignatura_profesor.asignatura 
                    where curso_asignatura_profesor.asignatura!='10_1' 
                    AND curso_asignatura_profesor.profesor='".$profesor."' 
                    GROUP BY curso_asignatura_profesor.asignatura order by catalogo.orden");
       
    $obj->consulta("UPDATE curso_asign_pro_temporal SET activar='1' WHERE profesor='".$profesor."'");
    
    $n=$obj->numero_de_filas($cadena);
    $s='';

    $i=1;
    if ($n!=0){
     
    $s="<div><input type='checkbox' checked value='1'  id ='casilla1' onclick='marcar1(this);' /> Marcar/Desmarcar Asignaturas";
    
    $s.="<table width='50%' align='center' style='border-collapse:collapse;' cellspacing='0' cellpadding='3' border='1' >";
    $s.="<tr ALIGN='CENTER' style='font-size:12px'> <td><b>No.</b></td>  <td><b>ASIGNATURA</b></td> <td><b>ACTIVAR</b></td>";
    $s.="</tr>";

    while($row = $obj->fetch_assoc($cadena)){

        $s.="<tr>";

        $s.="<td align='center' style='font-size: 12px' width='5%'>".$i."</td>";
        $s.="<td style='font-size: 12px'> &nbsp;".$row['nom_asign']."</td>";
        $s.="<td width='5%' align='center'><input id='".$row['asignatura']."' type='checkbox' checked value='1' onclick='activar_labor_asignatura(\"".$row['asignatura']."\")'/></td>";

        $s.="</tr>";
        $i++;
   }

    $s.="</table></div>";

   }

    echo $s;

    $obj->disconnect();
    
    
}
//--------------------------------------

if ($_REQUEST['accion']=='activar_labor'){

    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    $asignatura=$_REQUEST['asignatura'];
    $estado=$_REQUEST['estado'];
    $profesor=$_REQUEST['profesor'];
         
    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar();
    $obj->consulta("UPDATE curso_asign_pro_temporal SET activar='".$estado."' 
                    where grado='".$grado."' 
                    and curso='".$curso."' 
                    and asignatura='".$asignatura."' 
                    AND profesor='".$profesor."'");

    $obj->disconnect();

}

//--------------------------------------

if ($_REQUEST['accion']=='activar_labor_asignatura'){

    $asignatura=$_REQUEST['asignatura'];
    $estado=$_REQUEST['estado'];
         
    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar();
    $obj->consulta("UPDATE curso_asign_pro_temporal SET activar='".$estado."' where asignatura='".$asignatura."' AND profesor='".$_SESSION['profesor']."'");

    $obj->disconnect();

}
//--------------------------------------

if ($_REQUEST['accion']=='marcar_desmarcar_asignaturas'){

    $estado=$_REQUEST['estado'];
    $profesor=$_REQUEST['profesor'];
    
    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar();
    $obj->consulta("UPDATE curso_asign_pro_temporal SET activar='".$estado."' 
                    WHERE profesor='".$profesor."'");


}

//--------------------------------------

if ($_REQUEST['accion']=='eliminar_planillas_admin'){

$profesor = $_REQUEST['profesor'];
$periodo = $_REQUEST['periodo'];

$obj = new database();
$obj->conectar(); $obj->consulta("set names 'utf8'");


    $nm = $obj->consulta("SELECT * FROM curso_asign_pro_temporal WHERE activar=1 AND profesor='".$profesor."'");

    if ($obj->numero_de_filas($nm)>0){

        $borrar='false';
        while ($row = $obj->fetch_assoc($nm)) {

              $bol = $obj->consulta("select numero,grado, curso,periodo, asignatura, jornada 
                                      from boletin
                                      where grado='".$row['grado']."' 
                                      and curso='".$row['curso']."' 
                                      and periodo='".$periodo."' 
                                      and asignatura='".$row['asignatura']."'");
             
              $n=$obj->numero_de_filas($bol); // obtenemos el numero de filas

              if ($n==1) {
              
                   $val = $obj->fetch_assoc($bol);

                   $indi=$obj->consulta("SELECT * FROM detalleboletin WHERE boletin='".$val['numero']."'");
                   
                   while ($row_i = $obj->fetch_assoc($indi)) {
                          $obj->consulta("DELETE FROM indicadores WHERE detalle_boletin='".$row_i['secuencial']."'");
                   }
                  
                  $obj->consulta("DELETE FROM detalleboletin WHERE boletin='".$val['numero']."'");
                  $obj->consulta("DELETE FROM boletin WHERE numero='".$val['numero']."'");                 
                  $borrar='true';
              }

        }
        
        if ($borrar=='true')
           echo "PLANILLAS ELIMINADAS";
        else 
           echo "NO SE ELIMINARON LAS PLANILLAS ";
    }
    else
        echo "NO EXISTEN PLANILLAS PARA ELIMINAR";

 $obj->consulta("DELETE FROM curso_asign_pro_temporal WHERE profesor='".$profesor."'");

 $obj->disconnect(); 
}

//--------------------------------------

if ($_REQUEST['accion']=='eliminar_planillas_docente'){

$profesor = $_REQUEST['profesor'];
$periodo = $_REQUEST['periodo'];

$obj = new database();
$obj->conectar(); 
$obj->consulta("set names 'utf8'");

    $nm = $obj->consulta("SELECT * FROM curso_asign_pro_temporal WHERE activar=1 AND profesor='".$profesor."'");

    if ($obj->numero_de_filas($nm)>0){

        $cantidad=0;
        while ($row = $obj->fetch_assoc($nm)) {

             $estado_grabar='true';
    
             $labor = $obj->consulta("SELECT fecha_planilla_p".$periodo." 
                                      FROM curso_asignatura_profesor 
                                      WHERE grado='".$row['grado']."' 
                                      and curso='".$row['curso']."' 
                                      and asignatura='".$row['asignatura']."'");
                                      
             $fecha= $obj->fetch_assoc($labor);
  
             if(date('Y-m-d H:i:s')> $fecha['fecha_planilla_p'.$periodo])
                $estado_grabar='false';
                 
             if ($estado_grabar=='true'){  // --- FECHA PLANILLA --

                 $bol = $obj->consulta("select numero,grado, curso,periodo, asignatura, jornada 
                                        from boletin
                                        where grado='".$row['grado']."' 
                                        and curso='".$row['curso']."' 
                                        and periodo='".$periodo."' 
                                        and asignatura='".$row['asignatura']."'");
             
                 $n=$obj->numero_de_filas($bol); // obtenemos el numero de filas

                 if ($n==1) {
              
                     $val = $obj->fetch_assoc($bol);

                     $indi=$obj->consulta("SELECT * FROM detalleboletin WHERE boletin='".$val['numero']."'");
                   
                     while ($row_i = $obj->fetch_assoc($indi)) {
                    
                            $obj->consulta("DELETE from indicadores where detalle_boletin='".$row_i['secuencial']."'");
                            $obj->consulta("DELETE from indicadores_saber where detalle_boletin='".$row_i['secuencial']."'");
                            $obj->consulta("DELETE from indicadores_hacer where detalle_boletin='".$row_i['secuencial']."'");
                                    
                     }
                  
                     $obj->consulta("DELETE FROM detalleboletin WHERE boletin='".$val['numero']."'");
                     $obj->consulta("DELETE FROM boletin 
                                     WHERE numero='".$val['numero']."'");                 
                    
                     $cantidad=$cantidad+1;
                 }
            }
        }
        echo "SE ELIMINARON ".$cantidad." PLANILLAS";
        
    }
    else
        echo "NO EXISTEN PLANILLAS PARA ELIMINAR";


 $obj->consulta("DELETE FROM curso_asign_pro_temporal WHERE profesor='".$profesor."'");     

 $obj->disconnect(); 
}
?>
