<?php
require_once '../app/model/db.class.php';
require_once '../PHPExcel/PHPExcel.php';

if (!isset($_SESSION)) { session_start(); }

function color_celda($cells,$color){
    global $objPHPExcel;

    $objPHPExcel->getActiveSheet()->getStyle($cells)->getFill()->applyFromArray(array(
        'type' => PHPExcel_Style_Fill::FILL_SOLID,
        'startcolor' => array(
        'rgb' => $color
        )
    ));
}

//-------------------------------------

$profesor = $_REQUEST['profesor'];
$periodo = $_REQUEST['periodo'];

$obj = new database();
$obj->conectar();
$obj->consulta("set names 'utf8'");

//---------------------------------------------------------------------------

// Se crea el objeto PHPExcel
$objPHPExcel = new PHPExcel();

// Se asignan las propiedades del libro
$objPHPExcel->getProperties()->setCreator("Academic Reports") //Autor
  			     ->setLastModifiedBy("Academic Reports") //Ultimo usuario que lo modific
				     ->setTitle("Planillas")
				     ->setSubject("Planillas")
				     ->setDescription("Planillas")
				     ->setKeywords("Planillas")
				     ->setCategory("Planillas");

$estiloInformacion = new PHPExcel_Style();
$estiloInformacion->applyFromArray(array('font'=>array('name'=>'Arial','size'=>9,'color'=> array('rgb' => '000000')),'borders' => array('allborders' => array('style' => PHPExcel_Style_Border::BORDER_THIN))));

$colorcelda = new PHPExcel_Style();
$colorcelda->applyFromArray(array('fill'=> array('type'=> PHPExcel_Style_Fill::FILL_GRADIENT_LINEAR,'rotation' => 90,'startcolor' => array('rgb'=> 'FCC5DD'),'endcolor'=> array('argb' => 'FCC5DD'))));



//----------------------------------------------------------------------------

$nm = $obj->consulta("SELECT * FROM curso_asign_pro_temporal 
                      WHERE profesor='".$profesor."' 
                      AND activar=1");

$tot = $obj->numero_de_filas($nm);

//--- Informacion Colegio

$rs=$obj->consulta("select * from registrar");
$info=$obj->fetch_assoc($rs);

$Hoja=0; 

if ($tot > 0) {

    $resultadoe = $obj->consulta("SELECT * FROM curso_asign_pro_temporal 
                                  WHERE profesor='".$profesor."' 
                                  AND activar='1'");
      
    while ($x = $obj->fetch_assoc($resultadoe)) {

      $cadena=$obj->consulta("select matriculas.codigo, 
                              CONCAT(p_apellido,' ',s_apellido,' ',p_nombre,' ', s_nombre) as nombre_alumno 
                              from alumnos 
                              inner join matriculas 
                              on alumnos.codigo = matriculas.codigo 
                              where matriculas.grado='".$x['grado']."' 
                              and matriculas.curso='".$x['curso']."' 
                              and matriculas.estado='A' 
                              order by p_apellido,s_apellido,p_nombre,s_nombre");

      
      if ($Hoja!=0)       
          $objPHPExcel->createSheet(0);//creamos la pestaa       
  		

    $i=10; 
    while($row = $obj->fetch_assoc($cadena)){                 
	
      //--- SE crea una nueva Hoja ----
       
          $objPHPExcel->getActiveSheet()->getStyle('A'.($i-1))->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);    

          $objPHPExcel->setActiveSheetIndex(0)
        	            ->setCellValue('A'.$i,  $row['codigo'])
		                  ->setCellValue('B'.$i,  $row['nombre_alumno']);


         //---FORMULA PARA LA DEFINITIVA DE ITEMS------
          
            $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "A".$i.":AL".$i);

            $objPHPExcel->getActiveSheet()->setCellValue("P".$i,"=ROUND(F".$i."*F9+G".$i."*G9+H".$i."*H9+I".$i."*I9+J".$i."*J9+K".$i."*K9+L".$i."*L9+M".$i."*M9+N".$i."*N9+O".$i."*O9,1)");        
            $objPHPExcel->getActiveSheet()->setCellValue("AA".$i,"=ROUND(Q".$i."*Q9+R".$i."*R9+S".$i."*S9+T".$i."*T9+U".$i."*U9+V".$i."*V9+W".$i."*W9+X".$i."*X9+Y".$i."*Y9+Z".$i."*Z9,1)");        
            $objPHPExcel->getActiveSheet()->setCellValue("AD".$i,"=ROUND(AB".$i."*AB9+AC".$i."*AC9,1)");        
                                                                  
            //---- DEFINITIVA ------
            
            $objPHPExcel->getActiveSheet()->setCellValue("AE".$i,"=ROUND((P".$i."*P9+AA".$i."*AA9+AD".$i."*AD9),1)");                       
         
            //---- CONSOLIDADO ------
         
            if ($periodo=='1'){
                $objPHPExcel->getActiveSheet()->setCellValue("AG".$i,"=AE".$i); 
                $objPHPExcel->getActiveSheet()->setCellValue("AK".$i,"=AG".$i."*25%");
            
             //-----------------------------
  
             
            $objConditionalStyle = new PHPExcel_Style_Conditional();
            $objConditionalStyle->setConditionType(PHPExcel_Style_Conditional::CONDITION_CELLIS)
                                ->setOperatorType(PHPExcel_Style_Conditional::OPERATOR_LESSTHAN)
                                ->addCondition('3');
    
            $objConditionalStyle->getStyle()->getFont()->getColor()->setRGB('FF0000');
            $objConditionalStyle->getStyle()->getFont()->setBold(true);


            $conditionalStyles = $objPHPExcel->getActiveSheet()->getStyle("AK".$i)
                                             ->getConditionalStyles();
                                  
            array_push($conditionalStyles, $objConditionalStyle);

            $objPHPExcel->getActiveSheet()->getStyle("AK".$i)
                                          ->setConditionalStyles($conditionalStyles);             
                                                          
            }
            else if ($periodo=='2'){
            
                $query1=$obj->consulta("SELECT definitiva 
                                        FROM detalleboletin
                                        WHERE alumno='".$row['codigo']."' 
                                        AND boletin
                                        IN (SELECT numero 
                                            FROM boletin
                                            WHERE grado='".$x['grado']."' 
                                            AND curso='".$x['curso']."'
                                            AND asignatura='".$x['asignatura']."'
                                            AND periodo='1')");
                
                $n1 = $obj->fetch_assoc($query1);
                
                $objPHPExcel->getActiveSheet()->setCellValue("AG".$i,$n1['definitiva']); 
                $objPHPExcel->getActiveSheet()->setCellValue("AH".$i,"=AE".$i); 
                $objPHPExcel->getActiveSheet()->setCellValue("AK".$i,"=(AG".$i."+AH".$i.")/2");
            
            
             //-----------------------------
  
             
            $objConditionalStyle = new PHPExcel_Style_Conditional();
            $objConditionalStyle->setConditionType(PHPExcel_Style_Conditional::CONDITION_CELLIS)
                                ->setOperatorType(PHPExcel_Style_Conditional::OPERATOR_LESSTHAN)
                                ->addCondition('3');
    
            $objConditionalStyle->getStyle()->getFont()->getColor()->setRGB('FF0000');
            $objConditionalStyle->getStyle()->getFont()->setBold(true);


            $conditionalStyles = $objPHPExcel->getActiveSheet()->getStyle("AK".$i)
                                             ->getConditionalStyles();
                                  
            array_push($conditionalStyles, $objConditionalStyle);

            $objPHPExcel->getActiveSheet()->getStyle("AK".$i)
                                          ->setConditionalStyles($conditionalStyles);             
                         
            }
         
            else if ($periodo=='3'){
            
                $query1=$obj->consulta("SELECT definitiva 
                                        FROM detalleboletin
                                        WHERE alumno='".$row['codigo']."' 
                                        AND boletin
                                        IN (SELECT numero 
                                            FROM boletin
                                            WHERE grado='".$x['grado']."' 
                                            AND curso='".$x['curso']."'
                                            AND asignatura='".$x['asignatura']."'
                                            AND periodo='1')");
                
                $n1 = $obj->fetch_assoc($query1);
                //-----------------
                $n_filas1=$obj->numero_de_filas($query1); 
                
                if ($n_filas1==0) 
                    $nota1=0;
                else
                    $nota1=$n1['definitiva'];
                //------------------                  
                $query2=$obj->consulta("SELECT definitiva 
                                        FROM detalleboletin
                                        WHERE alumno='".$row['codigo']."' 
                                        AND boletin
                                        IN (SELECT numero 
                                            FROM boletin
                                            WHERE grado='".$x['grado']."' 
                                            AND curso='".$x['curso']."'
                                            AND asignatura='".$x['asignatura']."'
                                            AND periodo='2')");
                
                $n2 = $obj->fetch_assoc($query2);                
                //-----------------
                $n_filas2=$obj->numero_de_filas($query2); 
                
                if ($n_filas2==0) 
                    $nota2=0;
                else
                    $nota2=$n2['definitiva'];
                //------------------                  
                $objPHPExcel->getActiveSheet()->setCellValue("AG".$i,$nota1); 
                $objPHPExcel->getActiveSheet()->setCellValue("AH".$i,$nota2);                
                $objPHPExcel->getActiveSheet()->setCellValue("AI".$i,"=AE".$i); 
                               
                $cifra="ROUND((AG".$i."+AH".$i."+AI".$i.")/3,2)";                                    
                $objPHPExcel->getActiveSheet()->setCellValue("AK".$i,"=IF((LEN(".$cifra.")=4),IF((MID(".$cifra.",4,1)*1)>=5,ROUNDUP(".$cifra.",1),ROUNDDOWN(".$cifra.",1)),".$cifra.")");

                $objPHPExcel->getActiveSheet()->setCellValue("AL".$i,"=12-(AG".$i."+AH".$i."+AI".$i.")");                       

             //-----------------------------
  
             
            $objConditionalStyle = new PHPExcel_Style_Conditional();
            $objConditionalStyle->setConditionType(PHPExcel_Style_Conditional::CONDITION_CELLIS)
                                ->setOperatorType(PHPExcel_Style_Conditional::OPERATOR_LESSTHAN)
                                ->addCondition('3');
    
            $objConditionalStyle->getStyle()->getFont()->getColor()->setRGB('FF0000');
            $objConditionalStyle->getStyle()->getFont()->setBold(true);


            $conditionalStyles = $objPHPExcel->getActiveSheet()->getStyle("AK".$i)
                                             ->getConditionalStyles();
                                  
            array_push($conditionalStyles, $objConditionalStyle);

            $objPHPExcel->getActiveSheet()->getStyle("AK".$i)
                                          ->setConditionalStyles($conditionalStyles);             
             
        
           
           
           
            }         
         
            else if ($periodo=='4'){
            
                $query1=$obj->consulta("SELECT definitiva 
                                        FROM detalleboletin
                                        WHERE alumno='".$row['codigo']."' 
                                        AND boletin
                                        IN (SELECT numero 
                                            FROM boletin
                                            WHERE grado='".$x['grado']."' 
                                            AND curso='".$x['curso']."'
                                            AND asignatura='".$x['asignatura']."'
                                            AND periodo='1')");
                
                $n1 = $obj->fetch_assoc($query1);
                //-----------------
                $n_filas1=$obj->numero_de_filas($query1); 
                
                if ($n_filas1==0) 
                    $nota1=0;
                else
                    $nota1=$n1['definitiva'];
                //------------------                  
                $query2=$obj->consulta("SELECT definitiva 
                                        FROM detalleboletin
                                        WHERE alumno='".$row['codigo']."' 
                                        AND boletin
                                        IN (SELECT numero 
                                            FROM boletin
                                            WHERE grado='".$x['grado']."' 
                                            AND curso='".$x['curso']."'
                                            AND asignatura='".$x['asignatura']."'
                                            AND periodo='2')");
                
                $n2 = $obj->fetch_assoc($query2);                
                //-----------------
                $n_filas2=$obj->numero_de_filas($query2); 
                
                if ($n_filas2==0) 
                    $nota2=0;
                else
                    $nota2=$n2['definitiva'];
                //------------------  
                $query3=$obj->consulta("SELECT definitiva 
                                        FROM detalleboletin
                                        WHERE alumno='".$row['codigo']."' 
                                        AND boletin
                                        IN (SELECT numero 
                                            FROM boletin
                                            WHERE grado='".$x['grado']."' 
                                            AND curso='".$x['curso']."'
                                            AND asignatura='".$x['asignatura']."'
                                            AND periodo='3')");
                
                $n3 = $obj->fetch_assoc($query3); 
                //-----------------
                $n_filas3=$obj->numero_de_filas($query3); 
                
                if ($n_filas3==0) 
                    $nota3=0;
                else
                    $nota3=$n3['definitiva'];
                //------------------                
                $objPHPExcel->getActiveSheet()->setCellValue("AG".$i,$nota1); 
                $objPHPExcel->getActiveSheet()->setCellValue("AH".$i,$nota2);                
                $objPHPExcel->getActiveSheet()->setCellValue("AI".$i,$nota3); 
                $objPHPExcel->getActiveSheet()->setCellValue("AJ".$i,"=AE".$i); 

                $cifra="ROUND((AG".$i."+AH".$i."+AI".$i."+AJ".$i.")/4,2)";                                    
                $objPHPExcel->getActiveSheet()->setCellValue("AK".$i,"=IF((LEN(".$cifra.")=4),IF((MID(".$cifra.",4,1)*1)>=5,ROUNDUP(".$cifra.",1),ROUNDDOWN(".$cifra.",1)),".$cifra.")");

                $objPHPExcel->getActiveSheet()->setCellValue("AL".$i,"=12-(AG".$i."+AH".$i."+AI".$i.")");                       

                
             //-----------------------------
               
            $objConditionalStyle = new PHPExcel_Style_Conditional();
            $objConditionalStyle->setConditionType(PHPExcel_Style_Conditional::CONDITION_CELLIS)
                                ->setOperatorType(PHPExcel_Style_Conditional::OPERATOR_LESSTHAN)
                                ->addCondition('3');
    
            $objConditionalStyle->getStyle()->getFont()->getColor()->setRGB('FF0000');
            $objConditionalStyle->getStyle()->getFont()->setBold(true);


            $conditionalStyles = $objPHPExcel->getActiveSheet()->getStyle("AK".$i)
                                             ->getConditionalStyles();
                                  
            array_push($conditionalStyles, $objConditionalStyle);

            $objPHPExcel->getActiveSheet()->getStyle("AK".$i)
                                          ->setConditionalStyles($conditionalStyles);             
                                                       
            }

         $i++;
    }
  
  	// Se asigna el nombre a la hoja
		$objPHPExcel->getActiveSheet()->setTitle("Hoja_".$Hoja);
    $Hoja++;
 
    //--- Coloca recuadros a las celdas -----

     $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "C3:C6");
     $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "H3:H6");

     color_celda('C3:C6','FFFF00');
     color_celda('H3:H6','FFFF00');
    	 	 
     color_celda("P10:P".($i-1),'F8AFAF');
     color_celda("AA10:AA".($i-1),'F8AFAF'); 	 
     color_celda("AD10:AD".($i-1),'F8AFAF'); 
     color_celda("AE10:AE".($i-1),'F8AFAF');          
     
  if ($x['asignatura']!='10_1'){
     
	   $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "C8:AK8");	  
     $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "A9:AL9"); 

     color_celda('C8:AK9','CEECF5');
     color_celda('AL9:AL9','CEECF5');
          
     color_celda('P8:P9','FFFF00');
     color_celda('AA8:AA9','FFFF00');
     color_celda('AD8:AD9','FFFF00');
     color_celda('AE8:AE9','FFFF00');
   }    
   else
 
     $objPHPExcel->getActiveSheet()->getStyle('B3:B6')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
 
     $objPHPExcel->getActiveSheet()->getStyle('C3:C6')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
     $objPHPExcel->getActiveSheet()->getStyle('H3:H6')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
     $objPHPExcel->getActiveSheet()->getStyle('C8:AL9')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);

     $objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(8);
     $objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(36);
     $objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(6);
 
   if ($x['asignatura']!='10_1')    
       $objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(6);
       
   else 
       $objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(40);
     
     $objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(6);
     
     $objPHPExcel->getActiveSheet()->getColumnDimension('F')->setWidth(10);
     $objPHPExcel->getActiveSheet()->getColumnDimension('G')->setWidth(10);
     $objPHPExcel->getActiveSheet()->getColumnDimension('H')->setWidth(10);
     $objPHPExcel->getActiveSheet()->getColumnDimension('I')->setWidth(5);
     $objPHPExcel->getActiveSheet()->getColumnDimension('J')->setWidth(5);     
     $objPHPExcel->getActiveSheet()->getColumnDimension('K')->setWidth(5);  
     $objPHPExcel->getActiveSheet()->getColumnDimension('L')->setWidth(5);  
     $objPHPExcel->getActiveSheet()->getColumnDimension('M')->setWidth(5);
     $objPHPExcel->getActiveSheet()->getColumnDimension('N')->setWidth(5);
     $objPHPExcel->getActiveSheet()->getColumnDimension('O')->setWidth(5);
     
     $objPHPExcel->getActiveSheet()->getColumnDimension('P')->setWidth(10);
     
     $objPHPExcel->getActiveSheet()->getColumnDimension('Q')->setWidth(5);
     $objPHPExcel->getActiveSheet()->getColumnDimension('R')->setWidth(5);     
     $objPHPExcel->getActiveSheet()->getColumnDimension('S')->setWidth(5);  
     $objPHPExcel->getActiveSheet()->getColumnDimension('T')->setWidth(5);  
     $objPHPExcel->getActiveSheet()->getColumnDimension('U')->setWidth(5);                                           
     $objPHPExcel->getActiveSheet()->getColumnDimension('V')->setWidth(5);     
     $objPHPExcel->getActiveSheet()->getColumnDimension('W')->setWidth(5);  
     $objPHPExcel->getActiveSheet()->getColumnDimension('X')->setWidth(5);  
     $objPHPExcel->getActiveSheet()->getColumnDimension('Y')->setWidth(5); 
     $objPHPExcel->getActiveSheet()->getColumnDimension('Z')->setWidth(5); 	 

     $objPHPExcel->getActiveSheet()->getColumnDimension('AA')->setWidth(10);

     $objPHPExcel->getActiveSheet()->getColumnDimension('AB')->setWidth(10); 
     $objPHPExcel->getActiveSheet()->getColumnDimension('AC')->setWidth(10); 	 

     $objPHPExcel->getActiveSheet()->getColumnDimension('AD')->setWidth(10);

     $objPHPExcel->getActiveSheet()->getColumnDimension('AE')->setWidth(12);
     $objPHPExcel->getActiveSheet()->getColumnDimension('AF')->setWidth(12);
     
     
     
     $objPHPExcel->getActiveSheet()->getColumnDimension('AG')->setWidth(6);
     $objPHPExcel->getActiveSheet()->getColumnDimension('AH')->setWidth(6);
     $objPHPExcel->getActiveSheet()->getColumnDimension('AI')->setWidth(6);
     $objPHPExcel->getActiveSheet()->getColumnDimension('AJ')->setWidth(6);
     $objPHPExcel->getActiveSheet()->getColumnDimension('AK')->setWidth(6);
     
     $objPHPExcel->getActiveSheet()->getColumnDimension('AL')->setWidth(10);                              
     //--- Bloquear celdas ----
         
     $objPHPExcel->getActiveSheet()->protectCells('A1:AL'.($i-1),'susana'); 
     $objPHPExcel->getActiveSheet()->getProtection()->setSheet(true);
          
    if ($x['asignatura']!='10_1') {    
	                               
     //---Desbloquear celdas ---
 
     $objPHPExcel->getActiveSheet()->getStyle('C10:O'.($i-1))->getProtection()->setLocked(PHPExcel_Style_Protection::PROTECTION_UNPROTECTED);          
     $objPHPExcel->getActiveSheet()->getStyle('F9:O9')->getProtection()->setLocked(PHPExcel_Style_Protection::PROTECTION_UNPROTECTED);          
  
     $objPHPExcel->getActiveSheet()->getStyle('Q9:Z9')->getProtection()->setLocked(PHPExcel_Style_Protection::PROTECTION_UNPROTECTED);          
     $objPHPExcel->getActiveSheet()->getStyle('Q10:Z'.($i-1))->getProtection()->setLocked(PHPExcel_Style_Protection::PROTECTION_UNPROTECTED);          
     
     $objPHPExcel->getActiveSheet()->getStyle('AB10:AC'.($i-1))->getProtection()->setLocked(PHPExcel_Style_Protection::PROTECTION_UNPROTECTED);    
     $objPHPExcel->getActiveSheet()->getStyle('AF10:AF'.($i-1))->getProtection()->setLocked(PHPExcel_Style_Protection::PROTECTION_UNPROTECTED);    

    //--- CENTRAR LA INFORMACION ----
    
    $objPHPExcel->getActiveSheet()->getStyle('C10:AL'.($i-1))->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
  
  }

    //-------- Encabezado --------------------------

     $consulta0 = "SELECT grados.codigo as cod_gra,grados.descripcion AS nom_gra, cursos.codigo as cod_cur,cursos.descripcion AS nom_cur,jornadas.codigo as cod_jor,jornadas.descripcion AS nom_jor,
                   profesores.cedula,profesores.nombres as titular 
                   FROM (jornadas 
                   INNER JOIN (grados 
                   INNER JOIN cursos ON grados.codigo = cursos.grado) ON jornadas.codigo = cursos.jornada)
                   INNER JOIN (profesores 
                   INNER JOIN titulares ON profesores.cedula = titulares.profesor) ON (cursos.codigo = titulares.curso) AND (cursos.grado = titulares.grado) 
                   WHERE cursos.grado='".$x['grado']."' AND cursos.codigo='".$x['curso']."'";

     $resultado0 = $obj->consulta($consulta0);
     $fila0 = $obj->fetch_assoc($resultado0);

		 $objPHPExcel->setActiveSheetIndex(0)
                 ->setCellValue('C1',($info['institucion']))
		             ->setCellValue('B3',"ASIGNATURA")                 
		             ->setCellValue('B4',"DOCENTE") 
		             ->setCellValue('B5',"GRADO") 
		             ->setCellValue('B6',"CURSO")                                   		             

		             ->setCellValue('A9',"CODIGO") 
		             ->setCellValue('B9',"APELLIDOS Y NOMBRES") 
                
                 ->setCellValue('C3',$x['asignatura'])
                 ->setCellValue('C4',$x['profesor'])
                 ->setCellValue('C5',$x['grado'])
                 ->setCellValue('C6',$x['curso'])                                                   

                 ->setCellValue('D3',$x['nom_asign'])
                 ->setCellValue('D4',$x['nombres'])
                 ->setCellValue('D5',$fila0['nom_gra'])
                 ->setCellValue('D6',$x['nom_curso'])                   
                 
		             ->setCellValue('G3',"JORNADA")
		             ->setCellValue('G4',"TITULAR")
                 ->setCellValue('G5',"PERIODO")
                 ->setCellValue('G6',utf8_encode("AO LECTIVO"))
                 
                 ->setCellValue('H3',$x['jornada'])
                 ->setCellValue('H4',$fila0['cedula'])
                 ->setCellValue('H5',$periodo)
                 ->setCellValue('H6',$_SESSION['anolectivo']) 
                 
                 ->setCellValue('I3',$x['nom_jor'])                
                 ->setCellValue('I4',$fila0['titular']);

      if ($x['asignatura']!='10_1'){
            
		      $objPHPExcel->setActiveSheetIndex(0) 
                 
				 ->mergeCells('C8:E8')
         ->mergeCells('C9:E9')
  		   ->setCellValue('C9',"RECOMENDACIONES") 
                                                                    
         ->mergeCells('F8:O8')
 		     ->setCellValue('F8',"% ACTIVIDADES") 
 		             
         ->setCellValue('F9',"10%") 
         ->setCellValue('G9',"10%")
         ->setCellValue('H9',"10%")
         ->setCellValue('I9',"10%") 
         ->setCellValue('J9',"10%")
         ->setCellValue('K9',"10%")                  
         ->setCellValue('L9',"10%")
         ->setCellValue('M9',"10%") 
         ->setCellValue('N9',"10%")
         ->setCellValue('O9',"10%")
                  
 		     ->setCellValue('P8',"SABER")
 		     ->setCellValue('P9',"40%")
                                     
				 ->mergeCells('Q8:Z8')
 		     ->setCellValue('Q8',"% ACTIVIDADES") 
          				 
              ->setCellValue('Q9',"10%") 
              ->setCellValue('R9',"10%")
              ->setCellValue('S9',"10%")
              ->setCellValue('T9',"10%") 
              ->setCellValue('U9',"10%")
              ->setCellValue('V9',"10%") 
              ->setCellValue('W9',"10%")
              ->setCellValue('X9',"10%")
              ->setCellValue('Y9',"10%") 
              ->setCellValue('Z9',"10%")
              
 		          ->setCellValue('AA8',"HACER")
 		          ->setCellValue('AA9',"30%")
				  
 		          ->setCellValue('AB8',"HETER.")          
 		          ->setCellValue('AC8',"AUTO.") 
               				 
              ->setCellValue('AB9',"80%") 
              ->setCellValue('AC9',"20%")
              
 		          ->setCellValue('AD8',"SER")
 		          ->setCellValue('AD9',"30%")          
                    
		          ->setCellValue('AE8',"DEFINITIVA")
              ->setCellValue('AE9',"100%")

				      ->mergeCells('AF8:AF9')
 		          ->setCellValue('AF8',"AUSENCIAS") 
				                
				      ->mergeCells('AG8:AK8')
 		          ->setCellValue('AG8',"CONSOLIDADO") 
				  
				      ->setCellValue('AG9',"P1")
				      ->setCellValue('AH9',"P2")              
				      ->setCellValue('AI9',"P3")
				      ->setCellValue('AJ9',"P4")
              ->setCellValue('AK9',"DEF.")
              ->setCellValue('AL9',"FALTANTE"); 				  				  
       }

 }
  
		// Se activa la hoja para que sea la que se muestre cuando el archivo se abre
		$objPHPExcel->setActiveSheetIndex(0);

    $profe=$obj->consulta("select * FROM profesores WHERE cedula='".$profesor."'");
   
   $row_p = $obj->fetch_assoc($profe); 

		// Se manda el archivo al navegador web, con el nombre que se indica (Excel2007)
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename='.str_replace(" ","_",$row_p['nombres']).'.xlsx');
		header('Cache-Control: max-age=0');

		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter->save('php://output');
		
 
    $obj->consulta("DELETE FROM curso_asign_pro_temporal WHERE profesor='".$profesor."'");     
    $obj->disconnect(); 
       
}
	else
		print_r('No hay Informacin para mostrar');

?>