<?php
require_once '../app/model/db.class.php';

if (!isset($_SESSION)) { session_start(); }

if ($_REQUEST['accion']=='periodos'){

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("select * from periodos");

    $n=$obj->numero_de_filas($resultado);

    if ($n!=0){

        $opciones = '<option value="">     - Seleccione Periodo - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }
    $obj->disconnect();
}

//--------------------------------------

if ($_REQUEST['accion']=='grados'){

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
    
    $query=$obj->consulta("select codigo,descripcion from grados 
                           INNER JOIN curso_asignatura_profesor as cap
                           ON grados.codigo=cap.grado
                           where cap.profesor='".$_SESSION['profesor']."'
                           group by cap.grado
                           order by grados.codigo*1 asc");
                           
    $n=$obj->numero_de_filas($query);

    if ($n!=0){

        $opciones = '<option value="">     - Seleccione Grado - </option>';
         while($row =$obj->fetch_assoc($query)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }
    $obj->disconnect();
}

//--------------------------------------

if ($_REQUEST['accion']=='grupos'){

    $grado=$_REQUEST['grado'];

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");

    $resultado=$obj->consulta("select cursos.codigo,cursos.descripcion from cursos 
                           INNER JOIN curso_asignatura_profesor as cap
                           ON  cursos.grado=cap.grado AND cursos.codigo=cap.curso
                           where cap.grado='".$grado."'
                           and cap.profesor='".$_SESSION['profesor']."'
                           group by cap.curso
                           order by cursos.grado*1,cursos.codigo*1 asc");
                           
    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="">     - Seleccione Grupo - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }
    $obj->disconnect();
}


//--------------------------------------


if ($_REQUEST['accion']=='activar_alumno'){

    $codigo=$_REQUEST['codigo'];
    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar();
    $obj->consulta("UPDATE alumnos_temporal SET activar='".$estado."' where codigo='".$codigo."'");
    $obj->disconnect();
}
//--------------------------------------


if ($_REQUEST['accion']=='activar_justificacion'){

    $codigo=$_REQUEST['codigo'];
    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar();
    $obj->consulta("UPDATE alumnos_temporal SET activar_justificacion='".$estado."' where codigo='".$codigo."' AND id='".$_SESSION['id']."'");
        
    $obj->disconnect();
}
//--------------------------------------

if ($_REQUEST['accion']=='marcar_desmarcar'){

    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar();
    $obj->consulta("UPDATE alumnos_temporal SET activar='".$estado."' WHERE id='".$_SESSION['id']."'");
    $obj->disconnect();
}

//---------------------------------------

if ($_REQUEST['accion']=='listado_alumnos'){
    
    $grado=$_REQUEST['grado'];
    $grupo=$_REQUEST['grupo'];    
    $fecha=$_REQUEST['fecha'];
    $periodo=$_REQUEST['periodo'];
    $asign=$_REQUEST['asign'];
    
    $obj = new database();
    $obj->conectar();
    $obj->consulta("set names 'utf8'");

    $obj->consulta("DELETE FROM alumnos_temporal WHERE id='".$_SESSION['id']."'");

    $cadena=$obj->consulta("select alumnos.codigo , CONCAT (p_apellido,' ', s_apellido,' ',p_nombre,' ',s_nombre) as Nombres
                            from alumnos inner join matriculas on alumnos.codigo = matriculas.codigo
                            WHERE matriculas.grado='".$grado."' 
                            AND matriculas.curso='".$grupo."' 
                            AND matriculas.estado='A'
                            ORDER BY CONCAT (p_apellido,' ',s_apellido,' ',p_nombre,' ',s_nombre)");

    $n=$obj->numero_de_filas($cadena);
    $s='';

    $i=1;
    if ($n!=0){

    $s="<table align='center' style='border-collapse:collapse;' cellspacing='0' cellpadding='3' border='1' >";
    $s.="<tr ALIGN='CENTER' style='font-size:10px'> 
         <td><b>No.</b></td>  
         <td><b>ALUMNA</b></td>  
         <td><b>ACTIVAR</b></td>
         <td><b>JUSTIF.</b></td>
         <td><b>OBSERVACI&Oacute;N</b></td>
         </tr>";
       
    while($row = $obj->fetch_assoc($cadena)){

        $query_r=$obj->consulta("SELECT * from reporte_fallas
                                 WHERE codigo='".$row['codigo']."' 
						                     AND fecha='".$fecha."' 
						                     AND asignatura='".$asign."'
                                 AND periodo='".$periodo."'");
        
        $activar="";
        $activar_justificacion="";
        $tematica="";
        $descripcion="";
        $justificacion="";
           
        
        $obj->consulta("insert into alumnos_temporal (id,codigo,grado,curso) 
                        VALUES ('".$_SESSION['id']."','".$row['codigo']."','".$grado."','".$grupo."')");
        
                
        if ($obj->numero_de_filas($query_r)==1){
            
            $activar="checked";
        
            $row_r = $obj->fetch_assoc($query_r);
            $tematica=$row_r['tematica'];
            $descripcion=$row_r['descripcion'];
            
            if ($row_r['justificacion']=='SI')
                $justificacion="checked";
        
            $obj->consulta("UPDATE alumnos_temporal 
                            SET activar='1',
                            activar_justificacion='1', 
                            observacion='".$descripcion."'
                            WHERE id='".$_SESSION['id']."' 
                            AND codigo='".$row_r['codigo']."'");

        }
      
                              
        $s.="<tr>";

        $s.="<td align='center' style='font-size: 11px' width='5%'>".$i."</td>";
        $s.="<td style='font-size: 11px' width='38%'>".$row['codigo']." - ".$row['Nombres']."</td>";
       
        $s.="<td width='5%' align='center'>
             <input id='A_".$row['codigo']."' type='checkbox' ".$activar." onclick='activar_alumno(".$row['codigo'].")'/>
             </td>";
        
        $s.="<td style='font-size:11px' width='5%' align='center'>
             <input id='J_".$row['codigo']."' type='radio' ".$justificacion." onclick='activar_justificacion(".$row['codigo'].")'/>
             </td>";
       
        $s.="<td>
             <input style='border-radius:5px;font-size:11px;' value='".$descripcion."' type='text' id='OBSERVA_".$row['codigo']."' onblur='grabar_observacion(".$row['codigo'].")' size='52'>
             </td>";
        
        $s.="</tr>";
        $i++;
   
   }
    $s.="</table>";

   echo $s;

   }

   $obj->disconnect();
    
}

//---------------------------------------

if ($_REQUEST['accion']=='tematica'){
    
    $grado=$_REQUEST['grado'];
    $grupo=$_REQUEST['grupo'];    
    $fecha=$_REQUEST['fecha'];
    $periodo=$_REQUEST['periodo'];
    $asign=$_REQUEST['asign'];
    
    $obj = new database();
    $obj->conectar();
    $obj->consulta("set names 'utf8'");


    $query=$obj->consulta("SELECT codigo from matriculas
                            WHERE grado='".$grado."' 
                            AND curso='".$grupo."' 
                            AND estado='A'");
    
    $tematica="";
    $sw ='true';
       
    while($row = $obj->fetch_assoc($query)){

        if ($sw=='false')
            break;
        
        $query_r=$obj->consulta("SELECT * from reporte_fallas
                                 WHERE codigo='".$row['codigo']."' 
						                     AND fecha='".$fecha."' 
						                     AND asignatura='".$asign."'
                                 AND periodo='".$periodo."'");
        
                      
        if ($obj->numero_de_filas($query_r)==1){
                   
            $row_r = $obj->fetch_assoc($query_r);
            $tematica=$row_r['tematica'];
            $sw ='false';
        }     
    }

    echo $tematica;

    $obj->disconnect();
    
}
//---------------------------------------------

if ($_POST['accion']=='grabar_fallas_grupo'){

    $obj = new database();

    $fecha=$_REQUEST['fecha'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    $periodo=$_REQUEST['periodo'];
    $asign=$_REQUEST['asign'];        
    $horas=$_REQUEST['horas'];
    $tematica=$_REQUEST['tematica'];

    $obj->conectar();
    
    //------ BORRAMOS REGISTROS SI EXISTEN PARA ACTUALIZAR ------
  
    $cadena=$obj->consulta("select codigo from matriculas
                            WHERE grado='".$grado."' 
                            AND curso='".$curso."' 
                            AND estado='A'");
  
    while($row_m = $obj->fetch_assoc($cadena)){
    
    $obj->consulta("DELETE from reporte_fallas
                    WHERE codigo='".$row_m['codigo']."'
                    AND fecha='".$fecha."' 
						        AND asignatura='".$asign."'
                    AND periodo='".$periodo."'");    
    
    }
               
    $query = $obj->consulta("SELECT * FROM alumnos_temporal WHERE id='".$_SESSION['id']."' AND activar=1");
    
    while($row = $obj->fetch_assoc($query)){
    
        if ($row['activar_justificacion']==1)
            $justificacion="SI";
        else
           $justificacion="NO";
           
       $obj->consulta("insert into reporte_fallas(codigo,fecha,asignatura,periodo,cantidad,tematica,descripcion,justificacion) values('".$row['codigo']."','".$fecha."','".$asign."','".$periodo."',".$horas.",'".$tematica."','".$row['observacion']."','".$justificacion."')");
   
    }

     echo "REGISTROS GRABADOS";

    $obj->disconnect();

    }
 
//---------------------------------------------

if ($_POST['accion']=='grabar_observacion'){

    $obj = new database();

    $codigo=$_REQUEST['codigo'];
    $observa=$_REQUEST['observa'];

    $obj->conectar();
           
    $obj->consulta("UPDATE alumnos_temporal SET observacion='".$observa."' 
                    WHERE id='".$_SESSION['id']."' 
                    AND codigo='".$codigo."'");    
   
    echo "UPDATE alumnos_temporal SET observacion='".$observa."' 
          WHERE id='".$_SESSION['id']."' 
          AND codigo='".$codigo."'";
                    
    $obj->disconnect();

    } 
//-----------------------------------------

if ($_REQUEST['accion']=='listadodocente'){


    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];
    
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    
    $tabla=$_REQUEST['tabla'];
    $obj = new database();
    $obj->conectar();
    
    $query=$obj->consulta("select cedula as codigo,nombres as descripcion 
	             from profesores 
						   inner join curso_asignatura_profesor as cap 
						   on profesores.cedula=cap.profesor
               where cap.grado='".$grado."' and curso='".$curso."' 
						   group by profesores.cedula order by profesores.nombres");
 
    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;
    $obj->disconnect();
    

}
//--------------------------------------------

if ($_REQUEST['accion']=='listado_asignatura'){

    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];

    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];

    $tabla=$_REQUEST['tabla'];
    $obj = new database();
    $obj->conectar();

    $query=$obj->consulta("select * from catalogo
	             inner join curso_asignatura_profesor as cap 
						   on catalogo.codigo=cap.asignatura
               where cap.grado='".$grado."' 
						   and curso='".$curso."' 
						   order by ".$tabla.".orden asc;");
  
    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;
    $obj->disconnect();

}
    
?>
