
function get(id){
    return document.getElementById(id).value;
}
//--------------------------------


//---- RECUPERA PARAMETRO DE LA URL -----------

function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return"";
	else
		return results[1];
}

//----------------------------------

function mostrar(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto

  });


   var parametros = {"accion":'listado',"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);
                }
            })
}

//-------------------------------------------------------

function mostrar_lista(id1,id2,codigo,nombre){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');
    });


}

//-------------------------------------

function cargar_periodos(){

var parametros = {"accion":'periodos'};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#periodos").html(response);
                        mostrar_grados();
           }
        });
}

//-------------------------------------

function mostrar_grados(){

var parametros = {"accion":'grados'};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){
                        
                        $("#grados").html(response);
           }
        });

}

//-------------------------------------

function mostrar_grupos(){

var g=document.getElementById('grados').value;

var parametros = {"accion":'grupos',"grado":g};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#grupos").html(response);

           }
        });

}

//-------------------------------------

function consulta_alumnos(){

var g=document.getElementById('grados').value;
var c=document.getElementById('grupos').value;
var p=document.getElementById('periodos').value;
var f=document.getElementById('fecha').value;
var asign=document.getElementById('a_id1').value;
                                
if (g==''){
    alert("SELECCIONE GRADO");
    exit;
}

if (c==''){
    alert("SELECCIONE GRUPO");
    exit;
}
if (p==''){
    alert("SELECCIONE PERIODO");
    exit;
} 
if (f==''){
    alert("INGRESE FECHA");
    exit;
}
if (asign==''){
    alert("SELECCIONE ASIGNATURA");
    exit;
} 

   var parametros = {"accion":'listado_alumnos',
                     "grado":g,
                     "grupo":c,
                     "fecha" :f,
                     "periodo" :p,
                     "asign" :asign
                     };
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){
                        $("#alumnos").html(response);                       
           }
        });
        //----------------------
         
       var parametros1 = {"accion":'tematica',
                          "grado":g,
                          "grupo":c,
                          "fecha" :f,
                          "periodo" :p,
                          "asign" :asign
                         };       
        $.ajax({
                data:  parametros1,
                url:   'consultas.php',
                type:  'post',
                success:function (response){
                document.getElementById('descripcion').value=response;                       
           }
        });                    
}

//--------------------------------------

function activar_alumno(codigo){

var cd=document.getElementById('A_'+codigo).checked;

var parametros = {"accion":'activar_alumno',"codigo":codigo,"estado":cd};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post'

        });
}

//--------------------------------------

var radioState = false;

function activar_justificacion(codigo){


if (radioState==false){
    document.getElementById('J_'+codigo).checked = true;
    radioState = true;
}
else{    
    document.getElementById('J_'+codigo).checked = false;
    radioState = false;
}    

var estado=document.getElementById('J_'+codigo).checked;

var parametros = {"accion":'activar_justificacion',
                  "codigo":codigo,
                  "estado":estado
                 };
                 
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type: "POST"
        });
        
       
}
//--------------------------------------

function retornar(){

 var parametros = {"accion":'retornar_rol'};

                    $.ajax({
                    data:  parametros,
                    url:"catalogos.php",
                    type: "POST",
                    success: function(rol){
                          
                         if(rol=='4')
                           location.href="../menu.php";
                        else if(rol=='1')
                              location.href="../menu_profesor.php";
                        else if(rol=='5')
                            location.href="../menu_coordinador.php";
                        else if(rol==7)
                            location.href="../menu_orientadora.php";
                        else if(rol==9)
                            location.href="../menu_convivencia.php";                             
                    }}) 

}

//-------------------------------------
function limpiar(){

   document.getElementById('alumnos').innerHTML='';
   document.getElementById('descripcion').value='';

}

//-------------------------------------

function marcar(source){
       
        checkboxes=document.getElementsByTagName('input'); //obtenemos todos los controles del tipo Input
        
        for(i=0;i<checkboxes.length;i++){ //recoremos todos los controles
        
            if(checkboxes[i].type == "checkbox"){ //solo si es un checkbox entramos           
                checkboxes[i].checked=source.checked; //si es un checkbox le damos el valor del checkbox que lo llamó (Marcar/Desmarcar Todos)
            }         
          
        }

      //-----------------------------------------------------------
      var estado=document.getElementById('casilla').checked;
     
      var parametros = {"accion":'marcar_desmarcar',"estado":estado};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post'

        });
    }

//-------------------------------------

function grabar_observacion(codigo){

var observa=document.getElementById('OBSERVA_'+codigo).value;

var parametros = {"accion":'grabar_observacion',                      
                          "codigo" :codigo,
                          "observa" :observa
                           };
        $.ajax({
                data:  parametros,
                url:"consultas.php",
                type:  'post',
                success:function (response){
                 //alert(response);

                }
        });

}
//-------------------------------------


function Grabar(){

var p=document.getElementById('periodos').value;
var g=document.getElementById('grados').value;
var c=document.getElementById('grupos').value;
var f=document.getElementById('fecha').value;
var asign=document.getElementById('a_id1').value;
var horas=document.getElementById('horas').value;
var des=document.getElementById('descripcion').value;

if (p==''){
    alert("SELECCIONE PERIODO");
    exit;
}

if (g==''){
    alert("SELECCIONE GRADO");
    exit;
}

if (c==''){
    alert("SELECCIONE GRUPO");
    exit;
}

if (f==''){
    alert("DIGITE FECHA");
    exit;
}

if (asign==''){
    alert("DIGITE ASIGNATURA");
    exit;
}
if (des==''){
    alert("DIGITE TEMATICA");
    exit;
}

        var parametros = {"accion":'grabar_fallas_grupo',                      
                          "fecha" :f,
                          "grado" :g,
                          "curso" :c,
                          "periodo" :p,
                          "asign" :asign,
                          "horas" :horas,
                          "tematica" :des
                           };
        $.ajax({
                data:  parametros,
                url:"consultas.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        limpiar();

                }
        });
               
}

//----------------------------------------------------

function mostrar_asignatura(id1,id2,tabla,ancho, alto){

var grado,curso;

grado=get('grados');
curso=get('grupos');

  $("#dialog").dialog({
          width: ancho,
          height: alto
                 
  });

   var parametros = {"accion":'listado_asignatura',"tabla":tabla,"id1":id1,"id2":id2,"grado":grado,"curso":curso};
                    $.ajax({
                    data:  parametros,
                    url:"catalogos.php",
                    type: "POST",
                    success: function(opciones){
                     $("#dialog").html(opciones);
                                                                                                    
                    }
            });


}