<?php
require_once("../../../../dompdf/dompdf_config.inc.php");
require_once "../../../../dompdf/www/functions.inc.php";
require_once '../../../../app/model/db.class.php';
require_once '../../../../app/model/bs_info_col.php';
require_once '../rangos.php';

$codigo=$_REQUEST['cod'];

function truncateFloat($number, $digitos){
    $raiz = 10;
    $multiplicador = pow ($raiz,$digitos);
    $resultado = ((int)($number * $multiplicador)) / $multiplicador;
    return number_format($resultado, $digitos);

}

function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".0";
     }

     if (strlen($nota)>3) {
         $nota=substr($nota ,0,3);
     }

    return $nota;

}

//---------------------------------

function leyenda($cod){

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    

    $alum=$obj->consulta("SELECT matriculas.codigo, CONCAT(alumnos.p_nombre,' ',alumnos.s_nombre,' ',alumnos.p_apellido,' ',alumnos.s_apellido) as nombres, alumnos.tipodoc, alumnos.nodoc, alumnos.sexo,alumnos.mcpioexped, alumnos.dptoexped,matriculas.grado, matriculas.curso,matriculas.promovido
                          FROM alumnos INNER JOIN matriculas ON alumnos.codigo = matriculas.codigo WHERE matriculas.codigo='".$cod."'");
    

    $row= $obj->fetch_assoc($alum);



    $infogrado=$obj->consulta("select * from grados where codigo='".$row['grado']."'");
    $grado = $obj->fetch_assoc($infogrado);



    $infocur=$obj->consulta("select * from cursos where grado='".$row['grado']."' and codigo='".$row['curso']."'");
    $curso = $obj->fetch_assoc($infocur);

            
            
    $infjor=$obj->consulta("select * from jornadas where codigo='".$curso['jornada']."'");
    $jornada = $obj->fetch_assoc($infjor);

  

    $leyen="Que ".($row['nombres']);


    if($row['sexo']=='2'){
        $leyen.=" identificada con  ";
    }else{
        $leyen.=" identificado con  ";
    }

    if($row['tipodoc']=='1'){
        $leyen.="C&eacute;dula de Ciudadan&iacute;a No.";
    }

    if($row['tipodoc']=='2'){
        $leyen.="Tarjeta de Identidad No.";
    }

    if($row['tipodoc']=='3'){
        $leyen.="C&eacute;dula de Extranjer&iacute;a No.";
    }

     if($row['tipodoc']=='5'){
        $leyen.="Registro Civil de Nacimiento No.";
     }

    if($row['tipodoc']=='6'){
        $leyen.="No. de Identificaci&oacute;n Personal(NIP) No.";
    }

     if($row['tipodoc']=='7'){
        $leyen.="No. &uacute;nico de Identificaci&oacute;n Personal(NUIP) No. ";
    }

    $leyen.=$row['nodoc'];

    $leyen.=" de ".($row['mcpioexped'])." - ".($row['dptoexped']).",";

    $leyen.=" curs&oacute; y";

    if($row['promovido']=='SI'){
        $leyen.=" aprob&oacute;";
    }else{
        $leyen.=" reprob&oacute;";
    }

    $rs=$obj->consulta("select * from parametros");
    $row1=$obj->fetch_assoc($rs);

    $leyen.=" en esta Instituci&oacute;n Educativa estudios correspondientes del";
    $leyen.=" grado ".($grado['descripcion'])." de ".($grado['nivel']);
    $leyen.=" durante el a&ntilde;o lectivo ".$row1['anolectivo'].", con la intensidad horaria y valoraciones siguientes:";

    return $leyen;

    

    $obj->disconnect();


}

//---------------------------------

function notas($codigo){

      $obj = new database();
      $obj->conectar(); $obj->consulta("set names 'utf8'");
      
      
           
//------------------------------------------------------------------------------


$s="<table border='1' cellspacing='0' cellpadding='0' class='hovertable' width='90%'  align='center'>
     <tr>
           <th style='font-size: 11px;' width='50%'>AREAS Y/O ASIGNATURAS</th>
           <th style='font-size: 11px;' width='10%'>I.H</th>
           <th style='font-size: 11px;' width='20%'>ESCALA <BR> INSTITUCIONAL</th>
           <th style='font-size: 11px;' width='20%'>ESCALA <BR> NACIONAL</th>
        </tr>
     </table>";


     $matri=$obj->consulta("select * from matriculas where codigo='".$codigo."'");

     $r_matri=$obj->fetch_assoc($matri);
     $grado=$r_matri['grado'];
     $curso=$r_matri['curso'];

     $resul_area=$obj->consulta("select areas.codigo, areas.descripcion, notas_finales_areas.definitiva, notas_finales_areas.valor_area
                                 from areas inner join notas_finales_areas on areas.codigo = notas_finales_areas.area
                                 where notas_finales_areas.codigo='".$codigo."' and notas_finales_areas.grado='".$grado."' and notas_finales_areas.grupo='".$curso."' order by areas.orden");

      $s.="<table align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='90%'>";

      while($row0 = $obj->fetch_assoc($resul_area)){  //  ---  AREAS  --

             $s.="<tr>";

             $s.="<td style='font-weight:bold;font-size: 11px' width='50%'>&nbsp;".($row0['descripcion'])."</td>";
             
             /* ---Intensidad horaria por Areas  - sumamos la de las asignaturas  */

             $resul_total=$obj->consulta("select sum(intensidad) as i_h from curso_asignatura_profesor inner join notas_finales_asign on (curso_asignatura_profesor.asignatura = notas_finales_asign.asignatura)
                                          and (curso_asignatura_profesor.curso = notas_finales_asign.grupo) and (curso_asignatura_profesor.grado = notas_finales_asign.grado)
                                          where notas_finales_asign.codigo='".$codigo."' and notas_finales_asign.grado='".$grado."' and notas_finales_asign.grupo='".$curso."' and notas_finales_asign.area='".$row0['codigo']."'");

             $row5 = $obj->fetch_assoc($resul_total);

             $s.="<td style='font-weight:bold;text-align:center;font-size: 12px' width='10%' >".$row5['i_h']."</td>";
              
              // ------- Definitiva ----------
              
              $df=$obj->consulta("select * from notas_finales_areas
                                 where area='".$row0['codigo']."' and grado='".$grado."' and grupo='".$curso."' and codigo='".$codigo."'");

               $nota_df = $obj->fetch_assoc($df);

               $ndf=decimales($nota_df['definitiva']);
 
               $s.="<td style='font-weight:bold;font-size:11px;text-align:center' width='20%'>".$ndf."</td>    
                    <td style='font-weight:bold;font-size:11px;text-align:center' width='20%'>".($nota_df['valor_area'])."</td>";


              /* --- Asignaturas que pertenecen a aun area --------*/
        
               $resultado=$obj->consulta("select curso_asignatura_profesor.asignatura, catalogo.descripcion,curso_asignatura_profesor.peso, curso_asignatura_profesor.intensidad
                                          from catalogo inner join curso_asignatura_profesor on catalogo.codigo = curso_asignatura_profesor.asignatura
                                          where curso_asignatura_profesor.grado='".$grado."' and curso_asignatura_profesor.curso='".$curso."' and catalogo.area='".$row0['codigo']."'");


               $n=$obj->numero_de_filas($resultado);

                if ($n>1){

                   while($row = $obj->fetch_assoc($resultado)){  //  ---  ASIGNATURAS  --

 
                                                      
                           // -------Nota Final Asign ----------
                           
                           $p5=$obj->consulta("select * from notas_finales_asign
                                                where asignatura='".$row['asignatura']."' and grado='".$grado."' and grupo='".$curso."' and codigo='".$codigo."'");

                           $t=$obj->numero_de_filas($p5);

                            if ($t!=0){

                              $nota_p5 = $obj->fetch_assoc($p5);

                              $np5=decimales($nota_p5['definitiva']);

 
                              $s.="<tr>";
                              $s.="<td style='font-size:11px' width='40%'><font color='white'>__</font><i>".($row['descripcion'])."</i></td>";
                              $s.="<td style='text-align:center;font-size: 14px' >".$row['intensidad']."</td>";
 
                              $s.="<td style='font-size:11px;text-align:center' >".$np5." </td>
                                   <td style='font-size:11px;text-align:center'><i> ".($nota_p5['valor_asigna'])."</i></td>";
                                   
                              $s.="</tr>";
                           }

                    }     //  ---  ASIGNATURAS  --

                 }

                $s.="</tr>";
              }

              $s.="</table>";


$rango=$obj->consulta("SELECT * FROM rangos order by orden");

$s.="<table style='font-size:11px' cellspacing='0' cellpadding='0' border='1' width='90%'  align='center' >
     <tr>
     <td>ESCALA DE VALORACI&Oacute;N:</td>";

    while($row_r=$obj->fetch_assoc($rango)){
      
      if ($row_r['codigo']!='S')
          $s.="<td align='center'>".$row_r['descripcion']."&nbsp;(".decimales($row_r['v1'])."&nbsp;-&nbsp;".decimales($row_r['v2']-0.1).")</td>";
      else
          $s.="<td align='center'>".$row_r['descripcion']."&nbsp;(".decimales($row_r['v1'])."&nbsp;-&nbsp;".decimales($row_r['v2']).")</td>";

    }
    $s.="</tr>";


    $prom=$obj->consulta("select * from rendimiento_general where periodo='5' and alumno='".$codigo."'");               
    $nota_prom = $obj->fetch_assoc($prom);

    $s.="<tr><td>PROMEDIO GENERAL :</td>   <td align='center'>".substr($nota_prom['promedio'], 0, 3)."</td>";
    $s.="<td colspan=2>DESEMPE&Ntilde;O GENERAL :</td>  <td align='center'>".$nota_prom['nivel_desempeno']."</td>";
    $s.="</tr></table></center>";


                /*-----MUESTRAS LAS HABILITACIONES ----- */

              $habil=$obj->consulta("select codigo, asignatura, habilitacion, valor_habilitacion, area from notas_finales_asign where codigo='".$codigo."' and habilitacion<>'NULL'");

               if($obj->numero_de_filas($habil) > 0) {
            
                    $s.="<table align='center' border='0' cellspacing='0' cellpadding='0' class='hovertable' width='90%'>";
                    $s.="<tr style='font-weight:bold;font-size: 11px'>  <td>";

                    $s.="HABILITACIONES: ";
                    while($row = $obj->fetch_assoc($habil)){

                       $asign=$obj->consulta("select * from catalogo where codigo='".$row['asignatura']."'");
                       $row1 = $obj->fetch_assoc($asign);

                       $s.="(".($row1['descripcion'])." - ".($row['habilitacion'])." - ".$row['valor_habilitacion'].") ";
                    }
                     $s.="</td></tr></table>";
               }


         return $s;
         

      $obj->disconnect();
}

//-----------------------------------------



$obj = new database();

$obj->conectar(); $obj->consulta("set names 'utf8'");


//-------------------------- Informacion Colegio

$rs=$obj->consulta("select * from parametros");
$row=$obj->fetch_assoc($rs);

$matri=$obj->consulta("select * from matriculas where codigo='".$codigo."'");
$row_m=$obj->fetch_assoc($matri);

$rs1=$obj->consulta("select * from registrar");
$info=$obj->fetch_assoc($rs1);

$obj->disconnect();

$html="
<html>
<head>
<meta http-equiv='expires' content='0'>
<meta http-equiv='Cache-Control' content='no-cache'>
<meta http-equiv='Pragma' CONTENT='no-cache'>
<title>Certificado Final</title>

  <style>
    
    #footer { position: fixed; left: 0px; bottom: -10px; right: 0px; height: 130px; background-color: white; }
    #footer .page:after { content: counter(page, upper-roman); }
  
  </style>
  
</head>

<body>

<center><img height='120' width='80%' src='../../../../imagenes/cabeza.jpg'/></center>

<table id='font'  width='90%'  align='center'>
<tr>
    <td  align='center' style='font-size:13px'>

       <b> CONSTANCIA DE DESEMPE&Ntilde;O </b>

 </td>
<tr>
</table>

<table id='font'  width='90%'  align='center'>
<tr>
    <td style='font-size:12px'>
    <p align='justify'>
       ".($info['certificadofinal'])."</p>
 </td>
<tr>
</table>

<table id='font'  width='90%'  align='center'>
<tr>
    <td  align='center' style='font-size:12px'>

       <b> CERTIFICAN </b>

 </td>
<tr>
</table>
<table id='font' width='90%'  align='center'>
<tr>
    <td style='font-size:12px'>
    <p align='justify'>
        
        ".(leyenda($codigo))."
        
    </p>
   </td>
<tr>
</table>";

$html.=notas($codigo);


$dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","S&aacute;bado");
$meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");

$html.="

<table  width='90%'  align='center' id='font'>
    <tr>
        <td style='font-size:12px'><p align='justify'>
            En virtud del Decreto 1024 del 15 de Abril de 1992, este certificado  no requiere autenticaci&oacute;n.

            La presente se expide a solicitud del interesado.<br>
            Dado en Doncello - Caquet&aacute;, el d&iacute;a ". $dias[date('w')]." ".date('d')." de ".$meses[date('n')-1]. " del ".date('Y') .".</p>
         </td>
    </tr>

</table>";

      //--------------------------------------------------------------------------------

          $html.="<br><br><br>";
          
           $html.="<table width='85%' border='0' align='center'>";
           $html.="<tr><td><hr width='80%'></td>    <td><hr width='80%'></td></tr>
   
                    <tr><td style='font-size: 11px; text-align:center;'><b>".($row['rector'])."</b></td>
                    <td style='font-size: 12px; text-align:center;'><b>".($row['secretario'])."</b></td></tr>
                                                
                    <tr><td style='font-size: 11px; text-align:center;'><b>".($row['cedula_rector'])."</b></td>                       
                    <td style='font-size: 12px; text-align:center;'><b>".($row['cedula_secretario'])."</b></td></tr>

                    <tr><td style='font-size: 11px; text-align:center;'>RECTOR</td>     
                    <td style='font-size: 11px; text-align:center;'>SECRETARIO</td></tr>

                  </table>";
          

$html.="<div id='footer'>
   
      <center><img height='130' width='95%' src='../../../../imagenes/pie_pagina.jpg'/></center>
    
   </div>
   
   </body>
   </html>";

$dompdf = new DOMPDF();     
$dompdf->load_html($html);
$dompdf->set_paper('a4', 'portrait');
//$dompdf->set_paper('letter','landscape');
$dompdf->render();

$dompdf->stream("certificado.pdf", array("Attachment" => false));
  

?>
