<?php
require_once '../app/model/db.class.php';
require_once '../PHPExcel/PHPExcel.php';

if (!isset($_SESSION)) { session_start(); }

function color_celda($cells,$color){
    global $objPHPExcel;

    $objPHPExcel->getActiveSheet()->getStyle($cells)->getFill()->applyFromArray(array(
        'type' => PHPExcel_Style_Fill::FILL_SOLID,
        'startcolor' => array(
        'rgb' => $color
        )
    ));
}

//-------------------------------------

$profesor = $_REQUEST['profesor'];
$periodo = $_REQUEST['periodo'];

$obj = new database();
$obj->conectar();
$obj->consulta("set names 'utf8'");

//---------------------------------------------------------------------------

// Se crea el objeto PHPExcel
$objPHPExcel = new PHPExcel();

// Se asignan las propiedades del libro
$objPHPExcel->getProperties()->setCreator("Academic Reports") //Autor
  			     ->setLastModifiedBy("Academic Reports") //Ultimo usuario que lo modific
				     ->setTitle("Planillas")
				     ->setSubject("Planillas")
				     ->setDescription("Planillas")
				     ->setKeywords("Planillas")
				     ->setCategory("Planillas");

$estiloInformacion = new PHPExcel_Style();
$estiloInformacion->applyFromArray(array('font'=>array('name'=>'Arial','size'=>9,'color'=> array('rgb' => '000000')),'borders' => array('allborders' => array('style' => PHPExcel_Style_Border::BORDER_THIN))));

$colorcelda = new PHPExcel_Style();
$colorcelda->applyFromArray(array('fill'=> array('type'=> PHPExcel_Style_Fill::FILL_GRADIENT_LINEAR,'rotation' => 90,'startcolor' => array('rgb'=> 'FCC5DD'),'endcolor'=> array('argb' => 'FCC5DD'))));



//----------------------------------------------------------------------------

$nm = $obj->consulta("SELECT * FROM curso_asign_pro_temporal 
                      WHERE profesor='".$profesor."' 
                      AND activar=1");

$tot = $obj->numero_de_filas($nm);

//--- Informacion Colegio

$rs=$obj->consulta("select * from registrar");
$info=$obj->fetch_assoc($rs);

$Hoja=0; 

if ($tot > 0) {

    $resultadoe = $obj->consulta("SELECT * FROM curso_asign_pro_temporal 
                                  WHERE profesor='".$profesor."' 
                                  AND activar='1'");
      
    while ($x = $obj->fetch_assoc($resultadoe)) {

      $cadena=$obj->consulta("select matriculas.codigo, 
                              CONCAT(p_apellido,' ',s_apellido,' ',p_nombre,' ', s_nombre) as nombre_alumno 
                              from alumnos 
                              inner join matriculas 
                              on alumnos.codigo = matriculas.codigo 
                              where matriculas.grado='".$x['grado']."' 
                              and matriculas.curso='".$x['curso']."' 
                              and matriculas.estado='A' 
                              order by p_apellido,s_apellido,p_nombre,s_nombre");

      
      if ($Hoja!=0)       
          $objPHPExcel->createSheet(0);//creamos la pestaa       
  		

    $i=10; 
    while($row = $obj->fetch_assoc($cadena)){                 
	
      //--- SE crea una nueva Hoja ----
       
          $objPHPExcel->getActiveSheet()->getStyle('A'.($i-1))->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);    

          $objPHPExcel->setActiveSheetIndex(0)
        	            ->setCellValue('A'.$i,  $row['codigo'])
		                  ->setCellValue('B'.$i,  $row['nombre_alumno']);

         if ($x['asignatura']!='10_1'){ //---- DIFERENTE DE COMPORTAMIENTO -----         
            
			$objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "A".$i.":AD".$i);

            $objPHPExcel->getActiveSheet()->setCellValue("K".$i,"=ROUND(F".$i."*F9+G".$i."*G9+H".$i."*H9+I".$i."*I9+J".$i."*J9,1)");        
            $objPHPExcel->getActiveSheet()->setCellValue("Q".$i,"=ROUND(L".$i."*L9+M".$i."*M9+N".$i."*N9+O".$i."*O9+P".$i."*P9,1)");        
            $objPHPExcel->getActiveSheet()->setCellValue("V".$i,"=ROUND(R".$i."*R9+S".$i."*S9+T".$i."*T9+U".$i."*U9,1)");        
                                                                  
            //---- DEFINITIVA ------
            
            $objPHPExcel->getActiveSheet()->setCellValue("W".$i,"=ROUND(K".$i."*K9+Q".$i."*Q9+V".$i."*V9,1)");                       
         
            //---- CONSOLIDADO ------
         
            if ($periodo=='1'){
                $objPHPExcel->getActiveSheet()->setCellValue("Y".$i,"=W".$i); 
                $objPHPExcel->getActiveSheet()->setCellValue("AC".$i,"=Y".$i."*25%");
            
             //-----------------------------
  
             
            $objConditionalStyle = new PHPExcel_Style_Conditional();
            $objConditionalStyle->setConditionType(PHPExcel_Style_Conditional::CONDITION_CELLIS)
                                ->setOperatorType(PHPExcel_Style_Conditional::OPERATOR_LESSTHAN)
                                ->addCondition('3');
    
            $objConditionalStyle->getStyle()->getFont()->getColor()->setRGB('FF0000');
            $objConditionalStyle->getStyle()->getFont()->setBold(true);


            $conditionalStyles = $objPHPExcel->getActiveSheet()->getStyle("AC".$i)
                                             ->getConditionalStyles();
                                  
            array_push($conditionalStyles, $objConditionalStyle);

            $objPHPExcel->getActiveSheet()->getStyle("AC".$i)
                                          ->setConditionalStyles($conditionalStyles);             
                                                          
            }
            else if ($periodo=='2'){
            
                $query1=$obj->consulta("SELECT definitiva 
                                        FROM detalleboletin
                                        WHERE alumno='".$row['codigo']."' 
                                        AND boletin
                                        IN (SELECT numero 
                                            FROM boletin
                                            WHERE grado='".$x['grado']."' 
                                            AND curso='".$x['curso']."'
                                            AND asignatura='".$x['asignatura']."'
                                            AND periodo='1')");
                
                $n1 = $obj->fetch_assoc($query1);
                
                $objPHPExcel->getActiveSheet()->setCellValue("Y".$i,$n1['definitiva']); 
                $objPHPExcel->getActiveSheet()->setCellValue("Z".$i,"=W".$i); 
                $objPHPExcel->getActiveSheet()->setCellValue("AC".$i,"=(Y".$i."+Z".$i.")/2");
            
            
             //-----------------------------
  
             
            $objConditionalStyle = new PHPExcel_Style_Conditional();
            $objConditionalStyle->setConditionType(PHPExcel_Style_Conditional::CONDITION_CELLIS)
                                ->setOperatorType(PHPExcel_Style_Conditional::OPERATOR_LESSTHAN)
                                ->addCondition('3');
    
            $objConditionalStyle->getStyle()->getFont()->getColor()->setRGB('FF0000');
            $objConditionalStyle->getStyle()->getFont()->setBold(true);


            $conditionalStyles = $objPHPExcel->getActiveSheet()->getStyle("AC".$i)
                                             ->getConditionalStyles();
                                  
            array_push($conditionalStyles, $objConditionalStyle);

            $objPHPExcel->getActiveSheet()->getStyle("AC".$i)
                                          ->setConditionalStyles($conditionalStyles);             
                         
            }
         
            else if ($periodo=='3'){
            
                $query1=$obj->consulta("SELECT definitiva 
                                        FROM detalleboletin
                                        WHERE alumno='".$row['codigo']."' 
                                        AND boletin
                                        IN (SELECT numero 
                                            FROM boletin
                                            WHERE grado='".$x['grado']."' 
                                            AND curso='".$x['curso']."'
                                            AND asignatura='".$x['asignatura']."'
                                            AND periodo='1')");
                
                $n1 = $obj->fetch_assoc($query1);
                //-----------------
                $n_filas1=$obj->numero_de_filas($query1); 
                
                if ($n_filas1==0) 
                    $nota1=0;
                else
                    $nota1=$n1['definitiva'];
                //------------------                  
                $query2=$obj->consulta("SELECT definitiva 
                                        FROM detalleboletin
                                        WHERE alumno='".$row['codigo']."' 
                                        AND boletin
                                        IN (SELECT numero 
                                            FROM boletin
                                            WHERE grado='".$x['grado']."' 
                                            AND curso='".$x['curso']."'
                                            AND asignatura='".$x['asignatura']."'
                                            AND periodo='2')");
                
                $n2 = $obj->fetch_assoc($query2);                
                //-----------------
                $n_filas2=$obj->numero_de_filas($query2); 
                
                if ($n_filas2==0) 
                    $nota2=0;
                else
                    $nota2=$n2['definitiva'];
                //------------------                  
                $objPHPExcel->getActiveSheet()->setCellValue("Y".$i,$nota1); 
                $objPHPExcel->getActiveSheet()->setCellValue("Z".$i,$nota2);                
                $objPHPExcel->getActiveSheet()->setCellValue("AA".$i,"=W".$i); 
                               
                $cifra="ROUND((Y".$i."+Z".$i."+AA".$i.")/3,2)";                                    
                $objPHPExcel->getActiveSheet()->setCellValue("AC".$i,"=IF((LEN(".$cifra.")=4),IF((MID(".$cifra.",4,1)*1)>=5,ROUNDUP(".$cifra.",1),ROUNDDOWN(".$cifra.",1)),".$cifra.")");

                $objPHPExcel->getActiveSheet()->setCellValue("AD".$i,"=12-(Y".$i."+Z".$i."+AA".$i.")");                       

             //-----------------------------
  
             
            $objConditionalStyle = new PHPExcel_Style_Conditional();
            $objConditionalStyle->setConditionType(PHPExcel_Style_Conditional::CONDITION_CELLIS)
                                ->setOperatorType(PHPExcel_Style_Conditional::OPERATOR_LESSTHAN)
                                ->addCondition('3');
    
            $objConditionalStyle->getStyle()->getFont()->getColor()->setRGB('FF0000');
            $objConditionalStyle->getStyle()->getFont()->setBold(true);


            $conditionalStyles = $objPHPExcel->getActiveSheet()->getStyle("AC".$i)
                                             ->getConditionalStyles();
                                  
            array_push($conditionalStyles, $objConditionalStyle);

            $objPHPExcel->getActiveSheet()->getStyle("AC".$i)
                                          ->setConditionalStyles($conditionalStyles);             
             
                            
           
            }         
         
            else if ($periodo=='4'){
            
                $query1=$obj->consulta("SELECT definitiva 
                                        FROM detalleboletin
                                        WHERE alumno='".$row['codigo']."' 
                                        AND boletin
                                        IN (SELECT numero 
                                            FROM boletin
                                            WHERE grado='".$x['grado']."' 
                                            AND curso='".$x['curso']."'
                                            AND asignatura='".$x['asignatura']."'
                                            AND periodo='1')");
                
                $n1 = $obj->fetch_assoc($query1);
                //-----------------
                $n_filas1=$obj->numero_de_filas($query1); 
                
                if ($n_filas1==0) 
                    $nota1=0;
                else
                    $nota1=$n1['definitiva'];
                //------------------                  
                $query2=$obj->consulta("SELECT definitiva 
                                        FROM detalleboletin
                                        WHERE alumno='".$row['codigo']."' 
                                        AND boletin
                                        IN (SELECT numero 
                                            FROM boletin
                                            WHERE grado='".$x['grado']."' 
                                            AND curso='".$x['curso']."'
                                            AND asignatura='".$x['asignatura']."'
                                            AND periodo='2')");
                
                $n2 = $obj->fetch_assoc($query2);                
                //-----------------
                $n_filas2=$obj->numero_de_filas($query2); 
                
                if ($n_filas2==0) 
                    $nota2=0;
                else
                    $nota2=$n2['definitiva'];
                //------------------  
                $query3=$obj->consulta("SELECT definitiva 
                                        FROM detalleboletin
                                        WHERE alumno='".$row['codigo']."' 
                                        AND boletin
                                        IN (SELECT numero 
                                            FROM boletin
                                            WHERE grado='".$x['grado']."' 
                                            AND curso='".$x['curso']."'
                                            AND asignatura='".$x['asignatura']."'
                                            AND periodo='3')");
                
                $n3 = $obj->fetch_assoc($query3); 
                //-----------------
                $n_filas3=$obj->numero_de_filas($query3); 
                
                if ($n_filas3==0) 
                    $nota3=0;
                else
                    $nota3=$n3['definitiva'];
                //------------------                
                $objPHPExcel->getActiveSheet()->setCellValue("Y".$i,$nota1); 
                $objPHPExcel->getActiveSheet()->setCellValue("Z".$i,$nota2);                
                $objPHPExcel->getActiveSheet()->setCellValue("AA".$i,$nota3); 
                $objPHPExcel->getActiveSheet()->setCellValue("AB".$i,"=W".$i); 

                $cifra="ROUND((Y".$i."+Z".$i."+AA".$i."+AB".$i.")/4,2)";                                    
                $objPHPExcel->getActiveSheet()->setCellValue("AC".$i,"=IF((LEN(".$cifra.")=4),IF((MID(".$cifra.",4,1)*1)>=5,ROUNDUP(".$cifra.",1),ROUNDDOWN(".$cifra.",1)),".$cifra.")");

                $objPHPExcel->getActiveSheet()->setCellValue("AD".$i,"=12-(Y".$i."+Z".$i."+AA".$i.")");                       

                
             //-----------------------------
               
            $objConditionalStyle = new PHPExcel_Style_Conditional();
            $objConditionalStyle->setConditionType(PHPExcel_Style_Conditional::CONDITION_CELLIS)
                                ->setOperatorType(PHPExcel_Style_Conditional::OPERATOR_LESSTHAN)
                                ->addCondition('3');
    
            $objConditionalStyle->getStyle()->getFont()->getColor()->setRGB('FF0000');
            $objConditionalStyle->getStyle()->getFont()->setBold(true);


            $conditionalStyles = $objPHPExcel->getActiveSheet()->getStyle("AC".$i)
                                             ->getConditionalStyles();
                                  
            array_push($conditionalStyles, $objConditionalStyle);

            $objPHPExcel->getActiveSheet()->getStyle("AC".$i)
                                          ->setConditionalStyles($conditionalStyles);             
                                                       
            }
         }                               
         else{
            $objPHPExcel->setActiveSheetIndex(0)
                        ->mergeCells('D'.$i.':N'.$i); 
            $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "A9:N".$i);         
         
         }
         $i++;
    }
  
  	// Se asigna el nombre a la hoja
		$objPHPExcel->getActiveSheet()->setTitle("Hoja_".$Hoja);
    $Hoja++;
 
    //--- Coloca recuadros a las celdas -----
 
   
	 $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "C3:C6");
     $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "H3:H6");

     color_celda('C3:C6','FFFF00');
     color_celda('H3:H6','FFFF00');
  
  if ($x['asignatura']!='10_1'){
     	 	 
     color_celda("K10:K".($i-1),'5BFF33');
     color_celda("Q10:Q".($i-1),'5BFF33'); 	 
     color_celda("V10:V".($i-1),'5BFF33'); 
     color_celda("W10:W".($i-1),'F9FA7B');          
          
	 $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "C8:AC8");	  
     $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "A9:AD9"); 

     color_celda('C8:AC9','CEECF5');
     color_celda('AD9:AD9','CEECF5');
          
     color_celda('K8:K9','FFFF00');
     color_celda('Q8:Q9','FFFF00');
     color_celda('V8:V9','FFFF00');
     color_celda('W8:W9','FFFF00');
   }    
   else{
    color_celda('A9:D9','E0F8F7');
   } 
   
     $objPHPExcel->getActiveSheet()->getStyle('C3:C6')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
     $objPHPExcel->getActiveSheet()->getStyle('H3:H6')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
     $objPHPExcel->getActiveSheet()->getStyle('C8:AD9')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);

     $objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(8);
     $objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(36);
     $objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(6);
    
     if ($x['asignatura']!='10_1')    
         $objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(7);
       
     else 
         $objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(40);
     
     $objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(6);
     
     $objPHPExcel->getActiveSheet()->getColumnDimension('F')->setWidth(10);
     $objPHPExcel->getActiveSheet()->getColumnDimension('G')->setWidth(10);
     $objPHPExcel->getActiveSheet()->getColumnDimension('H')->setWidth(10);
     $objPHPExcel->getActiveSheet()->getColumnDimension('I')->setWidth(7);
     $objPHPExcel->getActiveSheet()->getColumnDimension('J')->setWidth(7);     
     
     $objPHPExcel->getActiveSheet()->getColumnDimension('K')->setWidth(10);
     
     $objPHPExcel->getActiveSheet()->getColumnDimension('L')->setWidth(7);
     $objPHPExcel->getActiveSheet()->getColumnDimension('M')->setWidth(7);     
     $objPHPExcel->getActiveSheet()->getColumnDimension('N')->setWidth(7);  
     $objPHPExcel->getActiveSheet()->getColumnDimension('O')->setWidth(7);  
     $objPHPExcel->getActiveSheet()->getColumnDimension('P')->setWidth(7);                                           
 	 
     $objPHPExcel->getActiveSheet()->getColumnDimension('Q')->setWidth(10);

     $objPHPExcel->getActiveSheet()->getColumnDimension('R')->setWidth(7); 
     $objPHPExcel->getActiveSheet()->getColumnDimension('S')->setWidth(7); 	 
     $objPHPExcel->getActiveSheet()->getColumnDimension('T')->setWidth(7);
     $objPHPExcel->getActiveSheet()->getColumnDimension('U')->setWidth(7);
     
     $objPHPExcel->getActiveSheet()->getColumnDimension('V')->setWidth(10);     

     $objPHPExcel->getActiveSheet()->getColumnDimension('W')->setWidth(12);     
     $objPHPExcel->getActiveSheet()->getColumnDimension('X')->setWidth(12);
          
     $objPHPExcel->getActiveSheet()->getColumnDimension('Y')->setWidth(6);
     $objPHPExcel->getActiveSheet()->getColumnDimension('Z')->setWidth(6);
     $objPHPExcel->getActiveSheet()->getColumnDimension('AA')->setWidth(6);
     $objPHPExcel->getActiveSheet()->getColumnDimension('AB')->setWidth(6);
     $objPHPExcel->getActiveSheet()->getColumnDimension('AC')->setWidth(6);
     
     $objPHPExcel->getActiveSheet()->getColumnDimension('AD')->setWidth(10);                              
     
     //--- Bloquear celdas ----
         
     $objPHPExcel->getActiveSheet()->protectCells('A1:AD'.($i-1),'susana'); 
     $objPHPExcel->getActiveSheet()->getProtection()->setSheet(true);

    if ($x['asignatura']!='10_1') {    
          	                               
     //---Desbloquear celdas ---
 
     $objPHPExcel->getActiveSheet()->getStyle('C10:J'.($i-1))->getProtection()->setLocked(PHPExcel_Style_Protection::PROTECTION_UNPROTECTED);          
     $objPHPExcel->getActiveSheet()->getStyle('F9:J9')->getProtection()->setLocked(PHPExcel_Style_Protection::PROTECTION_UNPROTECTED);          
  
     $objPHPExcel->getActiveSheet()->getStyle('L9:P'.($i-1))->getProtection()->setLocked(PHPExcel_Style_Protection::PROTECTION_UNPROTECTED);          
     
     $objPHPExcel->getActiveSheet()->getStyle('R9:U'.($i-1))->getProtection()->setLocked(PHPExcel_Style_Protection::PROTECTION_UNPROTECTED);    
     $objPHPExcel->getActiveSheet()->getStyle('X10:X'.($i-1))->getProtection()->setLocked(PHPExcel_Style_Protection::PROTECTION_UNPROTECTED);    

    //--- CENTRAR LA INFORMACION ----
    
    $objPHPExcel->getActiveSheet()->getStyle('C10:AD'.($i-1))->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
  
  }
  else{
     $objPHPExcel->getActiveSheet()->getStyle('C10:D'.($i-1))->getProtection()->setLocked(PHPExcel_Style_Protection::PROTECTION_UNPROTECTED); 
  }
    //-------- Encabezado --------------------------

     $consulta0 = "SELECT grados.codigo as cod_gra,grados.descripcion AS nom_gra, cursos.codigo as cod_cur,cursos.descripcion AS nom_cur,jornadas.codigo as cod_jor,jornadas.descripcion AS nom_jor,
                   profesores.cedula,profesores.nombres as titular 
                   FROM (jornadas 
                   INNER JOIN (grados 
                   INNER JOIN cursos ON grados.codigo = cursos.grado) ON jornadas.codigo = cursos.jornada)
                   INNER JOIN (profesores 
                   INNER JOIN titulares ON profesores.cedula = titulares.profesor) ON (cursos.codigo = titulares.curso) AND (cursos.grado = titulares.grado) 
                   WHERE cursos.grado='".$x['grado']."' AND cursos.codigo='".$x['curso']."'";

     $resultado0 = $obj->consulta($consulta0);
     $fila0 = $obj->fetch_assoc($resultado0);

     //--Porcentajes de Evidencias Saber ------

     $query_p = $obj->consulta("SELECT * FROM logros_saber 
	                            WHERE grado='".$x['grado']."' 
				                AND curso='".$x['curso']."' 
				                AND asignatura='".$x['asignatura']."' 
				                AND periodo='".$periodo."' 
								ORDER BY orden1");
          
	 $lastColumn ='F';
     $por=1;

     while ($row_p = $obj->fetch_assoc($query_p) and $por<=5){
 
            $objPHPExcel->setActiveSheetIndex(0)->setCellValue($lastColumn.'9', $row_p['porcentaje'].'%');
            $por++;
            $lastColumn++;
	 }

     //-- Porcentajes de Evidencias Hacer ------

     $query_p = $obj->consulta("SELECT * FROM logros_hacer 
	                            WHERE grado='".$x['grado']."' 
				                AND curso='".$x['curso']."' 
				                AND asignatura='".$x['asignatura']."' 
				                AND periodo='".$periodo."' 
								ORDER BY orden1");
          
	 $lastColumn ='L';
     $por=1;

     while ($row_p = $obj->fetch_assoc($query_p) and $por<=5){
 
            $objPHPExcel->setActiveSheetIndex(0)->setCellValue($lastColumn.'9', $row_p['porcentaje'].'%');
            $por++;
            $lastColumn++;
	 }

     //--Porcentajes de Evidencias Ser ------

     $query_p = $obj->consulta("SELECT * FROM logros_ser 
	                            WHERE grado='".$x['grado']."' 
				                AND curso='".$x['curso']."' 
				                AND asignatura='".$x['asignatura']."' 
				                AND periodo='".$periodo."' 
								ORDER BY orden1");
          
	 $lastColumn ='R';
     $por=1;

     while ($row_p = $obj->fetch_assoc($query_p) and $por<=4){
 
            $objPHPExcel->setActiveSheetIndex(0)->setCellValue($lastColumn.'9', $row_p['porcentaje'].'%');
            $por++;
            $lastColumn++;
	 }

     //--------------------------------------


		 $objPHPExcel->setActiveSheetIndex(0)
                 ->setCellValue('C1',($info['institucion']))
		             ->setCellValue('B3',"ASIGNATURA")                 
		             ->setCellValue('B4',"DOCENTE") 
		             ->setCellValue('B5',"GRADO") 
		             ->setCellValue('B6',"CURSO")                                   		             

		             ->setCellValue('A9',"CODIGO") 
		             ->setCellValue('B9',"APELLIDOS Y NOMBRES") 
                
                 ->setCellValue('C3',$x['asignatura'])
                 ->setCellValue('C4',$x['profesor'])
                 ->setCellValue('C5',$x['grado'])
                 ->setCellValue('C6',$x['curso'])                                                   

                 ->setCellValue('D3',$x['nom_asign'])
                 ->setCellValue('D4',$x['nombres'])
                 ->setCellValue('D5',$fila0['nom_gra'])
                 ->setCellValue('D6',$x['nom_curso'])                   
                 
		         ->setCellValue('G3',"JORNADA")
		         ->setCellValue('G4',"TITULAR")
                 ->setCellValue('G5',"PERIODO")
                 ->setCellValue('G6',utf8_encode("AO LECTIVO"))
                 
                 ->setCellValue('H3',$x['jornada'])
                 ->setCellValue('H4',$fila0['cedula'])
                 ->setCellValue('H5',$periodo)
                 ->setCellValue('H6',$_SESSION['anolectivo']) 
                 
                 ->setCellValue('I3',$x['nom_jor'])                
                 ->setCellValue('I4',$fila0['titular']);
      
	  if ($x['asignatura']!='10_1'){
            
		      $objPHPExcel->setActiveSheetIndex(0) 
                 
				->mergeCells('C8:E8')
				->mergeCells('C9:E9')
				->setCellValue('C9',"RECOMENDACIONES") 
                                                                    
				->mergeCells('F8:J8')
				->setCellValue('F8',"EVIDENCIAS DEL SABER") 
 		 
				/*		 
				->setCellValue('F9',"20%") 
				->setCellValue('G9',"20%")
				->setCellValue('H9',"20%")
				->setCellValue('I9',"20%") 
				->setCellValue('J9',"20%")
				*/         
 		     ->setCellValue('K8',"SABER")
 		     ->setCellValue('K9',"40%")
                                     
			 ->mergeCells('L8:P8')
 		     ->setCellValue('L8',"EVIDENCIAS DEL HACER") 
          	
			  /*
              ->setCellValue('L9',"20%") 
              ->setCellValue('M9',"20%")
              ->setCellValue('N9',"20%")
              ->setCellValue('O9',"20%") 
              ->setCellValue('P9',"20%")
              */
 		      ->setCellValue('Q8',"HACER")
 		      ->setCellValue('Q9',"40%")
				  
			  ->mergeCells('R8:U8')
 		      ->setCellValue('R8',"EVIDENCIAS DEL SER") 
          	
			  /*
              ->setCellValue('R9',"25%") 
              ->setCellValue('S9',"25%")
              ->setCellValue('T9',"25%")
              ->setCellValue('U9',"25%") 
              */
 		       ->setCellValue('V8',"SER")
 		       ->setCellValue('V9',"20%")         
                    
		       ->setCellValue('W8',"DEFINITIVA")
			   ->setCellValue('W9',"100%")

				->mergeCells('X8:X9')
 		        ->setCellValue('X8',"AUSENCIAS") 
				                
				->mergeCells('Y8:AC8')
 		        ->setCellValue('Y8',"CONSOLIDADO") 
				  
				->setCellValue('Y9',"P1")
				->setCellValue('Z9',"P2")              
				->setCellValue('AA9',"P3")
				->setCellValue('AB9',"P4")
                ->setCellValue('AC9',"DEF.")
                ->setCellValue('AD9',"FALTANTE"); 				  				  
       }
       else{
		     $objPHPExcel->setActiveSheetIndex(0)                            		             
		                 ->setCellValue('C9',"NOTA")
                     ->mergeCells('D9:N9') 
		                 ->setCellValue('D9',"OBSERVACIONES");        
       
       }
 }
  
		// Se activa la hoja para que sea la que se muestre cuando el archivo se abre
		$objPHPExcel->setActiveSheetIndex(0);

    $profe=$obj->consulta("select * FROM profesores WHERE cedula='".$profesor."'");
   
   $row_p = $obj->fetch_assoc($profe); 

		// Se manda el archivo al navegador web, con el nombre que se indica (Excel2007)
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename='.str_replace(" ","_",$row_p['nombres']).'.xlsx');
		header('Cache-Control: max-age=0');

		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter->save('php://output');
		
 
    $obj->consulta("DELETE FROM curso_asign_pro_temporal WHERE profesor='".$profesor."'");     
    $obj->disconnect(); 
       
}
	else
		print_r('No hay Informacin para mostrar');

?>
