<?php

//include('seguridad.php')
require_once("../../../../dompdf/dompdf_config.inc.php");
require_once "../../../../dompdf/www/functions.inc.php";


require_once '../../../../app/model/db.class.php';
require_once '../../../../app/model/bs_info_col.php';
require_once '../rangos.php';


function eliminarDir($carpeta) {
    foreach (glob($carpeta . "/*") as $archivos_carpeta) {

        if (is_dir($archivos_carpeta)) {
            eliminarDir($archivos_carpeta);
        } else {
            unlink($archivos_carpeta);
        }
    }

    rmdir($carpeta);
}

function comprimir($nombre_carpeta) {

    $zip = new ZipArchive();
    if ($zip->open($nombre_carpeta . ".zip", ZIPARCHIVE::CREATE) == TRUE) {
        //Si lo abre, es porque no existe ningun zip con ese nombre
        //Llam�mos a la funci�n para comprimir
        comprimirDirectorio($nombre_carpeta, $zip);
        //Cerramos el archivo
        $zip->close();
    }
}

//A la funci�n le pasamos como parametro el directorio y el archivo zip
function comprimirDirectorio($dir, $zip) {
    //Primero comprabamos que sea un directorio
    if (is_dir($dir)) {
        //Por cada elemento dentro del directorio
        foreach (scandir($dir) as $item) {
            //Evitamos la carpeta actual y la anterior
            if ($item == '.' || $item == '..')
                continue;
            //Si encuentra una que no sea las anteriores,
            //vuelve a llamar a la funci�n, con un nuevo directorio
            comprimirDirectorio($dir . "/" . $item, $zip);
        }
    }else {
        //En el caso de que sea un archivo, lo a�ade al zip
        $zip->addFile($dir);
    }
}

function truncateFloat($number, $digitos) {
    $raiz = 10;
    $multiplicador = pow($raiz, $digitos);
    $resultado = ((int) ($number * $multiplicador)) / $multiplicador;
    return number_format($resultado, $digitos);
}

function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".0";
     }

     if (strlen($nota)>3) {
         $nota=substr($nota ,0,3);
     }

    return $nota;

}

 //---------------------------------

 function ceros($nota){

     if (strlen($nota)==1)
        $nota="000".$nota;
     
     elseif (strlen($nota)==2)
         $nota="00".$nota;
     elseif (strlen($nota)==3)
         $nota="0".$nota;

    return $nota;

}

//---------------------------------
function leyenda($cod){

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
           
    $query=$obj->consulta("select * from alumnos where codigo='".$cod."'");
    if($obj->numero_de_filas($query) > 0)
       $data= $obj->fetch_assoc($query);

    $query=$obj->consulta("select * from matriculas where codigo='".$cod."'");
    if($obj->numero_de_filas($query) > 0)
       $matri= $obj->fetch_assoc($query);

    $infogrado=$obj->consulta("select * from grados where codigo='".$matri['grado']."'");
    if($obj->numero_de_filas($infogrado) > 0)
       $grado = $obj->fetch_assoc($infogrado);

    $infocur=$obj->consulta("select * from cursos where grado='".$matri['grado']."' and codigo='".$matri['curso']."'");
    if($obj->numero_de_filas($infocur) > 0)
       $curso = $obj->fetch_assoc($infocur);
    
    $infjor=$obj->consulta("select * from jornadas where codigo='".$curso['jornada']."'");
    if($obj->numero_de_filas($infjor) > 0)
       $jornada = $obj->fetch_assoc($infjor);
  
    $brleyen=$obj->consulta('truncate table constancia');

    $leyen="Que: ".($data['p_apellido'])." ".($data['s_apellido'])." ".($data['p_nombre'])." ".($data['s_nombre']);

    if($row['sexo']=='2')
        $leyen.=" identificada con ";
    else
        $leyen.=" identificado con ";


    if($data['tipodoc']=='1')
        $leyen.="C&eacute;dula de Ciudadan&iacute;a No.";

    if($data['tipodoc']=='2')
        $leyen.="Tarjeta de Identidad No.";

    if($data['tipodoc']=='3')
        $leyen.="C&eacute;dula de Extranjer&iacute;a No.";

     if($data['tipodoc']=='5')
        $leyen.="Registro Civil de Nacimiento No.";

    if($data['tipodoc']=='6')
        $leyen.="No. de Identificaci&oacute;n Personal(NIP) No.";

     if($data['tipodoc']=='7')
        $leyen.="No. &uacute;nico de Identificaci&oacute;n Personal(NUIP) No.";
    
    $leyen.=' '.$data['nodoc'];

    $leyen.=" de ".($data['mcpioexped'])." - ".($data['dptoexped']).",";
    $leyen.=" curs&oacute; y";

    if($matri['promovido']=='SI')
        $leyen.=" aprob&oacute;";
    else
        $leyen.=" reprob&oacute;";

    if ($matri['grado']==0)
        $nivel='Nivel Acad&eacute;mico de Educaci&oacute;n Preescolar';
        
    elseif (($matri['grado']>=1)&& ($matri['grado']<=5))                        
        $nivel='Nivel Acad&eacute;mico de Educaci&oacute;n B&aacute;sica Primaria';

    elseif (($matri['grado']>=6)&& ($matri['grado']<=9))                        
        $nivel='Nivel Acad&eacute;mico de Educaci&oacute;n B&aacute;sica Secundaria';

    elseif (($matri['grado']==10)||($matri['grado']==11))

             $nivel='Nivel Acad&eacute;mico de Educaci&oacute;n Media';

    $anyo=$obj->consulta("select * from parametros");
    $row11=$obj->fetch_assoc($anyo);
       
    $leyen.=" en esta Instituci&oacute;n Educativa estudios correspondientes al";
    $leyen.=" grado ".($grado['descripcion'])." de ".($nivel);
    $leyen.=" en el a&ntilde;o ".$row11['anolectivo'].", de conformidad con el Decreto 1290 del 16 de Abril de 2009.";
    
    return $leyen;

    $obj->disconnect();
    
}

//---------------------------------

    function notas($grado,$curso,$codigo){

      $obj = new database();
      $obj->conectar(); $obj->consulta("set names 'utf8'");

        $s="<table cellspacing='0' cellpadding='0' border='1' width='100%'  align='center'>";

        $s.="<tr>";
        $s.="<th width='50%' style='font-size:11px;'>AREAS Y/O ASIGNATURAS</th>";
        $s.="<th width='10%' style='font-size:11px'>I_H</th>";
        
        $s.="<th width='20%' style='font-size:11px'>ESCALA <BR> INSTITUCIONAL</th>";
        $s.="<th width='20%' style='font-size:11px'>ESCALA <BR> NACIONAL</th>";

        $s.="</tr>";
        $s.="</table>";      
      
           
      $resultado=$obj->consulta("SELECT areas.codigo, areas.descripcion FROM (areas INNER JOIN catalogo ON areas.codigo = catalogo.area) INNER JOIN curso_asignatura_profesor ON catalogo.codigo = curso_asignatura_profesor.asignatura
                                 GROUP BY areas.codigo, areas.descripcion, areas.orden, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso
                                 HAVING (((curso_asignatura_profesor.grado)='".$grado."') AND ((curso_asignatura_profesor.curso)='".$curso."')) ORDER BY areas.orden");
      
      $n=$obj->numero_de_filas($resultado);

        if ($n>0){

          $sw="";

            while($row = $obj->fetch_assoc($resultado)){  //  ---  ASIGNATURAS  --

               //----- ASIGNATURAS PERTENECIENTES AL AREA ---------

               $asig=$obj->consulta("SELECT catalogo.area, catalogo.codigo, catalogo.descripcion, curso_asignatura_profesor.intensidad,curso_asignatura_profesor.peso, profesores.nombres
                                     FROM profesores INNER JOIN (catalogo INNER JOIN curso_asignatura_profesor ON catalogo.codigo = curso_asignatura_profesor.asignatura) ON profesores.cedula = curso_asignatura_profesor.profesor
                                     WHERE catalogo.area='".$row['codigo']."' AND curso_asignatura_profesor.grado='".$grado."' AND curso_asignatura_profesor.curso='".$curso."'  ORDER BY catalogo.orden");

               $num_asig=$obj->numero_de_filas($asig);

               $espacio='false';

               if ($num_asig>1){ //---- ENCABEZADO DEL AREA cuando tiene 2 o mas Asignaturas -------
 
                   $espacio='true';

                   $s.="<center><table align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='100%'>";
                   $s.="<tr>";
                   $s.="<td width='50%' style='font-size: 11px;' colspan='3'>&nbsp;".($row['descripcion'])."</td>";


                    $intensidad=$obj->consulta("SELECT sum(intensidad) as i_h FROM profesores INNER JOIN (catalogo INNER JOIN curso_asignatura_profesor ON catalogo.codigo = curso_asignatura_profesor.asignatura) ON profesores.cedula = curso_asignatura_profesor.profesor
                                                WHERE catalogo.area='".$row['codigo']."' AND curso_asignatura_profesor.grado='".$grado."' AND curso_asignatura_profesor.curso='".$curso."'");

                    $row_ih = $obj->fetch_assoc($intensidad);                                        
                    $s.="<td width='10%' align='center' style='font-size: 11px'>".$row_ih['i_h']."</td>";
                  
                    $ap5=$obj->consulta("SELECT * FROM notas_finales_areas
                                        where area='".$row['codigo']."' and grado='".$grado."' and grupo='".$curso."' and codigo='".$codigo."'");

                    $nota_ap5 = $obj->fetch_assoc($ap5);

                    if ($nota_ap5['definitiva']==NULL){
                        $nap5 =".";
                        $nivel=".";
                    }  
                   else{
                      $nap5 =decimales($nota_ap5['definitiva']);
                      $nivel=(calculardef($nap5));
                   }

                    $s.="<td width='20%' align='center' style='font-weight:bold;font-size: 11px;'>".$nap5."</td>";
                    $s.="<td width='20%' align='center' style='font-size: 11px'>".$nivel."</td>";

                   
                    $s.="</tr></table></center>";

               }
               
               
               while($row1 = $obj->fetch_assoc($asig)){ //---- ENCABEZADO DE ASIGNATURAS -------

                         $s.="<center><table align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='100%'>";

                         $s.="<tr>";


                         /*---- Indentar la Asignaturas ----------*/

                         if ($espacio=='true')
                             $s.="<td width='50%' style='font-size: 11px;' ><font color='white'>___</font><i>".($row1['descripcion'])." (".$row1['peso']."%)</td>";
                         else
                            $s.="<td width='50%' style='font-size:11px;' >&nbsp;".($row1['descripcion'])."</td>";

                         /*---------------------------------------*/

                         $s.="<td width='10%' align='center' style='font-size: 11px' >".$row1['intensidad']."</td>";
                         
                             $p5=$obj->consulta("SELECT * FROM notas_finales_asign
                                                where asignatura='".$row1['codigo']."' and grado='".$grado."' and grupo='".$curso."' and codigo='".$codigo."'");

                             $nota_p5 = $obj->fetch_assoc($p5);
                             
                             if ($nota_p5['definitiva']==NULL){
                                 $notap5 =".";
                                  $nivel1='.';
                              }
                             else{                              
                                $notap5 =decimales($nota_p5['definitiva']);
                                $nivel1=(calculardef($notap5));
                             }

                             $s.="<td width='20%' align='center' style='font-weight:bold;font-size: 13px;'>".$notap5."</td>";
                             $s.="<td width='20%' align='center' style='font-size: 11px'>".$nivel1."</td>";

                             /*---------------------*/

                             $s.="</tr></table></center>";

                }
                              
            }
        }

      return $s;
      $obj->disconnect();
}

//-----------------------------------------

function generar_pdf($carpeta, $html, $codigo) {

    $dompdf = new DOMPDF();
    $dompdf->load_html($html);
    $dompdf->set_paper('a4', 'portrait');
    $dompdf->render();
    $output = $dompdf->output();
    file_put_contents($carpeta . '/' . $codigo . '.pdf', $output);
}

function descript($tabla, $cod, $cod2) {
    $ob = new database();
    $ob->conectar(); $ob->consulta("set names 'utf8'");
    $rs = $ob->consulta("select * from " . $tabla . " where codigo='" . $cod . "' and grado='" . $cod2 . "';");
    $info = $ob->fetch_assoc($rs);
    return $info['descripcion'];
}

//***************************************************************************
//***************************************************************************
//***************************************************************************


$grado = $_REQUEST['grado'];
$curso = $_REQUEST['curso'];

if (empty($_REQUEST['incr']))
    $e = 0;
else
    $e = $_REQUEST['incr'];


$obj1 = new database();
$obj1->conectar(); $obj1->consulta("set names 'utf8'");

$nm = $obj1->consulta("SELECT * FROM libro_final WHERE grado='" . $grado . "' and curso='" . $curso . "' order by numero");

$tot = $obj1->numero_de_filas($nm);

//$obj1->disconnect();

if (empty($_REQUEST['carp'])) {
    $nombre_carpeta = '';
} else {
    $nombre_carpeta = $_REQUEST['carp'];
}


if ($tot > 0) {
    
    //---- MUESTRA ALUMNOS ACTIVOS E INACTIVOS------
    
    $resultadoe = $obj1->consulta("SELECT * FROM libro_final WHERE grado='" . $grado . "' and curso='" . $curso . "' order by numero limit " . $e . ",10;");

    while ($x = $obj1->fetch_assoc($resultadoe)) {
   
        $codigo = $x['codigo'];

        $ob = new database();
        $ob->conectar(); $ob->consulta("set names 'utf8'");
        $ob->consulta("set names 'utf8'");
        
        //---- Informacion Colegio
        $rs1 = $ob->consulta("select * from registrar");
        $info = $ob->fetch_assoc($rs1);

        //--------------------------
        $rsinfoalumno = $ob->consulta("select * from matriculas where codigo='" . $codigo . "'");
        $infoalumno = $ob->fetch_assoc($rsinfoalumno);

        //-------------------------- Informacion Personal Alumno
        $rsinfoalumno_per = $ob->consulta("select * from alumnos where codigo='" . $infoalumno['codigo'] . "'");
        $infoalumno_per = $ob->fetch_assoc($rsinfoalumno_per);


        //--------------------------- Informacion Curso
        $rscur = $ob->consulta("select * from cursos where codigo='" . $infoalumno['curso'] . "' and grado='" . $infoalumno['grado'] . "';");
        $infocur = $ob->fetch_assoc($rscur);

        //--------------------------- Informacion Jornada
        $rsjor = $ob->consulta("select * from jornadas where codigo='" . $infocur['jornada'] . "';");
        $info_jor = $ob->fetch_assoc($rsjor);

        //--------------------------- Informacion Sede
        
        $rssed=$ob->consulta("select * from sedes where codigo='".$infocur['sede']."';");
        $info_sede=$ob->fetch_assoc($rssed);

        //$ob->disconnect();
        
        if(($info_jor['descripcion'])==='MA?ANA')
         {
            $jornada= ($info_jor['descripcion']);          
         }else{
             $jornada= $info_jor['descripcion']; 
         }
  
  
//-------------------------- Informacion Colegio

$rs1=$ob->consulta("select * from parametros");
$row=$ob->fetch_assoc($rs1);
       
$html="
<html>
<head>

<meta http-equiv='expires' content='0'>
<meta http-equiv='Cache-Control' content='no-cache'>
<meta http-equiv='Pragma' CONTENT='no-cache'>
<title>LIBRO FINAL</title>
  <style>
    
    #footer { position: fixed; left: 0px; bottom:0px; right: 0px; height: 250px; background-color: white; }
    #footer .page:after { content: counter(page, upper-roman); }
    @page { margin: 30px 45px 0px 45px; }
   
  </style>
  
</head>

<body>
<CENTER>
<img height='130' width='90%' src='../../../../imagenes/encabezado_boletin.jpg'/>
</CENTER>


<table id='font' border=0 width='100%'  align='center'>
<tr> 
<td align='right' width='70%'><FONT size='3'><b>CONSTANCIA DE DESEMPE&Ntilde;O<b></FONT></td>
<td align='right' width='30%'><b>FOLIO No.  ".ceros($x['numero'])."</b></td>
</tr>

<tr>
<td colspan='2' style='font-size:13px'>
<p align='justify'>".($info['certificadofinal'])."</p>
</td>
</tr>

<tr>
<td  colspan='2' align='center' style='font-size:13px'>
<b> CERTIFICAN </b>
</td>
</tr>

<tr> 
<td colspan='2' style='font-size:13px'>
<p align='justify'>".(leyenda($codigo))."</p>
</td>
</tr>

</table>";

//$folio=$folio+1;

$matri=$ob->consulta("select * from matriculas where codigo='".$codigo."'");
$row1=$ob->fetch_assoc($matri);

$html.=notas($grado,$curso,$codigo);


$dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","S&aacute;bado");
$meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");

  //-----------------------------
  //---Escala de Valoracion -----
  //-----------------------------
  
  $ran=$ob->consulta("select * from rangos order by orden");

  $html.="<table align='center' cellspacing='0' cellpadding='0' width='100%' border='1' style='font-size: 11px; text-align:center;'>";
  $html.="<tr>";
  $html.="<td>ESCALA DE VALORACI&Oacute;N</td>";

  
  while($row_r=$ob->fetch_assoc($ran)){
       
      if ($row_r['inferior']==">=")
          $r1=$row_r['v1'];
      else 
          $r1=$row_r['v1']+0.1;
          
      //-----------------------------
      
      if ($row_r['superior']=="<=")
          $r2=$row_r['v2'];
      else 
          $r2=$row_r['v2']-0.1;
      
        
      $html.="<td>".($row_r['descripcion'])." (".decimales($r1)." - ".decimales($r2).")</td>";

  }

  $html.="</tr>"; 
  $html.="</table>";

   //-----------------------------
   //-----------------------------


$prom=$ob->consulta("select * from rendimiento_general where periodo='5' and alumno='".$codigo."'");               
$np=$ob->numero_de_filas($prom);

$nota_prom = $ob->fetch_assoc($prom);

/*------Tatal de alumnos del curso -------------*/

$total_al=$ob->consulta("select count(*) as total from rendimiento_general where grado='".$row1['grado']."' and curso='".$row1['curso']."' and periodo='5'");
$row_total = $ob->fetch_assoc($total_al);

if ($nota_prom['promedio']==NULL)
    $nota_promedio=".";
else
    $nota_promedio=substr($nota_prom['promedio'], 0, 3);

$html.="<table align='center' width='100%' border='1' cellspacing='0' cellpadding='0' style='font-size: 11px; text-align:center;'>";

$html.="<tr><td>PROMEDIO GENERAL : ".$nota_promedio."</td>";
$html.="<td colspan=2>NIVEL DE DESEMPE&Ntilde;O GENERAL : ".($nota_prom['nivel_desempeno'])."</td>";

if ($np==1){
    $html.="<td align='center'>PUESTO ACAD&Eacute;MICO : ".$nota_prom['puesto']." de ".$row_total['total']."</td>";
}else{
     $html.="<td align='center'>PUESTO ACAD&Eacute;MICO:.</td>";
}

$html.="</tr></table></center>";

                /*-----MUESTRAS LAS HABILITACIONES ----- */

              $habil=$ob->consulta("select codigo, asignatura, habilitacion, valor_habilitacion, area from notas_finales_asign where codigo='".$codigo."' and habilitacion<>'NULL'");

               if($ob->numero_de_filas($habil) > 0) {
            
                    $html.="<table align='center' border='0' cellspacing='0' cellpadding='0' class='hovertable' width='100%'>";
                    $html.="<tr style='font-weight:bold;font-size: 11px'>  <td>";

                    $html.="HABILITACIONES: ";
                    while($row_h = $ob->fetch_assoc($habil)){

                       $asign=$ob->consulta("select * from catalogo where codigo='".$row_h['asignatura']."'");
                       $row_c = $ob->fetch_assoc($asign);

                       $html.="(".($row_c['descripcion'])." - ".($row_h['habilitacion'])." - ".$row_h['valor_habilitacion'].") ";
                    }
                     $html.="</td></tr></table>";
               }
      
//------------------ Observaciones de la estudiante ----------------------------

      $observ=$ob->consulta("select * from matriculas where codigo='".$codigo."'");
      $row11=$ob->fetch_assoc($observ);

      if ($row11['observacion']!=null && $row11['observacion']!=''){

        $html.="<table  width='100%'  border='1' id='font' align='center' cellspacing='0' cellpadding='0' >
        <tr>
           <td style='font-size: 12px'>&nbsp;
             OBSERVACI&Oacute;N :".($row11['observacion'])."
           </td>
        </tr>

        </table>";
     
     }
//------------------------------------------------------------------------------

$html.="<table  width='100%'  border='0' id='font' align='center' cellspacing='0' cellpadding='0' >";

if ($row11['promovido']=='SI')
    $estadofinal='APROBADO';
else
    $estadofinal='REPROBADO';

$html.="<tr><td style='font-size: 11px'>&nbsp;ESTADO FINAL  :".$estadofinal;
$html.="</td></table>";

//------------------------------------------------------------------------------
$html.="

<table  width='100%'  align='center' id='font'>
    <tr>
        <td><p align='justify'>
            El presente certificado no necesita de autenticaci&oacute;n en Notar&iacute;a alguna ni VoBo del Delegado
            de MEN, en virtud de los decretos 1024/82 y 1789/88, respectivamente.
            </p>

             <p>Dado en ".($info['municipio']).", el d&iacute;a ". $dias[date('w')]." ".date('d')." de ".$meses[date('n')-1]. " del ".date('Y') .".</p>

    </tr>

</table>";

$html.="
<div id='footer'>  
<center>

          
<table width='100%' border='0' align='center'>
<tr>
<td align='center'>
<img height='100' width='200' src='../../../../imagenes/firma1.jpg'/>
</td>    
                    
<td align='center'>
<img height='100' width='200' src='../../../../imagenes/firma2.jpg'/>
</td>
</tr>

<tr>
<td style='font-size: 14px; text-align:center;'><b>".($row['rector'])."</b></td>
<td style='font-size: 14px; text-align:center;'><b>".($row['secretario'])."</b></td>
</tr>

<tr>
<td style='font-size: 14px; text-align:center;'>".($row['cedula_rector'])."</td>
<td style='font-size: 14px; text-align:center;'>".($row['cedula_secretario'])."</td></tr>

<tr>
<td style='font-size: 12px; text-align:center;'>Rector</td>
<td style='font-size: 12px; text-align:center;'>Secretaria</td></tr>
</table>  


</center>  
</div>
</body>
</html>";
        
       $folio=$folio+1;        
         
        $nombre_carpeta = $infocur['descripcion'];

        if (!is_dir($nombre_carpeta)) {
            @mkdir($nombre_carpeta . '/', 0700);
        }

        generar_pdf($infocur['descripcion'], ($html), $codigo);
        
    }


    $e = $e + 10;

    if ($e > $tot) {

        
            //Creamos el archivo
            $zip = new ZipArchive();
            if ($zip->open($nombre_carpeta.".zip", ZIPARCHIVE::CREATE)==TRUE) {
               //Si lo abre, es porque no existe ningun zip con ese nombre
               //Llam�mos a la funci�n para comprimir
               comprimirDirectorio($nombre_carpeta, $zip);
               //Cerramos el archivo
               $zip -> close();
            }
            while($codigo=$obj1->fetch_assoc($nm)){
                $archivos[]=$codigo['codigo'];
              }


            for ($index = 0; $index < count($archivos); $index++) {
                
                unlink($nombre_carpeta.'/'.$archivos[$index].'.pdf');
            }
            
            rmdir($nombre_carpeta); 
            
            $file = $nombre_carpeta.".zip"; 
            header("Content-Transfer-Encoding: binary"); 
            header("Content-type: application/octet-stream"); 
            header("Content-Disposition: attachment; filename=".basename($file)); 
            header("Content-Length: ".filesize($file)); 
            readfile($file); 
            
            unlink($file);

    } else {

//        echo "<a href='boletin_academico_curso.php?carp=" . $nombre_carpeta . "&per=" . $periodo . "&grado=" . $grado . "&curso=" . $curso . "&incr=" . $e . "'>sgt</a>";

        header('Location: boletin_academico_curso.php?carp=' . $nombre_carpeta .'&grado=' . $grado . '&curso=' . $curso . '&incr=' . $e . '&folio=' . $folio);
    }
}
?>