<?php
require_once("../../../../dompdf/dompdf_config.inc.php");
require_once "../../../../dompdf/www/functions.inc.php";
require_once '../../../../app/model/db.class.php';
require_once '../../../../app/model/bs_info_col.php';
require_once '../rangos.php';

$periodo=$_REQUEST['per'];
$codigo=$_REQUEST['cod'];


function truncateFloat($number, $digitos)
{
    $raiz = 10;
    $multiplicador = pow ($raiz,$digitos);
    $resultado = ((int)($number * $multiplicador)) / $multiplicador;
    return number_format($resultado, $digitos);

}

function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".00";
     }


     if (strlen($nota)>3) {
         $nota=substr($nota ,0,3);
     }

    return $nota;

}


//-----------------------------------------------

function boletin($codigo,$grado,$curso,$periodo){


      $obj = new database();

      $obj->conectar();
      $obj->consulta("set names 'utf8'");

      //----- MOSTRAR LAS AREAS DEL CURSO -----------


      $resultado=$obj->consulta("SELECT areas.codigo, areas.descripcion FROM (areas INNER JOIN catalogo ON areas.codigo = catalogo.area) INNER JOIN curso_asignatura_profesor ON catalogo.codigo = curso_asignatura_profesor.asignatura
                                 GROUP BY areas.codigo, areas.descripcion, areas.orden, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso
                                 HAVING (((curso_asignatura_profesor.grado)='".$grado."') AND ((curso_asignatura_profesor.curso)='".$curso."')) ORDER BY areas.orden");


      $n=$obj->numero_de_filas($resultado);

      if ($n>0){

          $s="";
          $sw="";

          while($row = $obj->fetch_assoc($resultado)){  //  ---  ASIGNATURAS  --

               //----- ASIGNATURAS PERTENECIENTES AL AREA ---------

               $asig=$obj->consulta("SELECT catalogo.area, catalogo.codigo, catalogo.descripcion,curso_asignatura_profesor.peso, curso_asignatura_profesor.intensidad, profesores.nombres
                                     FROM profesores INNER JOIN (catalogo INNER JOIN curso_asignatura_profesor ON catalogo.codigo = curso_asignatura_profesor.asignatura) ON profesores.cedula = curso_asignatura_profesor.profesor
                                     WHERE catalogo.area='".$row['codigo']."' AND curso_asignatura_profesor.grado='".$grado."' AND curso_asignatura_profesor.curso='".$curso."'  ORDER BY catalogo.orden");

               $num_asig=$obj->numero_de_filas($asig);

               $espacio='false';

               if ($num_asig>1){ //---- ENCABEZADO DEL AREA cuando tiene 2 o mas Asignaturas -------
 
                   $espacio='true';

                   if ($grado!='10' && $grado!='11')
                       $s.="<br>";

                   $s.="<center><table style='border:#FEFAFB 1px solid;' align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='95%'>";
                   $s.="<tr>";
                   $s.="<td width='70%' style='background:#EBE8E8;font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 11px'>".($row['descripcion'])."</td>";

                   //----- DEFINITIVA DEL AREA POR PERIODOS ---------
                    
                    $j=1;
                    while ($j<=$periodo){
                      
                      $ap=$obj->consulta("SELECT * FROM def_acum_area_periodo
                                           WHERE periodo=".$j." 
                                           AND area='".$row['codigo']."' 
                                           AND alumno='".$codigo."'");
                                            
                      $row_def = $obj->fetch_assoc($ap);
                       
                      $na =$row_def['definitiva'];
                       
                      if ($grado!=10 and $grado!=11)
                          $s.="<td width='10%' align='center' style='background:#EBE8E8;font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'>P".$j." :".$na."<BR>".calculardef($na)."</td>";
                      else
                          $s.="<td width='10%' align='center' style='background:#EBE8E8;font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'>P".$j." :".$na."&nbsp;&nbsp;&nbsp;".calculardef($na)."</td>";
                  
                      $j++;
                   }
                   
                   //----- ACUMULADO DEL AREA ---------
                   
                   if ($periodo!=1){
                   
                      $acum=$obj->consulta("SELECT * FROM def_acumuladas_areas
                                          WHERE periodo=".$periodo." 
                                          AND area='".$row['codigo']."' 
                                          AND alumno='".$codigo."'");  
                     
                     $row_a = $obj->fetch_assoc($acum);
                    
                     if ($grado!=10 and $grado!=11)
                          $s.="<td width='10%' align='center' style='background:#EBE8E8;font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'>PROM. ".$row_a['definitiva']."<BR>".calculardef($row_a['definitiva'])."</td>";
                      else
                          $s.="<td width='10%' align='center' style='background:#EBE8E8;font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'>PROM. ".$row_a['definitiva']."&nbsp;&nbsp;&nbsp;".calculardef($row_a['definitiva'])."</td>";
                  
                   }                                                    

                   $s.="</tr></table></center>";
               }



               while($row1 = $obj->fetch_assoc($asig)){ //---- ENCABEZADO DE ASIGNATURAS -------
                        
                        if ($espacio=='false'){
                            if ($grado!='10' && $grado!='11')
                                $s.="<br>";
                        } 
                         
                         $s.="<center><table style='border:#FEFAFB 1px solid;' align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='95%'>";

                         $s.="<tr>";


                         /*---- Indentar la Asignaturas ----------*/

                         if ($espacio=='true'){
                             $s.="<td width='60%' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 11px' ><font color='white'>____</font><i>".($row1['descripcion'])." (".$row1['peso']."%)
                                  &nbsp;&nbsp;
                                  <i><small><font color='white'>_____</font>I.H :".$row1['intensidad']."</small></i>";
                                  
                                  if ($grado!=10 and $grado!=11)
                                      $s.="<BR>";
                                  
                                  $s.="<i><small><font color='white'>_____</font>".($row1['nombres'])."</small></i></td>";
                         }
                         else{
                            $s.="<td width='60%' style='background:#FAFAFA;font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 11px' >&nbsp;&nbsp;".($row1['descripcion']);
                            
                            if ($row1['codigo']!='10.1'){
                                $s.="<small>&nbsp;&nbsp;I.H. :".$row1['intensidad']."</small>";
                                     
                                     if ($grado!=10 and $grado!=11)
                                      $s.="<BR>";
                                  
                                     $s.="<small>&nbsp;&nbsp;".($row1['nombres'])."</small></td>";
                            
                            }
                         }
                         
                         //---- Acumulado de Fallas  ------

                         $n_fallas=$obj->consulta("SELECT sum(detalleboletin.fallas) as total FROM boletin INNER JOIN detalleboletin ON boletin.numero = detalleboletin.boletin
                                                   WHERE boletin.periodo<=".$periodo." AND boletin.asignatura='".$row1['codigo']."' AND detalleboletin.alumno='".$codigo."'");

                         $nf = $obj->fetch_assoc($n_fallas);

                         if ($nf['total']=='0')
                             $cantidad='';
                         else
                             $cantidad=$nf['total'];

                         /*---------------------------------------*/                      
                         
                         if ($row1['codigo']!='10.1') // ---DIFERENTE DE COMPORTAMIENTO----                                                                    
                             $s.="<td width='10%' align='center' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px' >AUSENCIAS :".$cantidad."</td>";
                        
                        
                        $secuencial=0;
                      
                      //********************************************************************
                      //**** LOGROS DEL SABER HACER SER - DEF DE LA ASIGN DEL PERIODO ******
                       
                      $n1='';
                      $n2='';
                      $n3='';
                      $n4='';
                                             
                      if ($periodo=='1'){
                         
                         $n_p1=$obj->consulta("SELECT detalleboletin.secuencial,detalleboletin.saber,detalleboletin.hacer,detalleboletin.ser,detalleboletin.definitiva,detalleboletin.fallas FROM boletin INNER JOIN detalleboletin ON boletin.numero = detalleboletin.boletin
                                               WHERE boletin.periodo='1' AND boletin.asignatura='".$row1['codigo']."' AND detalleboletin.alumno='".$codigo."'");

                         $nf_p1 = $obj->fetch_assoc($n_p1);

                         $secuencial=$nf_p1['secuencial'];
                         $n1=decimales($nf_p1['saber']);
                         $n2=decimales($nf_p1['hacer']);
                         $n3=decimales($nf_p1['ser']);
                         $n4=decimales($nf_p1['definitiva']);

                         $p1=$obj->consulta("select * from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                             where boletin.periodo='1' and boletin.asignatura='".$row1['codigo']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");

                         $nota_p1 = $obj->fetch_assoc($p1);
                         $notap1 =decimales($nota_p1['definitiva']);


                         if ($row1['codigo']=='10.1'){ // ---SI ES IGUAL COMPORTAMIENTO----                                                                    
                             $s.="<td align='center' width='8%' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px' >TITULAR :".decimales($nota_p1['hacer'])."<BR>&nbsp;&nbsp;COORD.&nbsp;:&nbsp;".decimales($nota_p1['saber'])."</td>";
                         }

                         $s.="<td width='7%' align='center' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 11px'>".$notap1;
                         
                         if ($grado!=10 and $grado!=11)
                             $s.="<BR>";
                             
                         $s.="&nbsp;&nbsp;".calculardef($notap1)."</td>";
                                               
                         $s.="</tr></table></center>";                  
                     
                     }
                     
                     
                     if ($periodo=='2'){

                         $n_p1=$obj->consulta("SELECT * FROM boletin INNER JOIN detalleboletin ON boletin.numero = detalleboletin.boletin
                                               WHERE boletin.periodo='1' AND boletin.asignatura='".$row1['codigo']."' AND detalleboletin.alumno='".$codigo."'");

                         $nf_p1 = $obj->fetch_assoc($n_p1);                         
                         $n4_p1=decimales($nf_p1['definitiva']);  // Definitiva Periodo 1

                         //--------------------
                         $n_p2=$obj->consulta("SELECT * FROM boletin INNER JOIN detalleboletin ON boletin.numero = detalleboletin.boletin
                                               WHERE boletin.periodo='2' AND boletin.asignatura='".$row1['codigo']."' AND detalleboletin.alumno='".$codigo."'");

                         $nf_p2 = $obj->fetch_assoc($n_p2);

                         $secuencial=$nf_p2['secuencial'];
                         $n1=decimales($nf_p2['saber']);
                         $n2=decimales($nf_p2['hacer']);
                         $n3=decimales($nf_p2['ser']);
                         $n4=decimales($nf_p2['definitiva']);


                         if ($row1['codigo']=='10.1'){ // ---SI ES IGUAL COMPORTAMIENTO----                                                                    
                             $s.="<td align='center' width='10%' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px' > P1 :TITULAR:".decimales($nf_p1['hacer'])."<BR>&nbsp;COORD.:&nbsp;".decimales($nf_p1['saber'])."</td>";
                             $s.="<td align='center' width='10%' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px' > P2 :TITULAR:".decimales($nf_p2['hacer'])."<BR>&nbsp;COORD.:&nbsp;".decimales($nf_p2['saber'])."</td>";
                         }

                         //-- Definitiva y Nivel de Desempeo Periodo 1
                         
                         $s.="<td width='10%' align='center' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'> P1 :".$n4_p1;                        
                         
                         if ($grado!=10 and $grado!=11)
                             $s.="<BR>";                       
                         $s.="&nbsp;&nbsp;".calculardef($n4_p1)."</td>";    

                         //-- Definitiva y Nivel de Desempeo Periodo 2
                         
                         $s.="<td width='10%' align='center' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'> P2 :".$n4;
                         
                         if ($grado!=10 and $grado!=11)
                             $s.="<BR>";
                         $s.="&nbsp;&nbsp;".calculardef($n4)."</td>";
                        
                         
                         //-- ACUMULADO DE LA ASIGNATURA ------                        
                                            
                         $acum=$obj->consulta("SELECT * FROM def_acumuladas
                                               WHERE periodo=2
                                               AND asignatura='".$row1['codigo']."' 
                                               AND alumno='".$codigo."'");  
                     
                         $row_a = $obj->fetch_assoc($acum);
                    
                         if ($grado!=10 and $grado!=11)
                             $s.="<td width='10%' align='center' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'>PROM. ".$row_a['definitiva']."<BR>".calculardef($row_a['definitiva'])."</td>";
                         else
                             $s.="<td width='10%' align='center' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'>PROM. ".$row_a['definitiva']."&nbsp;&nbsp;&nbsp;".calculardef($row_a['definitiva'])."</td>";
                  



                           
                                               
                         $s.="</tr></table></center>";                  
                     
                     }
                      
                     if ($periodo=='3'){

                         $n_p1=$obj->consulta("SELECT * FROM boletin INNER JOIN detalleboletin ON boletin.numero = detalleboletin.boletin
                                               WHERE boletin.periodo='1' AND boletin.asignatura='".$row1['codigo']."' AND detalleboletin.alumno='".$codigo."'");

                         $nf_p1 = $obj->fetch_assoc($n_p1);                         
                         $n4_p1=decimales($nf_p1['definitiva']);  // Definitiva Periodo 1

                         //--------------------

                         $n_p2=$obj->consulta("SELECT * FROM boletin INNER JOIN detalleboletin ON boletin.numero = detalleboletin.boletin
                                               WHERE boletin.periodo='2' AND boletin.asignatura='".$row1['codigo']."' AND detalleboletin.alumno='".$codigo."'");

                         $nf_p2 = $obj->fetch_assoc($n_p2);                         
                         $n4_p2=decimales($nf_p2['definitiva']);  // Definitiva Periodo 2

                         //--------------------
                                                  
                         $n_p3=$obj->consulta("SELECT * FROM boletin INNER JOIN detalleboletin ON boletin.numero = detalleboletin.boletin
                                               WHERE boletin.periodo='3' AND boletin.asignatura='".$row1['codigo']."' AND detalleboletin.alumno='".$codigo."'");

                         $nf_p3 = $obj->fetch_assoc($n_p3);

                         $secuencial=$nf_p3['secuencial'];
                         $n1=decimales($nf_p3['saber']);
                         $n2=decimales($nf_p3['hacer']);
                         $n3=decimales($nf_p3['ser']);
                         $n4=decimales($nf_p3['definitiva']);


                         if ($row1['codigo']=='10.1'){ // ---SI ES IGUAL COMPORTAMIENTO----                                                                    
                             $s.="<td width='8%' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px' > P1 :&nbsp;&nbsp;TITULAR:&nbsp;".decimales($nf_p1['hacer'])."<BR>&nbsp;NOTA COORD.:&nbsp;".decimales($nf_p1['saber'])."</td>";
                             $s.="<td width='8%' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px' > P2 :&nbsp;&nbsp;TITULAR:&nbsp;".decimales($nf_p2['hacer'])."<BR>&nbsp;NOTA COORD.:&nbsp;".decimales($nf_p2['saber'])."</td>";
                             $s.="<td width='8%' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px' > P3 :&nbsp;&nbsp;TITULAR:&nbsp;".decimales($nf_p3['hacer'])."<BR>&nbsp;NOTA COORD.:&nbsp;".decimales($nf_p3['saber'])."</td>";
                         }

                         //-- Definitiva y Nivel de Desempeo Periodo 1
                         
                         $s.="<td width='8%' align='center' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'> P1 :".$n4_p1;                        
                         if ($grado!=10 and $grado!=11)
                             $s.="<BR>";                       
                         $s.="&nbsp;&nbsp;".calculardef($n4_p1)."</td>";    

                         //-- Definitiva y Nivel de Desempeo Periodo 2
                         
                         $s.="<td width='8%' align='center' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'> P2 :".$n4_p2;                        
                         if ($grado!=10 and $grado!=11)
                             $s.="<BR>";                       
                         $s.="&nbsp;&nbsp;".calculardef($n4_p2)."</td>";    


                         //-- Definitiva y Nivel de Desempeo Periodo 3
                         
                         $s.="<td width='8%' align='center' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'> P3 :".$n4;
                         
                         if ($grado!=10 and $grado!=11)
                             $s.="<BR>";
                         $s.="&nbsp;&nbsp;".calculardef($n4)."</td>";
                         
                         
                         
                          //-- ACUMULADO DE LA ASIGNATURA ------                        
                                            
                         $acum=$obj->consulta("SELECT * FROM def_acumuladas
                                               WHERE periodo=3
                                               AND asignatura='".$row1['codigo']."' 
                                               AND alumno='".$codigo."'");  
                     
                         $row_a = $obj->fetch_assoc($acum);
                    
                         if ($grado!=10 and $grado!=11)
                             $s.="<td width='8%' align='center' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'>PROM. ".$row_a['definitiva']."<BR>".calculardef($row_a['definitiva'])."</td>";
                         else
                             $s.="<td width='8%' align='center' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'>PROM. ".$row_a['definitiva']."&nbsp;&nbsp;&nbsp;".calculardef($row_a['definitiva'])."</td>";
                  

                                              
                         $s.="</tr></table></center>";                  
                     
                     }
                                          
                     //**************************************                                         

                      $conceptos=$obj->consulta("select codigo,descripcion from logros
                                                 where codigo<=3 AND grado='".$grado."' and curso='".$curso."' and asignatura ='".$row1['codigo']."' AND periodo='".$periodo."' order by orden");

                      $s.="<center>
                           <table style='border:#FEFAFB 1px solid;' align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='95%'>";

                      $i=1;
                      $sw=1;
                      
                      while($row_l = $obj->fetch_assoc($conceptos)){
                       
                        //--- COLOR DE FILAS ---
                        $color="";
                        if ($sw==1){     
                           $color="style='background-color:#EFF5FB'";
                           $sw=0;            
                        }    
                        else{
                            $color="style='background-color:#CEE3F6'";
                            $sw=1;
                         }
                       
                          $s.="<tr ".$color.">";
                            
                          if ($i==1){
                             $s.="<td width='7%' style='font-family: verdana,arial,sans-serif;font-size:12px; font-weight:bold' >&nbsp;SABER 40%</td>
                                  <td width='4%' align='center' style='font-family: verdana,arial,sans-serif;font-size:12px;' >".$n1."</td>
                                  <td width='50%' style='font-family: verdana,arial,sans-serif;font-size:12px;' >&nbsp;".ucfirst(strtolower(($row_l['descripcion'])))."</td>";
                          } 
                          
                          if ($i==2){
                             $s.="<td width='7%' style='font-family: verdana,arial,sans-serif;font-size:12px; font-weight:bold' >&nbsp;HACER 30%</td>
                                  <td width='4%' align='center' style='font-family: verdana,arial,sans-serif;font-size:12px;' >".$n2."</td>
                                  <td width='50%' style='font-family: verdana,arial,sans-serif;font-size:12px;' >&nbsp;".ucfirst(strtolower(($row_l['descripcion'])))."</td>";
                          }
                          
                          if ($i==3){
                             $s.="<td width='7%' style='font-family: verdana,arial,sans-serif;font-size:12px; font-weight:bold' >&nbsp;SER&nbsp;&nbsp;&nbsp;&nbsp;30%</td>
                                  <td width='4%' align='center' style='font-family: verdana,arial,sans-serif;font-size:12px;' >".$n3."</td>
                                  <td width='50%' style='font-family: verdana,arial,sans-serif;font-size:12px;' >&nbsp;".ucfirst(strtolower(($row_l['descripcion'])))."</td>";
                          }
                                                      
                          $s.="</tr>";
                          
                             
                      $i=$i+1;
                      }
                      
                       $s.="</table></center>";
                      


  
                     //--------------- COMPETENCIAS  ---------------------------
                          
                     $logros=$obj->consulta("select numero_logro, valor_logro,orden from indicadores
                                            where detalle_boletin='".$secuencial."' order by orden");

                     $s.="<center><table style='border:#FEFAFB 1px solid;' align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='95%'>";

                     $sw_logros="1";
                     
                     while($row2 = $obj->fetch_assoc($logros)){  //  ---  LOGROS  --


                          $descrip_logro=$obj->consulta("select descripcion from logros where grado='".$grado."' and curso='".$curso."' and asignatura='".$row1['codigo']."' and periodo='".$periodo."' and codigo='".$row2['numero_logro']."'");
                          $row3 = $obj->fetch_assoc($descrip_logro);

                          if ($row2['numero_logro']>3){
                             $s.="<tr><td width='5%' align='center' style='font-size:13px; font-weight:bold' >".$row2['valor_logro']."</td>";
                                                       
                              if($row3['descripcion']==''){
                                  $s.="<td style='font-size: 11px' >.</td>";
                              
                              }else{
                                  $s.="<td width='95%' style='font-size:13px' >&nbsp;".($row3['descripcion'])."</td>";
                              }
                                                
                          }
                          else{

                              if ($sw_logros=="1"){
                                  $s.="<tr><td style='font-weight:bold; font-size: 13px' colspan='2'><font color='white'>_____</font>RECOMENDACIONES</td></tr>";
                                  $s.="<tr><td style='font-size: 13px' colspan='2'><font color='white'>_____</font>".($row3['descripcion'])."</td></tr>";
                                  $sw_logros="0";
                              }
                              else{
                                  $s.="<tr><td style='font-size: 13px' colspan='2'><font color='white'>_____</font>".($row3['descripcion'])."</td></tr>";
                              }                              
                          }                                                   
                    }

                   /*------------------------*/
                    $s.="</table></center>";
                     
              }
                           
          }

          /*---- HALLAR PROMEDIO DEL PERIODO ----- */

          $query=$obj->consulta("select * from rendimiento_general where periodo='".$periodo."' and alumno='".$codigo."'");
          $prom = $obj->fetch_assoc($query);


          $s.="<center><table style='border:#FEFAFB 1px solid;' align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='95%'>";
          $s.="<tr><td align='center' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'>PROMEDIO GENERAL: ".truncateFloat($prom['promedio'],3)."</td>";

          /* ----- NIVEL DE DESEMPENIO ---- */

          $s.="<td align='center' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'>NIVEL DE DESEMPE&Ntilde;O :".$prom['nivel_desempeno']."</td>";

          /* ----- PUESTO EN RENDIMIENTO ACADEMICO ---- */

          $puesto=$obj->consulta("select puesto from rendimiento_general where periodo='".$periodo."' and alumno='".$codigo."'");
          $np=$obj->numero_de_filas($puesto);

          /*------Tatal de alumnos del curso -------------*/

          $total_al=$obj->consulta("select count(*) as total from rendimiento_general where grado='".$grado."' and curso='".$curso."' and periodo='".$periodo."'");
          $row_total = $obj->fetch_assoc($total_al);

           if ($np==1){               
               $row_puesto = $obj->fetch_assoc($puesto);
               $s.="<td align='center' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'>PUESTO ACAD&Eacute;MICO :".$row_puesto['puesto']." de ".$row_total['total']."</td></tr>";
           }else{
               $s.="<td align='center' style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 10px'>PUESTO ACAD&Eacute;MICO:</td></tr>";
           }
          
          $s.="</table></CENTER>";
         
       

          /*-----TITULAR ----- */
          $query1=$obj->consulta("select profesores.nombres as titular from profesores inner join titulares on profesores.cedula = titulares.profesor
                                where titulares.grado='".$grado."' and titulares.curso='".$curso."'");

          $titu = $obj->fetch_assoc($query1);

          $estilo="style='font-weight:bold;font-size: 11px;font-family: verdana,arial,sans-serif;'";

          $s.="<table align='center' border='0' width='95%'>";
          $s.="<tr><td ".$estilo." >OBSERVACIONES DEL TITULAR</td></tr>";
          $s.="<tr><td ".$estilo." >_____________________________________________________________________________________________________</td></tr>";
          $s.="<tr><td ".$estilo." >_____________________________________________________________________________________________________</td></tr>";
          
          if ($grado!=10 and $grado!=11){
              $s.="<tr><td ".$estilo." >_____________________________________________________________________________________________________</td></tr>";
              $s.="<tr><td ".$estilo." >_____________________________________________________________________________________________________</td></tr>";
          }
          
          $s.="</table>";
          
          if ($grado!=10 and $grado!=11)
              $s.="<BR>";
          
          $s.="<table align='center' border='0' width='95%'>";
                   
          $s.="<tr><td width='95%' style='text-align:center;font-weight:bold;font-size: 11px;font-family: verdana,arial,sans-serif;'>".$titu['titular']."</td><td style='text-align:right;font-size:11px'>".$codigo."</td></tr>";
          $s.="<tr><td colspan='2' style='text-align:center;font-weight:bold;font-size: 10px;font-family: verdana,arial,sans-serif;'>Titular</td></tr>";
          $s.="</table>";

          return $s;

      }
      else
          return "<CENTER><H1>NO EXISTE</H1></CENTER>";
      
      $obj->disconnect();
}


//---------------------------------------

function boletin_final($codigo,$grado,$curso,$periodo){

     $obj = new database();

      $obj->conectar();
      $obj->consulta("set names 'utf8'");


      $resul_area=$obj->consulta("select areas.codigo, areas.descripcion, notas_finales_areas.definitiva, notas_finales_areas.valor_area
                                 from areas inner join notas_finales_areas on areas.codigo = notas_finales_areas.area
                                 where notas_finales_areas.codigo='".$codigo."' and notas_finales_areas.grado='".$grado."' and notas_finales_areas.grupo='".$curso."' order by areas.orden");

      $s="";

      $s.="<br><table align='center' border='1' cellspacing='0' cellpadding='0' style='font-weight:bold;font-size: 10px;font-family: verdana,arial,sans-serif;' class='hovertable' width='95%'>";
      $s.="<tr align='center' style='font-weight:bold;font-size: 13px'>  <td>AREAS</td>  <td>I_H</td>  <td>P1</td> <td>P2</td>  <td>P3</td>  <td>P4</td> <td>DEF.</td>  <td>DESEMPE&Ntilde;O</td>   </tr>";

      while($row0 = $obj->fetch_assoc($resul_area)){  //  ---  AREAS  --

             $s.="<tr>";

             $s.="<td style='font-weight:bold;font-size: 11px' width='52%'>&nbsp;".($row0['descripcion'])."</td>";
             
             /* ---Intensidad horaria por Areas  - sumamos la de las asignaturas  */

             $resul_total=$obj->consulta("select sum(intensidad) as i_h from curso_asignatura_profesor inner join notas_finales_asign on (curso_asignatura_profesor.asignatura = notas_finales_asign.asignatura)
                                          and (curso_asignatura_profesor.curso = notas_finales_asign.grupo) and (curso_asignatura_profesor.grado = notas_finales_asign.grado)
                                          where notas_finales_asign.codigo='".$codigo."' and notas_finales_asign.grado='".$grado."' and notas_finales_asign.grupo='".$curso."' and notas_finales_asign.area='".$row0['codigo']."'");

             $row5 = $obj->fetch_assoc($resul_total);

             $s.="<td style='font-weight:bold;text-align:center;font-size: 11px' >".$row5['i_h']."</td>";


             // -------Nota Periodo 1 ----------

              $np1=$obj->consulta("select avg(definitiva) as prom from catalogo inner join (boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin) on catalogo.codigo = boletin.asignatura
                                  where catalogo.area='".$row0['codigo']."' and boletin.periodo='1' and detalleboletin.alumno='".$codigo."'");

               $nota_p1 = $obj->fetch_assoc($np1);

               $p1=decimales($nota_p1['prom']);
              
             // -------Nota Periodo 2 ----------

              $np2=$obj->consulta("select avg(definitiva) as prom from catalogo inner join (boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin) on catalogo.codigo = boletin.asignatura
                                  where catalogo.area='".$row0['codigo']."' and boletin.periodo='2' and detalleboletin.alumno='".$codigo."'");

               $nota_p2 = $obj->fetch_assoc($np2);

               $p2=decimales($nota_p2['prom']);
               
                            
              // -------Nota Periodo 3 ----------

              $np3=$obj->consulta("select avg(definitiva) as prom from catalogo inner join (boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin) on catalogo.codigo = boletin.asignatura
                                  where catalogo.area='".$row0['codigo']."' and boletin.periodo='3' and detalleboletin.alumno='".$codigo."'");

               $nota_p3 = $obj->fetch_assoc($np3);

               $p3=decimales($nota_p3['prom']);
               
              
             // -------Nota Periodo 4 ----------

              $np4=$obj->consulta("select avg(definitiva) as prom from catalogo inner join (boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin) on catalogo.codigo = boletin.asignatura
                                  where catalogo.area='".$row0['codigo']."' and boletin.periodo='4' and detalleboletin.alumno='".$codigo."'");

               $nota_p4 = $obj->fetch_assoc($np4);

               $p4=decimales($nota_p4['prom']);
                            
          
 
              
              // ------- Definitiva ----------
              
              $df=$obj->consulta("select * from notas_finales_areas
                                 where area='".$row0['codigo']."' and grado='".$grado."' and grupo='".$curso."' and codigo='".$codigo."'");

               $nota_df = $obj->fetch_assoc($df);

               $ndf=decimales($nota_df['definitiva']);
 


               /*--- TOTAL DE AUSENCIAS---------*/

               $fallas=$obj->consulta("select sum(fallas) as ausencias from catalogo inner join (boletin inner join detalleboletin on
                                   boletin.numero = detalleboletin.boletin) on catalogo.codigo = boletin.asignatura
                                   where catalogo.area='".$row0['codigo']."' and detalleboletin.alumno='".$codigo."'");

               $row6 = $obj->fetch_assoc($fallas);


               $fallas=$row6['ausencias'];

                if ($row6['ausencias']==0){
                    $fallas="";
                }
               
                /*----------------------*/


                $s.="<td align='center' style='font-weight:bold;text-align:center;font-size: 11px'>".$p1."</td>
                     <td align='center' style='font-weight:bold;text-align:center;font-size: 11px'>".$p2."</td> 
                     <td align='center' style='font-weight:bold;text-align:center;font-size: 11px'>".$p3."</td>    
                     <td align='center' style='font-weight:bold;text-align:center;font-size: 11px'>".$p4."</td>    
                     <td style='font-weight:bold;font-size:12px;text-align:center' >".$ndf."</td>    
                     <td style='font-weight:bold;font-size:12px;text-align:center' align='center'>".($nota_df['valor_area'])."</td>";


              /* --- Asignaturas que pertenecen a aun area --------*/
        
               $resultado=$obj->consulta("select curso_asignatura_profesor.asignatura, catalogo.descripcion, curso_asignatura_profesor.intensidad,curso_asignatura_profesor.peso
                                          from catalogo inner join curso_asignatura_profesor on catalogo.codigo = curso_asignatura_profesor.asignatura
                                          where curso_asignatura_profesor.grado='".$grado."' and curso_asignatura_profesor.curso='".$curso."' and catalogo.area='".$row0['codigo']."'");


               $n=$obj->numero_de_filas($resultado);

                if ($n>1){

                   while($row = $obj->fetch_assoc($resultado)){  //  ---  ASIGNATURAS  --

                           // -------Nota Periodo 1 Asign ----------
                           
                            $asig1=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin 
                                                   where boletin.asignatura='".$row['asignatura']."' and boletin.periodo='1' and detalleboletin.alumno='".$codigo."'");
                           
                            $pas1 = $obj->fetch_assoc($asig1);
                            $pn1=decimales($pas1['definitiva']);
                            
                            // -------Nota Periodo 1 Asign ----------
                           
                            $asig1=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin 
                                                   where boletin.asignatura='".$row['asignatura']."' and boletin.periodo='1' and detalleboletin.alumno='".$codigo."'");
                           
                            $pas1 = $obj->fetch_assoc($asig1);
                            $pn1=decimales($pas1['definitiva']);
                            
                            
                           // -------Nota Periodo 2 Asign ----------
                           
                            $asig2=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin 
                                                   where boletin.asignatura='".$row['asignatura']."' and boletin.periodo='2' and detalleboletin.alumno='".$codigo."'");
                           
                            $pas2 = $obj->fetch_assoc($asig2);
                            $pn2=decimales($pas2['definitiva']);
                                                                                   
                            // -------Nota Periodo 3 Asign ----------
                           
                            $asig3=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin 
                                                   where boletin.asignatura='".$row['asignatura']."' and boletin.periodo='3' and detalleboletin.alumno='".$codigo."'");
                           
                            $pas3 = $obj->fetch_assoc($asig3);
                            $pn3=decimales($pas3['definitiva']);
                            

                            // -------Nota Periodo 4 Asign ----------
                           
                            $asig4=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin 
                                                   where boletin.asignatura='".$row['asignatura']."' and boletin.periodo='4' and detalleboletin.alumno='".$codigo."'");
                           
                            $pas4 = $obj->fetch_assoc($asig4);
                            $pn4=decimales($pas4['definitiva']);
                            

                                                      
                           // -------Nota Final Asign ----------
                           
                           $p5=$obj->consulta("select * from notas_finales_asign
                                                where asignatura='".$row['asignatura']."' and grado='".$grado."' and grupo='".$curso."' and codigo='".$codigo."'");

                           $t=$obj->numero_de_filas($p5);

                            if ($t!=0){

                              $nota_p5 = $obj->fetch_assoc($p5);

                              $np5=decimales($nota_p5['definitiva']);

 
                              $s.="<tr>";
                              $s.="<td style='font-weight:bold;font-size:12px' width='40%'><font color='white'>___</font><i>".($row['descripcion'])."</i></td>";
                              $s.="<td style='font-weight:bold;text-align:center;font-size: 11px' >".$row['intensidad']."</td>";
                              

                              $s.="<td align='center' style='font-weight:bold;text-align:center;font-size: 11px'>".$pn1."</td>
                                   <td align='center' style='font-weight:bold;text-align:center;font-size: 11px'>".$pn2."</td>  
                                   <td align='center' style='font-weight:bold;text-align:center;font-size: 11px'>".$pn3."</td>  
                                   <td align='center' style='font-weight:bold;text-align:center;font-size: 11px'>".$pn4."</td>";
                              
 
                              $s.="<td style='font-weight:bold;font-size:11px;text-align:center' >".$np5." </td>
                                   <td style='font-weight:bold;font-size:11px;text-align:center' align='center'><i> ".($nota_p5['valor_asigna'])."</i></td>";
                                   
                              $s.="</tr>";
                           }

                    }     //  ---  ASIGNATURAS  --

                 }

                $s.="</tr>";
              }

              $s.="</table>";


                /*-----MUESTRAS LAS HABILITACIONES ----- */

              $habil=$obj->consulta("select codigo, asignatura, habilitacion, valor_habilitacion,rehabilitacion, valor_rehabilitacion, area from notas_finales_asign where codigo='".$codigo."' and (habilitacion<>'NULL' or rehabilitacion<>'NULL')");

               if($obj->numero_de_filas($habil) > 0) {

                    $s.="<br><table align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='95%'>";
                    $s.="<tr><td style='font-weight:bold;font-size:11px;font-family:verdana,arial,sans-serif;' colspan='3' align='center'>SUPERACIONES</td></tr>";

            
                    while($row = $obj->fetch_assoc($habil)){

                       $asign=$obj->consulta("select * from catalogo where codigo='".$row['asignatura']."'");
                       $row1 = $obj->fetch_assoc($asign);

                       $area=$obj->consulta("select * from areas where codigo='".$row['area']."'");
                       $row2 = $obj->fetch_assoc($area);

                       $area_nota=$obj->consulta("select codigo, area, habilitacion, valor_habilitacion,rehabilitacion, valor_rehabilitacion from notas_finales_areas
                                                    where codigo='".$codigo."' and area='".$row['area']."'");

                       $row3 = $obj->fetch_assoc($area_nota);

                       $s.="<tr style='font-weight:bold;font-size:11px;font-family:verdana,arial,sans-serif;'>";
                       
                       if ($row['habilitacion']>$row['rehabilitacion']){
                           $s.="<td>".$row1['descripcion']."</td><td align='center'>".decimales($row['habilitacion'])."</td><td align='center'>".$row['valor_habilitacion']."</td>";
                         
                       }
                       
                       if ($row['rehabilitacion']>$row['habilitacion']){
                           $s.="<td>".$row1['descripcion']."</td><td align='center'>".decimales($row['rehabilitacion'])."</td><td align='center'>".$row['valor_rehabilitacion']."</td>";
                         
                       }
                       
                       $s.="</tr>";

                    }

                    $s.="</table>";

               }

              /*-----INFORME FINAL ----- */

               $informe=$obj->consulta("select * from matriculas where codigo='".$codigo."'");
               $final = $obj->fetch_assoc($informe);

               $total_al=$obj->consulta("select count(*) as total from rendimiento_general where grado='".$grado."' and curso='".$curso."' and periodo='".$periodo."'");
               $row_total = $obj->fetch_assoc($total_al);


               $prom=$obj->consulta("SELECT * FROM `rendimiento_general` WHERE periodo=5 and alumno='".$codigo."'");
               $nota_prom = $obj->fetch_assoc($prom);
               

                $s.="<br><center><table  align='center' cellspacing='0' cellpadding='0' border='1' width='95%' style='font-weight:bold;font-size:11px;font-family: verdana,arial,sans-serif;' class='hovertable'>";
                $s.="<tr><td colspan='4' align='center'>RESUMEN FINAL</td></tr>";
                $s.="<tr><td>&nbsp;PROMEDIO FINAL</td>   <td align='center'>&nbsp;".truncateFloat($nota_prom['promedio'],3)."</td>";
                $s.="<td>&nbsp;DESEMPE &Ntilde;O FINAL</td>  <td align='center'>&nbsp;".($nota_prom['nivel_desempeno'])."</td> </tr>";
                
                $s.="<tr><td>&nbsp;PUESTO ACAD&Eacute;MICO </td>  <td align='center'>&nbsp;".$nota_prom['puesto']." de ".$row_total['total']."</td>";
                
                $s.="<td>&nbsp;ESTADO FINAL</td>   <td align='center'>&nbsp;".($final['estado_final'])."</td></tr>";
                $s.="</table></center>";

               /*-----OBSERVACIONES DE PREESCOLAR ----- */
              
                if (($final['grado']==0) and ($final['observacion']!=null)){
                
                    $s.="<table align='center' border='0' cellspacing='0' cellpadding='0' style='font-weight:bold;font-size: 11px;font-family: verdana,arial,sans-serif;' class='hovertable' width='95%'>
                    <tr>
                    <td>

                    OBSERVACI&Oacute;N : ".($final['observacion'])."
                    </td>
                    </tr>
                    </table><br>";
                }
                
              
               //-----------------------------------------
               
               
                $estilo="style='font-weight:bold;font-size: 11px;font-family: verdana,arial,sans-serif;'";

                $s.="<table align='center' border='0' width='95%'>";
                $s.="<tr><td ".$estilo." >ASPECTOS POSITIVOS</td></tr>";
                $s.="<tr><td ".$estilo." >_____________________________________________________________________________________________________</td></tr>";
                $s.="<tr><td ".$estilo." >_____________________________________________________________________________________________________</td></tr>";
                $s.="<tr><td ".$estilo." >_____________________________________________________________________________________________________</td></tr>";
                $s.="</table><BR>";

                 $s.="<table align='center' border='0' width='95%'>";
                $s.="<tr><td ".$estilo." >RECOMENDACIONES</td></tr>";
                $s.="<tr><td ".$estilo." >_____________________________________________________________________________________________________</td></tr>";
                $s.="<tr><td ".$estilo." >_____________________________________________________________________________________________________</td></tr>";
                $s.="<tr><td ".$estilo." >_____________________________________________________________________________________________________</td></tr>";
                $s.="</table>";


              /*-----TITULAR ----- */
              
               $query1=$obj->consulta("select profesores.nombres as titular from profesores inner join titulares on profesores.cedula = titulares.profesor
                                       where titulares.grado='".$grado."' and titulares.curso='".$curso."'");

                $titu = $obj->fetch_assoc($query1);

                $s.="<br><br><center><table  border='0' width='90%'>";
                $s.="<tr><td style='text-align:center;font-weight:bold;font-size: 14px;font-family: verdana,arial,sans-serif;'>___________________________</td></tr>";
                $s.="<tr><td style='text-align:center;font-weight:bold;font-size: 11px;font-family: verdana,arial,sans-serif;'>".($titu['titular'])."</td></tr>";
                $s.="<tr><td style='text-align:center;font-weight:bold;font-size: 11px;font-family: verdana,arial,sans-serif;'>Titular</td></tr>";
                $s.="</table></center>";

          return $s;

      $obj->disconnect();
}

//-----------------------------------------


function descript($tabla,$cod,$cod2){
    $ob=new database();
    $ob->conectar();
    $obj->consulta("set names 'utf8'");
    
    $rs=$ob->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$cod2."';");
    $info=$ob->fetch_assoc($rs);
    return $info['descripcion'];
    $ob->disconnect();
}


$ob=new database();
$ob->conectar();
$ob->consulta("set names 'utf8'");

//-------------------------- Informacion Colegio
$rs=$ob->consulta("select * from registrar");
$info=$ob->fetch_assoc($rs);

//--------------------------
$rsinfoalumno=$ob->consulta("select * from matriculas where codigo='".$codigo."'");
$infoalumno=$ob->fetch_assoc($rsinfoalumno);

//-------------------------- Informacion Personal Alumno
$rsinfoalumno_per=$ob->consulta("select * from alumnos where codigo='".$infoalumno['codigo']."'");
$infoalumno_per=$ob->fetch_assoc($rsinfoalumno_per);


//--------------------------- Informacion Curso
$rscur=$ob->consulta("select * from cursos where codigo='".$infoalumno['curso']."' and grado='".$infoalumno['grado']."';");
$infocur=$ob->fetch_assoc($rscur);

//--------------------------- Informacion Jornada
$rsjor=$ob->consulta("select * from jornadas where codigo='".$infocur['jornada']."';");
$info_jor=$ob->fetch_assoc($rsjor);

//--------------------------- Informacion Sede
$rssed=$ob->consulta("select * from sedes where codigo='".$infocur['sede']."';");
$info_sede=$ob->fetch_assoc($rssed);


//------- ORDENAR EL BOLETIN --------

if ($periodo!='5'){

       $informacion=boletin($codigo,$infoalumno['grado'],$infoalumno['curso'],$periodo);

}else{

     $informacion=boletin_final($codigo,$infoalumno['grado'],$infoalumno['curso'],$periodo);
}

//---------------------------------

$rsper=$ob->consulta("select * from periodos where codigo='".$periodo."';");
$info_per=$ob->fetch_assoc($rsper);

$param=$ob->consulta("select * from parametros");
$ano=$ob->fetch_assoc($param);


$ob->disconnect();
//print_r($info);
$html="
<html>
<head>
<meta http-equiv='expires' content='0'>
<meta http-equiv='Cache-Control' content='no-cache'>
<meta http-equiv='Pragma' CONTENT='no-cache'>

<title>Boletin Acad&eacute;mico</title>  
    <style>
  
       .normal {
          width: 670px;
          border: 1px solid #000;
          border-collapse: collapse;
        }
        .normal th, .normal td {
          border: 2px solid #000;
        }
        
    @page { margin: 30px 20px 30px 20px; }
             
        
</style>
</head>


<body>
     <center><img height='130' width='90%' src='../../../../imagenes/encabezado_boletin.jpg'/>
     <br> <font size='2'><b>INFORME DE DESEMPE&Ntilde;O ACAD&Eacute;MICO - A&Ntilde;O LECTIVO ".$ano['anolectivo']."</b></font>
     </center>";
    
     if ($periodo==5)
         $html.="<br>";
    
$html.="<table width='95%' border=1 style='font-size: 11px' align='center'>
        <tr style='font-family: verdana,arial,sans-serif;font-size:11px'>
            <td width='25%'>C&Oacute;DIGO: &nbsp; <b>".$infoalumno['codigo']."</b></td>

            <td width='50%'>NOMBRE ESTUDIANTE: &nbsp; <b>".($infoalumno_per['p_apellido'])." ".($infoalumno_per['s_apellido'])." ".($infoalumno_per['p_nombre'])." ".($infoalumno_per['s_nombre'])."</b></td>

            <td width='25%'>CALENDARIO: &nbsp; <b>A</b></td>

        </tr>
         <tr style='font-family: verdana,arial,sans-serif;font-size:11px'>
            <td colspan='3' >
                GRADO: &nbsp; <b>".$infocur['descripcion']."</b>
                     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                JORNADA: &nbsp; <b>".($info_jor['descripcion'])."</b>


                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                REGISTRO EDUCATIVO No. &nbsp; <b>".$info['registroeducativo']."</b>

                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                PER&Iacute;ODO: <b>".$info_per['descripcion']."</b></td>
       </tr>
    </table>
    </center>

 ".$informacion."



</body>
</html>";

//echo $html;

$dompdf = new DOMPDF();     
$dompdf->load_html($html);
$dompdf->set_paper('letter', 'portrait');
//$dompdf->set_paper('letter','landscape');
$dompdf->render();

$dompdf->stream("boletin.pdf", array("Attachment" => false));
    
?>