<?php
require_once '../app/model/db.class.php';
require_once '../PHPExcel/PHPExcel.php';
if (!isset($_SESSION)) { session_start(); }


function color_celda($cells,$color){
    global $objPHPExcel;

    $objPHPExcel->getActiveSheet()->getStyle($cells)->getFill()->applyFromArray(array(
        'type' => PHPExcel_Style_Fill::FILL_SOLID,
        'startcolor' => array(
        'rgb' => $color
        )
    ));
}

//-------------------------------------

$profesor = $_REQUEST['profesor'];
$periodo = $_REQUEST['periodo'];

$obj = new database();
$obj->conectar();
$obj->consulta("set names 'utf8'");

//---------------------------------------------------------------------------

// Se crea el objeto PHPExcel
$objPHPExcel = new PHPExcel();

// Se asignan las propiedades del libro
$objPHPExcel->getProperties()->setCreator("Academic Reports") //Autor
  			     ->setLastModifiedBy("Academic Reports") //Ultimo usuario que lo modific
				     ->setTitle("Planillas")
				     ->setSubject("Planillas")
				     ->setDescription("Planillas")
				     ->setKeywords("Planillas")
				     ->setCategory("Planillas");

$estiloInformacion = new PHPExcel_Style();
$estiloInformacion->applyFromArray(array('font'=>array('name'=>'Arial','size'=>10,'color'=> array('rgb' => '000000')),'borders' => array('allborders' => array('style' => PHPExcel_Style_Border::BORDER_THIN))));

$colorcelda = new PHPExcel_Style();
$colorcelda->applyFromArray(array('fill'=> array('type'=> PHPExcel_Style_Fill::FILL_GRADIENT_LINEAR,'rotation' => 90,'startcolor' => array('rgb'=> 'FCC5DD'),'endcolor'=> array('argb' => 'FCC5DD'))));

//----------------------------------------------------------------------------

$nm = $obj->consulta("SELECT * FROM curso_asign_pro_temporal WHERE activar=1");

$tot = $obj->numero_de_filas($nm);

//--- Informacion Colegio

$rs=$obj->consulta("select * from registrar");
$info=$obj->fetch_assoc($rs);

$Hoja=0; 

if ($tot > 0) {

    $resultadoe = $obj->consulta("SELECT * FROM curso_asign_pro_temporal WHERE activar='1'");
      
    while ($x = $obj->fetch_assoc($resultadoe)) {

      $cadena=$obj->consulta("SELECT matriculas.grado,matriculas.curso,alumnos.codigo, CONCAT(p_apellido,' ',s_apellido,' ',p_nombre,' ', s_nombre) as nombre_alumno 
                              FROM curso_asignatura_profesor 
							  inner join (alumnos 
							  inner join matriculas 
							  on alumnos.codigo = matriculas.codigo) 
                              on (curso_asignatura_profesor.curso = matriculas.curso) 
							  and (curso_asignatura_profesor.grado = matriculas.grado)
                              where curso_asignatura_profesor.anolectivo='".$_SESSION['anolectivo']."'
							  AND matriculas.anolectivo='".$_SESSION['anolectivo']."'
							  AND matriculas.asignatura='".$x['asignatura']."' 
							  AND curso_asignatura_profesor.profesor=".$profesor." 
                              ORDER BY grado,curso,CONCAT(p_apellido,' ',s_apellido,' ',p_nombre,' ', s_nombre)");

      if ($Hoja!=0)       
          $objPHPExcel->createSheet(0);//creamos la pestaa       
  		

    $i=10; 
    while($row = $obj->fetch_assoc($cadena)){                 
	
      //--- SE crea una nueva Hoja ----
    

          $objPHPExcel->setActiveSheetIndex(0)
        	            ->setCellValue('A'.$i,  $row['grado'])
		                  ->setCellValue('B'.$i,  $row['curso'])          
        	            ->setCellValue('C'.$i,  $row['codigo'])
		                  ->setCellValue('D'.$i,  $row['nombre_alumno']);


         //---FORMULA PARA LA DEFINITIVA ------
         
         if ($x['asignatura']!='14_1'){ //---- DIFERENTE DE COMPORTAMIENTO -----
             
             $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "A".$i.":K".$i);
             $objPHPExcel->getActiveSheet()->setCellValue("I".$i, "=E".$i."*0.5+F".$i."*0.3+G".$i."*0.15+H".$i."*0.05");        
         }
         else{
              $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "A".$i.":E".$i);
  
         }
         $i++;
    }
  
  	// Se asigna el nombre a la hoja
		$objPHPExcel->getActiveSheet()->setTitle("Hoja_".$Hoja);
    $Hoja++;
 
    //--- Coloca recuadros a las celdas -----

     $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "C3:C6");

     color_celda('C3:C6','FFFF00');
     
     if ($x['asignatura']!='14_1'){
     
         $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "E8:K8");     
         $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "A9:K9");
         color_celda('A9:K9','FFFF00');
     
     }    
     else{
        $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "A9:E9");
        color_celda('A9:F9','FFFF00');
     }
        
     $objPHPExcel->getActiveSheet()->getStyle('B3:B6')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
 
     $objPHPExcel->getActiveSheet()->getStyle('C3:C6')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
     $objPHPExcel->getActiveSheet()->getStyle('E8:K8')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
     $objPHPExcel->getActiveSheet()->getStyle('A9:K9')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);

     $objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(8);
     $objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(8);
     $objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(8);
     $objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(40);
     $objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(11);
     $objPHPExcel->getActiveSheet()->getColumnDimension('F')->setWidth(11);
     $objPHPExcel->getActiveSheet()->getColumnDimension('G')->setWidth(11);
     $objPHPExcel->getActiveSheet()->getColumnDimension('H')->setWidth(11);
     $objPHPExcel->getActiveSheet()->getColumnDimension('I')->setWidth(11);   
                 
     //--- Bloquear celdas ----
     
     $objPHPExcel->getActiveSheet()->getProtection()->setSheet(true);	
     $objPHPExcel->getActiveSheet()->protectCells('A1:K7','susana');     
    
     $objPHPExcel->getActiveSheet()->protectCells('A1:D'.($i-1));    
 
     //---Desbloquear celdas ---
    
     $objPHPExcel->getActiveSheet()->getStyle('E10:H'.($i-1))->getProtection()->setLocked(PHPExcel_Style_Protection::PROTECTION_UNPROTECTED);    
     $objPHPExcel->getActiveSheet()->getStyle('J10:K'.($i-1))->getProtection()->setLocked(PHPExcel_Style_Protection::PROTECTION_UNPROTECTED);    
        
    //-------- Encabezado --------------------------

     $consul = "SELECT * from parametros";

     $resul = $obj->consulta($consul);
     $anyo = $obj->fetch_assoc($resul);

     $profe=$obj->consulta("select * FROM profesores where anolectivo='".$_SESSION['anolectivo']."'
						    AND cedula='".$profesor."'");
							
     $row_p = $obj->fetch_assoc($profe); 

		     $objPHPExcel->setActiveSheetIndex(0)
                 ->setCellValue('C1',($info['institucion']))
		             ->setCellValue('B3',"ASIGNATURA")                 
		             ->setCellValue('B4',"DOCENTE") 
                
                 ->setCellValue('C3',$x['asignatura'])
                 ->setCellValue('C4',$x['profesor'])
                                                
                 ->setCellValue('D3',$x['nom_asign'])
                 ->setCellValue('D4',$row_p['nombres'])

                 ->setCellValue('B5',"PERIODO")
                 ->setCellValue('B6',("AO LECTIVO"))
                 
                 ->setCellValue('C5',$periodo)
                 ->setCellValue('C6',$_SESSION['anolectivo']) 
                                                		             
		             ->setCellValue('A9',"GRADO") 
		             ->setCellValue('B9',"CURSO")   
		             ->setCellValue('C9',"CODIGO") 
		             ->setCellValue('D9',"APELLIDOS Y NOMBRES"); 

     if ($x['asignatura']!='14_1'){ //---- DIFERENTE DE COMPORTAMIENTO -----
 		     
          $objPHPExcel->setActiveSheetIndex(0)

		             ->setCellValue('E8',"COGNITIVO") 
		             ->setCellValue('E9',"50%") 
                                                   
		             ->setCellValue('F8',"PROCEDIM.")
		             ->setCellValue('F9',"30%")
                  
		             ->setCellValue('G8',"ACTITUD.")
		             ->setCellValue('G9',"15%")                 
                                   
		             ->setCellValue('H8',"AUTOEVAL.") 
		             ->setCellValue('H9',"5%")        	      
		             ->setCellValue('I9',"DEF.")
                
                 ->mergeCells('J8:K8')
 		             ->setCellValue('J8',"AUSENCIAS") 
 		             ->setCellValue('J9',"J") 
                 ->setCellValue('K9',"NJ");                 
                              
       }
       else{
           $objPHPExcel->setActiveSheetIndex(0)
		             ->setCellValue('E9',"NOTA")
                 ->setCellValue('F9',"CONCEPTO");       
       }
       
                 
 }
  
		// Se activa la hoja para que sea la que se muestre cuando el archivo se abre
		$objPHPExcel->setActiveSheetIndex(0);


		// Se manda el archivo al navegador web, con el nombre que se indica (Excel2007)
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename='.str_replace(" ","_",$row_p['nombres']).'.xlsx');
		header('Cache-Control: max-age=0');

		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter->save('php://output');
		exit;
    
 $obj->disconnect(); 
   
}
	else
			print_r('NO EXISTE INFORMACION PARA MOSTRAR');

?>