<?php
require_once '../app/model/db.class.php';
require_once '../PHPExcel/PHPExcel.php';
if (!isset($_SESSION)) { session_start(); }

function color_celda($cells,$color){
    global $objPHPExcel;

    $objPHPExcel->getActiveSheet()->getStyle($cells)->getFill()->applyFromArray(array(
        'type' => PHPExcel_Style_Fill::FILL_SOLID,
        'startcolor' => array(
        'rgb' => $color
        )
    ));
}

//-------------------------------------

$profesor = $_REQUEST['profesor'];
$periodo = $_REQUEST['periodo'];

$obj = new database();
$obj->conectar();
$obj->consulta("set names 'utf8'");

//---------------------------------------------------------------------------

// Se crea el objeto PHPExcel
$objPHPExcel = new PHPExcel();

// Se asignan las propiedades del libro
$objPHPExcel->getProperties()->setCreator("Academic Reports") //Autor
  			     ->setLastModifiedBy("Academic Reports") //Ultimo usuario que lo modific
				     ->setTitle("Planillas")
				     ->setSubject("Planillas")
				     ->setDescription("Planillas")
				     ->setKeywords("Planillas")
				     ->setCategory("Planillas");

$estiloInformacion = new PHPExcel_Style();
$estiloInformacion->applyFromArray(array('font'=>array('name'=>'Arial','size'=>10,'color'=> array('rgb' => '000000')),'borders' => array('allborders' => array('style' => PHPExcel_Style_Border::BORDER_THIN))));

$colorcelda = new PHPExcel_Style();
$colorcelda->applyFromArray(array('fill'=> array('type'=> PHPExcel_Style_Fill::FILL_GRADIENT_LINEAR,'rotation' => 90,'startcolor' => array('rgb'=> 'FCC5DD'),'endcolor'=> array('argb' => 'FCC5DD'))));

//----------------------------------------------------------------------------

$nm = $obj->consulta("SELECT * FROM curso_asign_pro_temporal WHERE activar=1");

$tot = $obj->numero_de_filas($nm);

//--- Informacion Colegio

$rs=$obj->consulta("select * from registrar");
$info=$obj->fetch_assoc($rs);

$Hoja=0; 

if ($tot > 0) {

    $resultadoe = $obj->consulta("SELECT * FROM curso_asign_pro_temporal WHERE activar='1'");
      
    while ($x = $obj->fetch_assoc($resultadoe)) {

      $cadena=$obj->consulta("select matriculas.codigo, CONCAT(p_apellido,' ',s_apellido,' ',p_nombre,' ', s_nombre) as nombre_alumno 
	                          from alumnos 
							  inner join matriculas 
							  on alumnos.codigo = matriculas.codigo 
                              where matriculas.anolectivo='".$_SESSION['anolectivo']."'
							  AND matriculas.grado='".$x['grado']."' 
							  and matriculas.curso='".$x['curso']."' 
							  and matriculas.estado='A' 
							  order by p_apellido,s_apellido,p_nombre,s_nombre");

      if ($Hoja!=0)       
          $objPHPExcel->createSheet(0);//creamos la pestaa       
  		

    $i=10; 
    while($row = $obj->fetch_assoc($cadena)){                 
	
      //--- SE crea una nueva Hoja ----
    
          $objPHPExcel->setActiveSheetIndex(0)
        	            ->setCellValue('A'.$i,  $row['codigo'])
		                  ->setCellValue('B'.$i,  $row['nombre_alumno']);

         $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "A".$i.":C".$i);
        
         $i++;
    }
  
  	// Se asigna el nombre a la hoja
		$objPHPExcel->getActiveSheet()->setTitle("Hoja_".$Hoja);
    $Hoja++;
 
    //--- Coloca recuadros a las celdas -----

     $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "C3:C6");
     $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "H3:H6");
     
     $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "A9:C9");
     
     color_celda('C3:C6','FFFF00');
     color_celda('H3:H6','FFFF00');
     
     color_celda('A9:C9','FFFF00');
     
     $objPHPExcel->getActiveSheet()->getStyle('B3:B6')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
 
     $objPHPExcel->getActiveSheet()->getStyle('C3:C6')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
     $objPHPExcel->getActiveSheet()->getStyle('H3:H6')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
     $objPHPExcel->getActiveSheet()->getStyle('C8:F8')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
     $objPHPExcel->getActiveSheet()->getStyle('A9:G9')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);

     $objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(8);
     $objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(40);
     $objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(11);
     $objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(11);
     $objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(11);
     $objPHPExcel->getActiveSheet()->getColumnDimension('F')->setWidth(11);
     $objPHPExcel->getActiveSheet()->getColumnDimension('G')->setWidth(11);
               
     //--- Bloquear celdas ----
     
     $objPHPExcel->getActiveSheet()->getProtection()->setSheet(true);	
     $objPHPExcel->getActiveSheet()->protectCells('A1:k9','susana');     
    
     $objPHPExcel->getActiveSheet()->protectCells('A1:B'.($i-1));    
     $objPHPExcel->getActiveSheet()->protectCells('G'.($i-1)); 

     //---Desbloquear celdas ---
    
     $objPHPExcel->getActiveSheet()->getStyle('C10:F'.($i-1))->getProtection()->setLocked(PHPExcel_Style_Protection::PROTECTION_UNPROTECTED);    
    
    //-------- Encabezado --------------------------

     $consulta0 = "SELECT grados.codigo as cod_gra,grados.descripcion AS nom_gra, cursos.codigo as cod_cur,cursos.descripcion AS nom_cur,jornadas.codigo as cod_jor,jornadas.descripcion AS nom_jor,
                   profesores.cedula,profesores.nombres as titular 
				   FROM (jornadas 
				   INNER JOIN (grados 
				   INNER JOIN cursos 
				   ON grados.codigo = cursos.grado) 
				   ON jornadas.codigo = cursos.jornada)
                   INNER JOIN (profesores 
				   INNER JOIN titulares 
				   ON profesores.cedula = titulares.profesor) 
				   ON (cursos.codigo = titulares.curso) 
				   AND (cursos.grado = titulares.grado) 
                   WHERE cursos.anolectivo='".$_SESSION['anolectivo']."'
				   AND profesores.anolectivo='".$_SESSION['anolectivo']."'
				   AND titulares.anolectivo='".$_SESSION['anolectivo']."'
				   AND cursos.grado='".$x['grado']."' 
				   AND cursos.codigo='".$x['curso']."'";

     $resultado0 = $obj->consulta($consulta0);
     $fila0 = $obj->fetch_assoc($resultado0);

		 $objPHPExcel->setActiveSheetIndex(0)
                 ->setCellValue('C1',($info['institucion']))
		             ->setCellValue('B3',"ASIGNATURA")                 
		             ->setCellValue('B4',"DOCENTE") 
		             ->setCellValue('B5',"GRADO") 
		             ->setCellValue('B6',"CURSO")                                   		             

		             ->setCellValue('A9',"CODIGO") 
		             ->setCellValue('B9',"APELLIDOS Y NOMBRES") 
                
                 ->setCellValue('C3',$x['asignatura'])
                 ->setCellValue('C4',$x['profesor'])
                 ->setCellValue('C5',$x['grado'])
                 ->setCellValue('C6',$x['curso'])                                                   

                 ->setCellValue('D3',$x['nom_asign'])
                 ->setCellValue('D4',$x['nombres'])
                 ->setCellValue('D5',$fila0['nom_gra'])
                 ->setCellValue('D6',$x['nom_curso'])                   
                 
		             ->setCellValue('G3',"JORNADA")
		             ->setCellValue('G4',"TITULAR")
                 ->setCellValue('G5',"PERIODO")
                 ->setCellValue('G6',("AO LECTIVO"))
                 
                 ->setCellValue('H3',$x['jornada'])
                 ->setCellValue('H4',$fila0['cedula'])
                 ->setCellValue('H5',$periodo)
                 ->setCellValue('H6',$_SESSION['anolectivo']) 
                 
                 ->setCellValue('I3',$x['nom_jor'])                
                 ->setCellValue('I4',$fila0['titular']);

		      $objPHPExcel->setActiveSheetIndex(0) 
		             ->setCellValue('C9',"CONCEPTO");
      
 }
  
		// Se activa la hoja para que sea la que se muestre cuando el archivo se abre
		$objPHPExcel->setActiveSheetIndex(0);

    $profe=$obj->consulta("select * FROM profesores 
	                       where anolectivo='".$_SESSION['anolectivo']."'
						   AND cedula='".$profesor."'");
						   
    $row_p = $obj->fetch_assoc($profe); 

		// Se manda el archivo al navegador web, con el nombre que se indica (Excel2007)
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename='.str_replace(" ","_",$row_p['nombres']).'_PREES.xlsx');
		header('Cache-Control: max-age=0');

		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter->save('php://output');
		exit;
    
 $obj->disconnect(); 
   
}
	else
		print_r('NO EXISTE INFORMACION PARA MOSTRAR');

?>