<?php
require_once("../dompdf/dompdf_config.inc.php");
require_once "../dompdf/www/functions.inc.php";
require_once '../app/model/db.class.php';

function generar_pdf($carpeta, $html, $codigo) {

    $dompdf = new DOMPDF();
    $dompdf->load_html($html);
    $dompdf->set_paper('a4', 'portrait');
    $dompdf->render();
    $output = $dompdf->output();
    file_put_contents($carpeta . '/' . $codigo . '.pdf', $output);
}
//--------------------------------------------

function descript($tabla, $cod, $cod2) {
    $ob = new database();
    $ob->conectar();
    $ob->consulta("set names 'utf8'");
    $rs = $ob->consulta("select * from " . $tabla . " where codigo='" . $cod . "' and grado='" . $cod2 . "';");
    $info = $ob->fetch_assoc($rs);
    return $info['descripcion'];
}

//--------------------------------------------

function eliminarDir($carpeta) {
    foreach (glob($carpeta . "/*") as $archivos_carpeta) {

        if (is_dir($archivos_carpeta)) {
            eliminarDir($archivos_carpeta);
        } else {
            unlink($archivos_carpeta);
        }
    }

    rmdir($carpeta);
}

//--------------------------------------------

function comprimir($nombre_carpeta) {

    $zip = new ZipArchive();
    if ($zip->open($nombre_carpeta . ".zip", ZIPARCHIVE::CREATE) == TRUE) {
        comprimirDirectorio($nombre_carpeta, $zip);
        $zip->close();
    }
}

//--------------------------------------------

function comprimirDirectorio($dir, $zip) {

    if (is_dir($dir)) {

        foreach (scandir($dir) as $item) {

            if ($item == '.' || $item == '..')
                continue;

            comprimirDirectorio($dir . "/" . $item, $zip);
        }
    }else {

        $zip->addFile($dir);
    }
}

//**********************************************
//**********************************************
//**********************************************

 $sede = $_REQUEST['sede'];
 $grado = $_REQUEST['grado'];
 $grupo =$_REQUEST['grupo'];
 $periodo =$_REQUEST['periodo'];

if (empty($_REQUEST['incr'])) {
    $e = 0;
} else {
    $e = $_REQUEST['incr'];
}
//-----------------------------
if (empty($_REQUEST['parte'])) {
    $p = 1;
} else {
    $p = $_REQUEST['parte'];
}


$obj1 = new database();
$obj1->conectar();
$obj1->consulta("set names 'utf8'");
        
$nm = $obj1->consulta("SELECT matriculas.codigo,CONCAT(p_apellido,' ',s_apellido,' ',p_nombre,' ',s_nombre) AS nombres, matriculas.grado, matriculas.curso, cursos.descripcion
                       FROM (grados INNER JOIN cursos ON grados.codigo = cursos.grado) INNER JOIN (alumnos INNER JOIN matriculas ON alumnos.codigo = matriculas.codigo) ON (cursos.codigo = matriculas.curso) AND (cursos.grado = matriculas.grado)
                       WHERE matriculas.grado='".$grado."' AND matriculas.curso='".$grupo."' AND matriculas.estado='A' ORDER BY nombres");
   

$tot = $obj1->numero_de_filas($nm);


 //--------------------------- Informacion Curso
  
 $rscur = $obj1->consulta("select * from cursos where codigo='" . $grupo . "' and grado='" . $grado . "'");
 $infocur = $obj1->fetch_assoc($rscur);



if (empty($_REQUEST['carp'])) {
    $nombre_carpeta = '';
} else {
    $nombre_carpeta = $_REQUEST['carp'];
}

    /*-------------  HTML -----------*/
    
    $html="<html>";
    $html.="<head><meta http-equiv='expires' content='0'>
    <meta http-equiv='Cache-Control' content='no-cache'>
    <meta http-equiv='Pragma' CONTENT='no-cache'>";
    $html.="<title></title>";
    $html.="<link rel='stylesheet' type='text/css' href='style.css'/>";
    $html.="<script type='text/javascript' src='consolidado.js'></script>";
    $html.="</head>";

    $html.="<body>";
    $html.="<center>";

    $html.="<table width='100%'>";
    
     $html.="<tr>";
     $html.="<td rowspan='4'><img src='../imagenes/escudo.jpg' width='90' height='90'/></td>";
     
    /*----- NOMBRE DE LA INSTITUCIN-SEDE-GRADO-CURSO- ----- */
    
     $datos=$obj1->consulta("select * from registrar");
     $row_inst = $obj1->fetch_assoc($datos);
     
     $html.="<td align='center' colspan='5'>".($row_inst['institucion'])."</td>";
     $html.="</tr>";

     $html.="<tr>";
     $html.="<td align='center' colspan='5'>GRADO:".$grado."  -   -   GRUPO:".$grupo."</td>";
     $html.="</tr>";

     $html.="<tr>";
     $html.="<td align='center' colspan='5'>REPORTE DE FALTAS POR GRUPO</td>";
     $html.="</tr>";

     // BUSCAMOS EL NOMBRE DE LA SEDE
     
     $descrip_sede=$obj1->consulta("select descripcion from sedes where codigo='".$sede."'");
     $row1 = $obj1->fetch_assoc($descrip_sede);
     
     $html.="<tr>";
     $html.="<td align='center' colspan='2'>SEDE    :".($row1['descripcion'])."</td>";
     
     // COLOCAMOS FECHA Y EL PERIODO
     $html.="<td align='center'>PERIODO    :".$periodo."</td>";

     $arrayMeses = array('Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio','Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre');
     
     $html.="<td align='center' colspan='2'>".date('d')." de ".$arrayMeses[date('m')-1]." de ".date('Y')."</td>";

     $html.="</tr>";

     $html.="</table></center><br>";

 
if ($tot > 0) {

    $resultadoe = $obj1->consulta("SELECT matriculas.codigo,CONCAT(p_apellido,' ',s_apellido,' ',p_nombre,' ',s_nombre) AS nombres, matriculas.grado, matriculas.curso, cursos.descripcion
                                   FROM (grados INNER JOIN cursos ON grados.codigo = cursos.grado) INNER JOIN (alumnos INNER JOIN matriculas ON alumnos.codigo = matriculas.codigo) ON (cursos.codigo = matriculas.curso) AND (cursos.grado = matriculas.grado)
                                   WHERE matriculas.grado='".$grado."' AND matriculas.curso='".$grupo."' AND matriculas.estado='A' ORDER BY nombres limit " . $e . ",20;");
              
    while ($x = $obj1->fetch_assoc($resultadoe)) {

        $codigo = $x['codigo'];

        $ob = new database();
        $ob->conectar();
        $ob->consulta("set names 'utf8'");
        

          $faltas=$ob->consulta("SELECT reporte_faltas.fecha, reporte_faltas.falta,faltas.descripcion, reporte_faltas.descripcion as observacion
                                  FROM faltas INNER JOIN ((alumnos INNER JOIN matriculas ON alumnos.codigo = matriculas.codigo) INNER JOIN reporte_faltas ON matriculas.codigo = reporte_faltas.codigo) ON faltas.codigo = reporte_faltas.falta
                                  WHERE matriculas.codigo='".$codigo."' AND reporte_faltas.periodo='".$periodo."' ORDER BY reporte_faltas.fecha DESC");
            
            $html.="<center>
                    <table align='center' border='0' class='hovertable' cellspacing='0' cellpadding='0' width='100%'>            
                    <td>ESTUDIANTE   :     ".$codigo." - ".($x['nombres'])."</td>
                    </tr>
                    <table/>"; 
                                 
            $html.="<table align='center' border='1' class='hovertable' cellspacing='0' cellpadding='0' width='100%'>";

            $l=1;
            while($row_plan = $ob->fetch_assoc($faltas)){
                 $html.="<tr>
                      <td style='text-align:center;font-size: 11px' width='5%'>".$l."</td>
                      <td style='text-align:center;font-size: 11px' width='10%'>".$row_plan['fecha']."</td>
                      <td style='text-align:center;font-size: 11px' width='5%'>".$row_plan['falta']."</td>
                      <td style='font-size: 11px' width='80%'>".($row_plan['descripcion'])."</td>
                      </tr>
                
                      <tr>
                      <td colspan='4' style='font-size: 11px' width='100%'>".($row_plan['observacion'])."</td>
                      </tr>";      
                      

                 $l++;
            }

            $html.="</table></center><br>";

     }
          
     $html.="</body></html>";

        
         
         
        $nombre_carpeta = "FALTAS_".$infocur['descripcion'];

        if (!is_dir($nombre_carpeta)) {
            @mkdir($nombre_carpeta . '/', 0700);
        }

        generar_pdf("FALTAS_".$infocur['descripcion'], ($html), "parte_".$p);
    

    $p=$p+1;
    $e = $e + 20;

    if ($e > $tot) {

            $zip = new ZipArchive();
            if ($zip->open($nombre_carpeta.".zip", ZIPARCHIVE::CREATE)==TRUE) {
               comprimirDirectorio($nombre_carpeta, $zip);
               $zip -> close();
            }
            $pt=1;
            $p=$p-1;
            while($pt<=$p){
                 $archivos[]="parte_".$pt;
                 $pt=$pt+1;
            }
            

            for ($index = 0; $index < count($archivos); $index++) {
                
                unlink($nombre_carpeta.'/'.$archivos[$index].'.pdf');
            }
            
            rmdir($nombre_carpeta); 
            
            $file = $nombre_carpeta.".zip"; 
            header("Content-Transfer-Encoding: binary"); 
            header("Content-type: application/octet-stream"); 
            header("Content-Disposition: attachment; filename=".basename($file)); 
            header("Content-Length: ".filesize($file)); 
            readfile($file); 
            
            unlink($file);
         
    } else {

        header('Location: faltas_pdf.php?carp=' . $nombre_carpeta . '&sede='.$sede.'&grado='.$grado.'&grupo='.$grupo.'&periodo='.$periodo. '&parte=' . $p .'&incr=' . $e . '');
    }
    
     $obj1->disconnect();

    
}
?>