<?php
require_once '../app/model/db.class.php';
require_once('../dompdf/dompdf_config.inc.php');
require_once ('../dompdf/www/functions.inc.php');

function nombremes($mes){
date_default_timezone_set("America/Bogota");
$nombre=strftime("%B",mktime(0, 0, 0, $mes, 1, 2000));
return $nombre;
}

function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".00";
     }


     if (strlen($nota)>3) {
         $nota=substr($nota ,0,3);
     }

    return $nota;

}

//----------------------------------

$codigo =$_REQUEST['codigo'];

$obj = new database();
$obj->conectar(); $obj->consulta("set names 'utf8'");
 
$obj->consulta("delete from certificado_final");

$obj->consulta("insert into certificado_final ( asignatura, i_h, definitiva, nivel, orden ) select catalogo.descripcion,
                curso_asignatura_profesor.intensidad, notas_finales_asign.definitiva, notas_finales_asign.valor_asigna, catalogo.orden
                from curso_asignatura_profesor inner join (catalogo inner join notas_finales_asign on catalogo.codigo = notas_finales_asign.asignatura) 
                on (curso_asignatura_profesor.asignatura = notas_finales_asign.asignatura) and (curso_asignatura_profesor.curso = notas_finales_asign.grupo) 
                and (curso_asignatura_profesor.grado = notas_finales_asign.grado)
                where notas_finales_asign.codigo='".$codigo."' order by catalogo.orden");

$notas=$obj->consulta("select * from certificado_final order by orden asc");

$leyenda=$obj->consulta("select * from constancia");

$rs=$obj->consulta("select * from registrar");
$info=$obj->fetch_assoc($rs);

$html="
<html>
<meta http-equiv='Content-Type' content='text/html; charset=UTF-8' />
<head><meta http-equiv='expires' content='0'><meta http-equiv='Cache-Control' content='no-cache'><meta http-equiv='Pragma' CONTENT='no-cache'>
<title>Certificado Final</title>

  <style>
    
    #footer { position: fixed; left: 0px; bottom: -10px; right: 0px; height: 130px; background-color: white; }
    #footer .page:after { content: counter(page, upper-roman); }
  
  </style>
  
</head>

<body>

<center><img height='110' width='90%' src='../../../../imagenes/encabezado_boletin.jpg'/></center>

<table id='font'  width='90%'  align='center'>
<tr>
    <td  align='center' style='font-size:13px'>

       <b> CONSTANCIA DE DESEMPEÑO </b>

 </td>
</tr>
</table>

<table id='font'  width='90%'  align='center'>
<tr>
    <td style='font-size:13px'>
    <p align='justify'>
       ".($info['certificadofinal'])."</p>
 </td>
</tr>
</table>

<table id='font'  width='90%'  align='center'>
<tr>
    <td  align='center' style='font-size:13px'>

       <b> CERTIFICAN </b>

 </td>
</tr>
</table>";



//------------------------------------------------------------------------------
$row6 = $obj->fetch_assoc($leyenda);

$html.="<table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 12px; text-align:justify;'>".($row6['leyenda'])."</td></tr>";
$html.="</table>";



//------------------------------------------------------------------------------


$html.="<table width='90%'  align='center'>";
$html.="<tr>
           <th style='font-size: 12px; width: 344px;'>AREAS Y/O ASIGNATURAS</th>
           <th style='font-size: 12px; width: 60px;'>I.H</th>
           <th style='font-size: 12px; width: 50px;'><font color='white'>.</font></th>
           <th style='font-size: 12px;'>NIVEL DE DESEMPE&Ntilde;O</th>
        </tr>";
$html.="</table>";

$html.="<table width='90%' border='1' cellspacing=0 cellpadding=2 bordercolor='666633' align='center'>";
    
    while($row5 = $obj->fetch_assoc($notas)){  
          $html.="<tr>";        
          $html.="<td style='font-size: 10px; width: 344px; text-align:justify;'>".($row5['asignatura'])."</td>";
          $html.="<td style='font-size: 10px; width: 56px; text-align:center;'>".($row5['i_h'])."</td>"; 
          $html.="<td style='font-size: 10px; width: 50px; text-align:center;'>".decimales($row5['definitiva'])."</td>";
          $html.="<td style='font-size: 10px; text-align:center;'>".($row5['nivel'])."</td>";
          $html.="</tr>";
    }
        
        
        $html.="</table>";
        

$rango=$obj->consulta("SELECT * FROM rangos order by orden");

$html.="<table style='font-size:11px' cellspacing='0' cellpadding='0' border='1' width='90%'  align='center' >";
$html.="<tr>";
$html.="<td>ESCALA DE VALORACI&Oacute;N:</td>";

while($row_r=$obj->fetch_assoc($rango)){
      
      if ($row_r['codigo']!='S'){
          $html.="<td align='center'>".$row_r['descripcion']."&nbsp;(".decimales($row_r['v1'])."&nbsp;-&nbsp;".decimales($row_r['v2']-0.1).")</td>";
      }else{
          $html.="<td align='center'>".$row_r['descripcion']."&nbsp;(".decimales($row_r['v1'])."&nbsp;-&nbsp;".decimales($row_r['v2']).")</td>";
      } 

}
$html.="</tr>";


$prom=$obj->consulta("select * from rendimiento_general where periodo='5' and alumno='".$codigo."'");               
$nota_prom = $obj->fetch_assoc($prom);

$html.="<tr><td>PROMEDIO GENERAL</td>   <td align='center'>".substr($nota_prom['promedio'], 0, 3)."</td>";
$html.="<td colspan=2>NIVEL DE DESEMPE&Ntilde;O GENERAL</td>  <td align='center'>".$nota_prom['nivel_desempeno']."</td>";
$html.="</tr></table></center>";



      //------------------ Observaciones de la estudiante ----------------------------

      $observ=$obj->consulta("select observacion from matriculas where codigo='".$codigo."' and estado='A'");
      $row11=$obj->fetch_assoc($observ);

      if ($row11['observacion']!=null ){

        $html.="<table  width='90%'  border='0' id='font' align='center'>
        <tr>
           <td style='font-size:11px'>
             OBSERVACI&Oacute;N :".($row11['observacion'])."
           </td>
        </tr>

        </table>";
     }
 
      //------------------------------------------------------------------------


$dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","S&aacute;bado");
$meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");

$html.="

<table  width='90%'  align='center' id='font'>
    <tr>
        <td><p align='justify'>
            El presente certificado no necesita de autenticaci&oacute;n en Notar&iacute;a alguna ni VoBo del Delegado
            de MEN, en virtud de los decretos 1024/82 y 1789/88, respectivamente.
            </p>

             <p>Dado en ".$info['municipio'].", el d&iacute;a ". $dias[date('w')]." ".date('d')." de ".$meses[date('n')-1]. " del ".date('Y') .".</p>

    </tr>

</table>

<br>";

$param=$obj->consulta("select * from parametros");
$row=$obj->fetch_assoc($param);


$html.="<table width='90%' border='0'  align='center' id='font'>
    <tr style='font-size:14px'>
        <td align='center' width='50%'>

        <hr width='80%'>

        <b>".$row['rector']."</b>
            <br>
        ".$row['cedula_rector']."
            <br>
        <FONT SIZE='1'>".$row['cargo1']."</FONT>

        </td>

        <td align='center' width='50%'>

        <hr width='80%'>
        <b>".$row['secretario']."</b>
            <br>
        ".$row['cedula_secretario']."
            <br>
        <FONT SIZE='1'>".$row['cargo2']."</FONT>

        </td>
    </tr>
</table>";

          

$html.="<div id='footer'>
   
      <center><img height='130' width='95%' src='../../../../imagenes/pie_pagina.jpg'/></center>
    
   </div>
   
   </body>
   </html>";

$dompdf = new DOMPDF();     
$dompdf->load_html($html);
$dompdf->set_paper('a4', 'portrait');
$dompdf->render();

$dompdf->stream($codigo.".pdf", array("Attachment" => false));

$obj->disconnect();


?>
