<?php
require_once '../app/model/db.class.php';
require_once '../PHPExcel/PHPExcel.php';

if (!isset($_SESSION)) { session_start(); }

function color_celda($cells,$color){
    global $objPHPExcel;

    $objPHPExcel->getActiveSheet()->getStyle($cells)->getFill()->applyFromArray(array(
        'type' => PHPExcel_Style_Fill::FILL_SOLID,
        'startcolor' => array(
        'rgb' => $color
        )
    ));
}

//-------------------------------------

$sede = $_REQUEST['sede'];

$obj = new database();
$obj->conectar(); $obj->consulta("set names 'utf8'");


//---------------------------------------------------------------------------

// Se crea el objeto PHPExcel
$objPHPExcel = new PHPExcel();

// Se asignan las propiedades del libro
$objPHPExcel->getProperties()->setCreator("Academic Reports") //Autor
  			     ->setLastModifiedBy("Academic Reports") //Ultimo usuario que lo modific&oacute;
				     ->setTitle("Planillas")
				     ->setSubject("Planillas")
				     ->setDescription("Planillas")
				     ->setKeywords("Planillas")
				     ->setCategory("Planillas");

$estiloInformacion = new PHPExcel_Style();
$estiloInformacion->applyFromArray(array('font'=>array('name'=>'Arial','size'=>9,'color'=> array('rgb' => '000000')),'borders' => array('allborders' => array('style' => PHPExcel_Style_Border::BORDER_THIN))));

$estiloInformacion1 = new PHPExcel_Style();
$estiloInformacion1->applyFromArray(array('font'=>array('name'=>'Arial','size'=>12,'color'=> array('rgb' => '000000'))));

//----------------------------------------------------------------------------

$resultadoe = $obj->consulta("SELECT * FROM cursos_temporal 
                              WHERE rol='".$_SESSION['rol']."' 
                              AND id='".$_SESSION['id']."'
                              AND activar=1");

$tot = $obj->numero_de_filas($resultadoe);

//--- Informacion Colegio

$rs=$obj->consulta("select * from registrar");
$info=$obj->fetch_assoc($rs);

$query=$obj->consulta("select * from sedes where codigo='".$sede."'");
$info_sede=$obj->fetch_assoc($query);


$Hoja=0; 

if ($tot > 0) {
    
    while ($x = $obj->fetch_assoc($resultadoe)) {

      $cadena=$obj->consulta("SELECT curso_asignatura_profesor.asignatura,catalogo.descripcion 
                              FROM catalogo INNER JOIN curso_asignatura_profesor 
                              ON catalogo.codigo = curso_asignatura_profesor.asignatura
                              WHERE curso_asignatura_profesor.grado='".$x['grado']."' 
                              AND curso_asignatura_profesor.curso='".$x['codigo']."' 
                              ORDER BY catalogo.orden");


       $query_p=$obj->consulta("SELECT profesores.nombres
                               FROM profesores INNER JOIN titulares on profesores.cedula = titulares.profesor
                               WHERE titulares.grado='".$x['grado']."' 
                               AND titulares.curso='".$x['codigo']."'");
       
       $row_p = $obj->fetch_assoc($query_p);

      if ($Hoja!=0)       
          $objPHPExcel->createSheet(0);//creamos la hoja       
  		
    $i=9; 
    while($row = $obj->fetch_assoc($cadena)){                  
	   
          $objPHPExcel->setActiveSheetIndex(0)
                      ->setCellValue('A'.$i,  $row['asignatura'])         
		                  ->setCellValue('B'.$i,  $row['descripcion']);

          $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "A".$i.":AD".$i);
          
          //------ PERIODO 1-------
          $periodo=1;
                                 
          $p1_b=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and detalleboletin.valor_asigna='BAJO'");   
          
          $row1 = $obj->fetch_assoc($p1_b);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$i,$row1['total']);

          //----
          
          $p1_bs=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and (detalleboletin.valor_asigna='BASICO' OR detalleboletin.valor_asigna='B&aacute;SICO')");   
          
          $row1 = $obj->fetch_assoc($p1_bs);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$i,$row1['total']);

          //----
          
          $p1_a=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and detalleboletin.valor_asigna='ALTO'");   
          
          $row1 = $obj->fetch_assoc($p1_a);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('E'.$i,$row1['total']);

          //----
          
          $p1_s=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and detalleboletin.valor_asigna='SUPERIOR'");   
          
          $row1 = $obj->fetch_assoc($p1_s);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('F'.$i,$row1['total']);
          
          //------ PERIODO 2-------
          
          $periodo=2;
                                 
          $p1_b=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and detalleboletin.valor_asigna='BAJO'");   
          
          $row1 = $obj->fetch_assoc($p1_b);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('G'.$i,$row1['total']);

          //----
          
          $p1_bs=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and (detalleboletin.valor_asigna='BASICO' OR detalleboletin.valor_asigna='B&aacute;SICO')");   
          
          $row1 = $obj->fetch_assoc($p1_bs);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('H'.$i,$row1['total']);

          //----
          
          $p1_a=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and detalleboletin.valor_asigna='ALTO'");   
          
          $row1 = $obj->fetch_assoc($p1_a);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('I'.$i,$row1['total']);

          //----
          
          $p1_s=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and detalleboletin.valor_asigna='SUPERIOR'");   
          
          $row1 = $obj->fetch_assoc($p1_s);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('J'.$i,$row1['total']);

          //------ PERIODO 2 ACUMULADO -------
          
                                
          $p1_b=$obj->consulta("select count(valor_asigna) as total from def_acumuladas
                                WHERE grado='".$x['grado']."' and curso='".$x['codigo']."' and asignatura='".$row['asignatura']."' and periodo='".$periodo."' and valor_asigna='BAJO'");   
          
          $row1 = $obj->fetch_assoc($p1_b);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('K'.$i,$row1['total']);

          //----
          
          $p1_bs=$obj->consulta("select count(valor_asigna) as total from def_acumuladas
                                WHERE grado='".$x['grado']."' and curso='".$x['codigo']."' and asignatura='".$row['asignatura']."' and periodo='".$periodo."' and (valor_asigna='BASICO' OR valor_asigna='B&aacute;SICO')");   
          
          $row1 = $obj->fetch_assoc($p1_bs);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('L'.$i,$row1['total']);

          //----
          
          $p1_a=$obj->consulta("select count(valor_asigna) as total from def_acumuladas
                                WHERE grado='".$x['grado']."' and curso='".$x['codigo']."' and asignatura='".$row['asignatura']."' and periodo='".$periodo."' and valor_asigna='ALTO'");   
          
          $row1 = $obj->fetch_assoc($p1_a);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('M'.$i,$row1['total']);

          //----
          
          $p1_s=$obj->consulta("select count(valor_asigna) as total from def_acumuladas
                                WHERE grado='".$x['grado']."' and curso='".$x['codigo']."' and asignatura='".$row['asignatura']."' and periodo='".$periodo."' and valor_asigna='SUPERIOR'");   
          
          $row1 = $obj->fetch_assoc($p1_s);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('N'.$i,$row1['total']);
           
          //==========================               
          //------ PERIODO 3-------
          
          $periodo=3;
                                 
          $p1_b=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and detalleboletin.valor_asigna='BAJO'");   
          
          $row1 = $obj->fetch_assoc($p1_b);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('O'.$i,$row1['total']);

          //----
          
          $p1_bs=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and (detalleboletin.valor_asigna='BASICO' OR detalleboletin.valor_asigna='B&aacute;SICO')");   
          
          $row1 = $obj->fetch_assoc($p1_bs);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('P'.$i,$row1['total']);

          //----
          
          $p1_a=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and detalleboletin.valor_asigna='ALTO'");   
          
          $row1 = $obj->fetch_assoc($p1_a);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('Q'.$i,$row1['total']);

          //----
          
          $p1_s=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and detalleboletin.valor_asigna='SUPERIOR'");   
          
          $row1 = $obj->fetch_assoc($p1_s);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('R'.$i,$row1['total']);

          //------ PERIODO 3 ACUMULADO -------
          
                                
          $p1_b=$obj->consulta("select count(valor_asigna) as total from def_acumuladas
                                WHERE grado='".$x['grado']."' and curso='".$x['codigo']."' and asignatura='".$row['asignatura']."' and periodo='".$periodo."' and valor_asigna='BAJO'");   
          
          $row1 = $obj->fetch_assoc($p1_b);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('S'.$i,$row1['total']);

          //----
          
          $p1_bs=$obj->consulta("select count(valor_asigna) as total from def_acumuladas
                                WHERE grado='".$x['grado']."' and curso='".$x['codigo']."' and asignatura='".$row['asignatura']."' and periodo='".$periodo."' and (valor_asigna='BASICO' OR valor_asigna='B&aacute;SICO')");   
          
          $row1 = $obj->fetch_assoc($p1_bs);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('T'.$i,$row1['total']);

          //----
          
          $p1_a=$obj->consulta("select count(valor_asigna) as total from def_acumuladas
                                WHERE grado='".$x['grado']."' and curso='".$x['codigo']."' and asignatura='".$row['asignatura']."' and periodo='".$periodo."' and valor_asigna='ALTO'");   
          
          $row1 = $obj->fetch_assoc($p1_a);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('U'.$i,$row1['total']);

          //----
          
          $p1_s=$obj->consulta("select count(valor_asigna) as total from def_acumuladas
                                WHERE grado='".$x['grado']."' and curso='".$x['codigo']."' and asignatura='".$row['asignatura']."' and periodo='".$periodo."' and valor_asigna='SUPERIOR'");   
          
          $row1 = $obj->fetch_assoc($p1_s);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('V'.$i,$row1['total']);
           
          //==========================               
          //------ PERIODO 4-------
          
          $periodo=4;
                                 
          $p1_b=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and detalleboletin.valor_asigna='BAJO'");   
          
          $row1 = $obj->fetch_assoc($p1_b);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('W'.$i,$row1['total']);

          //----
          
          $p1_bs=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and (detalleboletin.valor_asigna='BASICO' OR detalleboletin.valor_asigna='B&aacute;SICO')");   
          
          $row1 = $obj->fetch_assoc($p1_bs);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('X'.$i,$row1['total']);

          //----
          
          $p1_a=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and detalleboletin.valor_asigna='ALTO'");   
          
          $row1 = $obj->fetch_assoc($p1_a);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('Y'.$i,$row1['total']);

          //----
          
          $p1_s=$obj->consulta("select count(valor_asigna) as total from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$x['grado']."' and boletin.curso='".$x['codigo']."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='".$periodo."' and detalleboletin.valor_asigna='SUPERIOR'");   
          
          $row1 = $obj->fetch_assoc($p1_s);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('Z'.$i,$row1['total']);

          //------ PERIODO 4 ACUMULADO -------
          
                                
          $p1_b=$obj->consulta("select count(valor_asigna) as total from def_acumuladas
                                WHERE grado='".$x['grado']."' and curso='".$x['codigo']."' and asignatura='".$row['asignatura']."' and periodo='".$periodo."' and valor_asigna='BAJO'");   
          
          $row1 = $obj->fetch_assoc($p1_b);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('AA'.$i,$row1['total']);

          //----
          
          $p1_bs=$obj->consulta("select count(valor_asigna) as total from def_acumuladas
                                WHERE grado='".$x['grado']."' and curso='".$x['codigo']."' and asignatura='".$row['asignatura']."' and periodo='".$periodo."' and (valor_asigna='BASICO' OR valor_asigna='B&aacute;SICO')");   
          
          $row1 = $obj->fetch_assoc($p1_bs);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('AB'.$i,$row1['total']);

          //----
          
          $p1_a=$obj->consulta("select count(valor_asigna) as total from def_acumuladas
                                WHERE grado='".$x['grado']."' and curso='".$x['codigo']."' and asignatura='".$row['asignatura']."' and periodo='".$periodo."' and valor_asigna='ALTO'");   
          
          $row1 = $obj->fetch_assoc($p1_a);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('AC'.$i,$row1['total']);

          //----
          
          $p1_s=$obj->consulta("select count(valor_asigna) as total from def_acumuladas
                                WHERE grado='".$x['grado']."' and curso='".$x['codigo']."' and asignatura='".$row['asignatura']."' and periodo='".$periodo."' and valor_asigna='SUPERIOR'");   
          
          $row1 = $obj->fetch_assoc($p1_s);        
          if ($row1['total']!=0)
          $objPHPExcel->setActiveSheetIndex(0)->setCellValue('AD'.$i,$row1['total']);
           
          //==========================           
          
          $i++;
         
    }
        
     $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion1, "A1:A2");
         
     $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "C7:AD7");
     $objPHPExcel->getActiveSheet()->setSharedStyle($estiloInformacion, "C8:AD8");     

     color_celda("C7:F".($i-1),'f7f5bb');    
     color_celda("G7:J".($i-1),'bbf7f1');
     color_celda("K7:N".($i-1),'fafc9f');    
     color_celda("O7:R".($i-1),'b1fc9f');
     color_celda("S7:V".($i-1),'9fe7fc');
     color_celda("W7:Z".($i-1),'fcccfa');    
     color_celda("AA7:AD".($i-1),'fdf0c2');
                    
     $objPHPExcel->getActiveSheet()->getStyle('A1:A3')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);    
     $objPHPExcel->getActiveSheet()->getStyle('C7:AD7')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);    
     $objPHPExcel->getActiveSheet()->getStyle('C8:AD8')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);    
    
     $objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(3);
     $objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(48);
      
     $objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(3);       
     $objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(3);  
     $objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(3);       
     $objPHPExcel->getActiveSheet()->getColumnDimension('F')->setWidth(3);
     $objPHPExcel->getActiveSheet()->getColumnDimension('G')->setWidth(3);       
     $objPHPExcel->getActiveSheet()->getColumnDimension('H')->setWidth(3);     
     $objPHPExcel->getActiveSheet()->getColumnDimension('I')->setWidth(3);       
     $objPHPExcel->getActiveSheet()->getColumnDimension('J')->setWidth(3);
     $objPHPExcel->getActiveSheet()->getColumnDimension('K')->setWidth(3);       
     $objPHPExcel->getActiveSheet()->getColumnDimension('L')->setWidth(3);     
     $objPHPExcel->getActiveSheet()->getColumnDimension('M')->setWidth(3);       
     $objPHPExcel->getActiveSheet()->getColumnDimension('N')->setWidth(3);     
     $objPHPExcel->getActiveSheet()->getColumnDimension('O')->setWidth(3);       
     $objPHPExcel->getActiveSheet()->getColumnDimension('P')->setWidth(3);     
     $objPHPExcel->getActiveSheet()->getColumnDimension('Q')->setWidth(3);       
     $objPHPExcel->getActiveSheet()->getColumnDimension('R')->setWidth(3);     
     $objPHPExcel->getActiveSheet()->getColumnDimension('S')->setWidth(3);       
     $objPHPExcel->getActiveSheet()->getColumnDimension('T')->setWidth(3);
     $objPHPExcel->getActiveSheet()->getColumnDimension('U')->setWidth(3);       
     $objPHPExcel->getActiveSheet()->getColumnDimension('V')->setWidth(3);     
     $objPHPExcel->getActiveSheet()->getColumnDimension('W')->setWidth(3);       
     $objPHPExcel->getActiveSheet()->getColumnDimension('X')->setWidth(3); 
     $objPHPExcel->getActiveSheet()->getColumnDimension('Y')->setWidth(3);       
     $objPHPExcel->getActiveSheet()->getColumnDimension('Z')->setWidth(3);  
     $objPHPExcel->getActiveSheet()->getColumnDimension('AA')->setWidth(3);
     $objPHPExcel->getActiveSheet()->getColumnDimension('AB')->setWidth(3);     
     $objPHPExcel->getActiveSheet()->getColumnDimension('AC')->setWidth(3);       
     $objPHPExcel->getActiveSheet()->getColumnDimension('AD')->setWidth(3);      
                           
		$objPHPExcel->setActiveSheetIndex(0)
                ->mergeCells('A1:AD1')
                ->mergeCells('A2:AD2')
                ->mergeCells('A3:AD3')                              
                ->mergeCells('C7:F7')
  	            ->mergeCells('G7:J7')
                ->mergeCells('K7:N7')
                ->mergeCells('O7:R7')
                ->mergeCells('S7:V7')
                ->mergeCells('W7:Z7')
                ->mergeCells('AA7:AD7');
                      
    // Se asigna el nombre a la hoja
		$objPHPExcel->getActiveSheet()->setTitle($x['grado']."_".$x['codigo']);
    $Hoja++;
        
    //-------- Encabezado --------------------------

     $consul = "SELECT * from parametros";

     $resul = $obj->consulta($consul);
     $anyo = $obj->fetch_assoc($resul);
         
		 $objPHPExcel->setActiveSheetIndex(0)
                 ->setCellValue('A1',($info['institucion']))
                 ->setCellValue('A2',($info_sede['descripcion']))
                 ->setCellValue('A3',("ESTUDIANTES POR NIVEL DE DESEMPE&ntilde;O - ASIGNATURAS"))
                 ->setCellValue('B5',"TITULAR : ".($row_p['nombres']))               
                 ->setCellValue('F5',"GRADO : ".($x['grado']))               
                 ->setCellValue('K5',"CURSO : ".($x['codigo']))
                 ->setCellValue('P5',("A&ntilde;O LECTIVO: ".$_SESSION['anolectivo']))                                                		               
		             ->setCellValue('A8',"No.") 
		             ->setCellValue('B8',"ASIGNATURAS")

                 ->setCellValue('C7',"P1")
                 ->setCellValue('G7',"P2")
                 ->setCellValue('K7',"P2 ACUM.")
                 
                 ->setCellValue('O7',"P3")                
                 ->setCellValue('S7',"P3 ACUM.")
                 
                 ->setCellValue('W7',"P4")                
                 ->setCellValue('AA7',"P4 ACUM.")                 
                                                                                                      
                 ->setCellValue('C8',"B")                  
                 ->setCellValue('D8',"BS")
                 ->setCellValue('E8',"A")                  
                 ->setCellValue('F8',"S")

                 ->setCellValue('G8',"B")                  
                 ->setCellValue('H8',"BS")
                 ->setCellValue('I8',"A")                  
                 ->setCellValue('J8',"S")

                 ->setCellValue('K8',"B")                  
                 ->setCellValue('L8',"BS")
                 ->setCellValue('M8',"A")                  
                 ->setCellValue('N8',"S")

                 ->setCellValue('O8',"B")                  
                 ->setCellValue('P8',"BS")
                 ->setCellValue('Q8',"A")                  
                 ->setCellValue('R8',"S") 
                 
                 ->setCellValue('S8',"B")                  
                 ->setCellValue('T8',"BS")
                 ->setCellValue('U8',"A")                  
                 ->setCellValue('V8',"S")

                 ->setCellValue('W8',"B")                  
                 ->setCellValue('X8',"BS")
                 ->setCellValue('Y8',"A")                  
                 ->setCellValue('Z8',"S")

                 ->setCellValue('AA8',"B")                  
                 ->setCellValue('AB8',"BS")
                 ->setCellValue('AC8',"A")                  
                 ->setCellValue('AD8',"S"); 
 
 }
  
		// Se activa la hoja para que sea la que se muestre cuando el archivo se abre
		$objPHPExcel->setActiveSheetIndex(0);


		// Se manda el archivo al navegador web, con el nombre que se indica (Excel2007)
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename=Reportes_DiaE.xlsx');
		header('Cache-Control: max-age=0');

		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter->save('php://output');
		exit;
    
 $obj->disconnect(); 
   
}
	else
		print_r('No hay Informaci&oacute;n para mostrar');

?>