<?php
require_once("../../../../dompdf/dompdf_config.inc.php");
require_once "../../../../dompdf/www/functions.inc.php";
require_once '../../../../app/model/db.class.php';
require_once '../../../../app/model/bs_info_col.php';
require_once '../rangos.php';

if (!isset($_SESSION)) { session_start(); }
date_default_timezone_set("America/Bogota");


function comprimirDirectorio($dir, $zip) {
    if (is_dir($dir)) {
        foreach (scandir($dir) as $item) {
            if ($item == '.' || $item == '..')
                continue;
            comprimirDirectorio($dir . "/" . $item, $zip);
        }
    }else {
        $zip->addFile($dir);
    }
}

function truncateFloat($number, $digitos) {
    $raiz = 10;
    $multiplicador = pow($raiz, $digitos);
    $resultado = ((int) ($number * $multiplicador)) / $multiplicador;
    return number_format($resultado, $digitos);
}

function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".0";
     }

     if (strlen($nota)>3) {
         $nota=substr($nota ,0,3);
     }

    return $nota;

}

//---------------------------------

 function ceros($nota){

     if (strlen($nota)==1)
        $nota="00".$nota;
     
     elseif (strlen($nota)==2)
         $nota="0".$nota;

    return $nota;

}

//---------------------------------

function leyenda($cod,$grado){
    
    $obj = new database();
    $obj->conectar(); 
    $obj->consulta("set names 'utf8'");    
           
    $query=$obj->consulta("select * from alumnos where codigo='".$cod."'");
    if($obj->numero_de_filas($query) > 0)
       $data= $obj->fetch_assoc($query);

    $query=$obj->consulta("select * from matriculas 
                           where codigo='".$cod."'");
    
    if($obj->numero_de_filas($query) > 0)
       $matri= $obj->fetch_assoc($query);

    $infogrado=$obj->consulta("select * from grados where codigo='".$matri['grado']."'");
    if($obj->numero_de_filas($infogrado) > 0)
       $grado = $obj->fetch_assoc($infogrado);

    $nivel=($grado['nivel']);

    $infocur=$obj->consulta("select * from cursos 
                             where grado='".$matri['grado']."' 
                             and codigo='".$matri['curso']."'");
    
    if($obj->numero_de_filas($infocur) > 0)
       $curso = $obj->fetch_assoc($infocur);
    
    $rssed=$obj->consulta("select * from sedes where codigo='".$curso['sede']."'");
    $info_sede=$obj->fetch_assoc($rssed);    
    
    
    $infjor=$obj->consulta("select * from jornadas where codigo='".$curso['jornada']."'");
    if($obj->numero_de_filas($infjor) > 0)
       $jornada = $obj->fetch_assoc($infjor);
  

    $brleyen=$obj->consulta('truncate table constancia');


    $leyen="Que: ".($data['p_apellido'])." ".($data['s_apellido'])." ".($data['p_nombre'])." ".($data['s_nombre'])." identificad@ con ";

    
    if($data['tipodoc']=='1'){
        $leyen.="C&eacute;dula de Ciudadan&iacute;a No.";
    }

    if($data['tipodoc']=='2'){
        $leyen.="Tarjeta de Identidad No.";
    }

    if($data['tipodoc']=='3'){
        $leyen.="C&eacute;dula de Extranjer&iacute;a No.";
    }

     if($data['tipodoc']=='4'){
        $leyen.="Registro Civ&iacute;l de Nacimiento No.";
     }

    if($data['tipodoc']=='5'){
        $leyen.="No. de Identificaci&oacute;n Personal(NIP) No.";
    }

     if($data['tipodoc']=='6'){
        $leyen.="No. &uacute;nico de Identificaci&oacute;n Personal(NUIP) No.";
    }

    
    $leyen.=' '.$data['nodoc'];

    //$leyen.=" de ".($data['mcpioexped'])." - ".($data['dptoexped']).",";
    $leyen.=", curs&oacute; y";

    if($matri['promovido']=='SI')
        $leyen.=" aprob&oacute;";
    else
        $leyen.=" reprob&oacute;";
    
    $leyen.=" en esta Instituci&oacute;n Educativa estudios correspondientes al";
    $leyen.=" grado ".($grado['descripcion'])." de ".($nivel);
    $leyen.=", en el a&ntilde;o ".$_SESSION['anolectivo']." en la ".$info_sede['descripcion']."  de la Instituci&oacute;n, 
              con las calificaciones e Intensidad Horaria que a continuaci&oacute;n se expresan:";
    
    return $leyen;

    $obj->disconnect();

}

//---------------------------------

function leyenda_promovidos($cod){

    $obj= new database();
    $obj->conectar();
    $obj->consulta("set names 'utf8'");
           
    $query=$obj->consulta("select * from alumnos where codigo='".$cod."'");
    if($obj->numero_de_filas($query) > 0)
       $data= $obj->fetch_assoc($query);

    $query=$obj->consulta("select * from matriculas 
                           where codigo='".$cod."'");
    
    if($obj->numero_de_filas($query) > 0)
       $matri= $obj->fetch_assoc($query);

    $infogrado=$obj->consulta("select * from grados where codigo='".$matri['grado']."'");
    if($obj->numero_de_filas($infogrado) > 0)
       $grado = $obj->fetch_assoc($infogrado);

    $nivel=($grado['nivel']);

    $infocur=$obj->consulta("select * from cursos 
                             where grado='".$matri['grado']."' 
                             and codigo='".$matri['curso']."'");
    
    if($obj->numero_de_filas($infocur) > 0)
       $curso = $obj->fetch_assoc($infocur);
    
    $rssed=$obj->consulta("select * from sedes where codigo='".$curso['sede']."'");
    $info_sede=$obj->fetch_assoc($rssed);    
    
    
    $infjor=$obj->consulta("select * from jornadas where codigo='".$curso['jornada']."'");
    if($obj->numero_de_filas($infjor) > 0)
       $jornada = $obj->fetch_assoc($infjor);
  

    $brleyen=$obj->consulta('truncate table constancia');


    $leyen="Que: ".($data['p_apellido'])." ".($data['s_apellido'])." ".($data['p_nombre'])." ".($data['s_nombre'])." identificad@ con ";

    
    if($data['tipodoc']=='1'){
        $leyen.="C&eacute;dula de Ciudadan&iacute;a No.";
    }

    if($data['tipodoc']=='2'){
        $leyen.="Tarjeta de Identidad No.";
    }

    if($data['tipodoc']=='3'){
        $leyen.="C&eacute;dula de Extranjer&iacute;a No.";
    }

     if($data['tipodoc']=='4'){
        $leyen.="Registro Civ&iacute;l de Nacimiento No.";
     }

    if($data['tipodoc']=='5'){
        $leyen.="No. de Identificaci&oacute;n Personal(NIP) No.";
    }

     if($data['tipodoc']=='6'){
        $leyen.="No. &uacute;nico de Identificaci&oacute;n Personal(NUIP) No.";
    }

    
    $leyen.=' '.$data['nodoc'];

    //$leyen.=" de ".($data['mcpioexped'])." - ".($data['dptoexped']).",";
    $leyen.=", curs&oacute; y";

    if($matri['promovido']=='SI')
        $leyen.=" aprob&oacute;";
    else
        $leyen.=" reprob&oacute;";
    
    $leyen.=" en esta Instituci&oacute;n Educativa estudios correspondientes al";
    $leyen.=" grado ".($grado['descripcion'])." de ".($nivel);
    $leyen.=", en el a&ntilde;o ".$matri['anolectivo'] ." en la SEDE ".$info_sede['descripcion']."  de la Instituci&oacute;n Educativa San Luis, 
              con las calificaciones e Intensidad Horaria que a continuaci&oacute;n se expresan:";
    
    return $leyen;
    
    $obj->disconnect(); 
}
//---------------------------------

function notas($codigo,$grado){
     
     $obj= new database();
     $obj->conectar();
     $obj->consulta("set names 'utf8'");
     
     $query=$obj->consulta("select * from matriculas 
                            where codigo='".$codigo."'
                            AND grado='".$grado."'");
  
     $matri= $obj->fetch_assoc($query);
     $grado=$matri['grado'];
     $curso=$matri['curso'];
            
     $resul_area=$obj->consulta("select areas.codigo, areas.descripcion, notas_finales_areas.definitiva, notas_finales_areas.valor_area
                                 from areas  
                                 inner join notas_finales_areas 
                                 on areas.codigo = notas_finales_areas.area
                                 where notas_finales_areas.codigo='".$codigo."' 
                                 and notas_finales_areas.grado='".$grado."' 
                                 and notas_finales_areas.grupo='".$curso."' 
                                 order by areas.orden");



       $s="<table border='1' cellspacing='0' cellpadding='0' class='hovertable' width='90%'  align='center'>
           <tr style='font-size: 12px;'>
           <th  width='60%'>AREAS Y/O ASIGNATURAS</th>
           <th width='5%'>I.H</th>
           <th width='15%'>DEFINITIVA</th>
           <th width='20%'>DESEMPE&Ntilde;O</th>
        </tr>";
        
      while($row0 = $obj->fetch_assoc($resul_area)){  //  ---  AREAS  --

             $s.="<tr>";

             $s.="<td style='font-weight:bold;font-size: 12px' width='52%'>&nbsp;".($row0['descripcion'])."</td>";
             
             /* ---Intensidad horaria por Areas  - sumamos la de las asignaturas  */

             $resul_total=$obj->consulta("select sum(intensidad) as i_h 
                                          from curso_asignatura_profesor 
                                          inner join notas_finales_asign 
                                          on (curso_asignatura_profesor.asignatura = notas_finales_asign.asignatura)
                                          and (curso_asignatura_profesor.curso = notas_finales_asign.grupo) 
                                          and (curso_asignatura_profesor.grado = notas_finales_asign.grado)
                                          where notas_finales_asign.codigo='".$codigo."' 
                                          and notas_finales_asign.grado='".$grado."' 
                                          and notas_finales_asign.grupo='".$curso."' 
                                          and notas_finales_asign.area='".$row0['codigo']."'");

             $row5 = $obj->fetch_assoc($resul_total);

             $s.="<td style='font-weight:bold;text-align:center;font-size: 12px' >".$row5['i_h']."</td>";
              
              // ------- Definitiva ----------
              
              $df=$obj->consulta("select * from notas_finales_areas
                                 where area='".$row0['codigo']."' 
                                 and grado='".$grado."' 
                                 and grupo='".$curso."' 
                                 and codigo='".$codigo."'");

               $nota_df = $obj->fetch_assoc($df);

               $ndf=decimales($nota_df['definitiva']);
 
               $s.="<td style='font-weight:bold;font-size:12px;text-align:center' >".$ndf."</td>    
                    <td style='font-weight:bold;font-size:12px;text-align:center'>".($nota_df['valor_area'])."</td>";


              /* --- Asignaturas que pertenecen a aun area --------*/
               
               $resultado=$obj->consulta("select curso_asignatura_profesor.asignatura, catalogo.descripcion, curso_asignatura_profesor.intensidad, curso_asignatura_profesor.peso
                                          from catalogo inner 
                                          join curso_asignatura_profesor 
                                          on catalogo.codigo = curso_asignatura_profesor.asignatura
                                          where curso_asignatura_profesor.grado='".$grado."' 
                                          and curso_asignatura_profesor.curso='".$curso."' 
                                          and catalogo.area='".$row0['codigo']."'");

               $n=$obj->numero_de_filas($resultado);

                if ($n>1){

                   while($row = $obj->fetch_assoc($resultado)){  //  ---  ASIGNATURAS  --

                                    
                           // -------Nota Final Asign ----------
                           
                           $p5=$obj->consulta("select * from notas_finales_asign
                                                where asignatura='".$row['asignatura']."' 
                                                and grado='".$grado."' 
                                                and grupo='".$curso."' 
                                                and codigo='".$codigo."'");

                           $t=$obj->numero_de_filas($p5);

                            if ($t!=0){

                              $nota_p5 = $obj->fetch_assoc($p5);

                              $np5=decimales($nota_p5['definitiva']);

 
                              $s.="<tr>";
                              $s.="<td style='font-size:14px' width='40%'><font color='white'>__</font><i>".($row['descripcion'])." (".($row['peso'])."%)</i></td>";
                              $s.="<td style='text-align:center;font-size: 14px' >".$row['intensidad']."</td>";
 
                              $s.="<td style='font-size:13px;text-align:center' >".$np5." </td>
                                   <td style='font-size:12px;text-align:center'><i> ".($nota_p5['valor_asigna'])."</i></td>";
                                   
                              $s.="</tr>";
                           }

                    }     //  ---  ASIGNATURAS  --
                    
                 }
                
                $s.="</tr>";
              }
              $s.="</table>";
        
          return $s;
    
    $obj->disconnect();          
}

//-----------------------------

function notas_promovidos($codigo){
   
     $obj= new database();
     $obj->conectar();
     $obj->consulta("set names 'utf8'");
   
     $query=$obj->consulta("select * from promovidos 
                            where alumno='".$codigo."' 
                            GROUP BY alumno,grado,curso"); 
                              
     $matri= $obj->fetch_assoc($query);
     $grado=$matri['grado'];
     $curso=$matri['curso'];
           
      //----- MOSTRAR LAS AREAS DEL CURSO -----------
      $s="";
      $resultado=$obj->consulta("SELECT areas.codigo, 
                                        areas.descripcion 
                                        FROM (areas INNER JOIN catalogo ON areas.codigo = catalogo.area) INNER JOIN curso_asignatura_profesor ON catalogo.codigo = curso_asignatura_profesor.asignatura
                                        GROUP BY areas.codigo, areas.descripcion, areas.orden, curso_asignatura_profesor.grado, curso_asignatura_profesor.curso
                                        HAVING curso_asignatura_profesor.grado='".$grado."' AND curso_asignatura_profesor.curso='".$curso."' ORDER BY areas.orden");


      $n=$obj->numero_de_filas($resultado);

      if ($n>0){  //1
          
          while($row = $obj->fetch_assoc($resultado)){  // 2 ---  ASIGNATURAS  --

               //----- ASIGNATURAS PERTENECIENTES AL AREA ---------

               $asig=$obj->consulta("SELECT 
                                    catalogo.area, 
                                    catalogo.codigo, 
                                    catalogo.descripcion,
                                    curso_asignatura_profesor.peso, 
                                    curso_asignatura_profesor.intensidad, 
                                    profesores.nombres
                                    FROM profesores 
                                    INNER JOIN (catalogo 
                                    INNER JOIN curso_asignatura_profesor ON catalogo.codigo = curso_asignatura_profesor.asignatura) ON profesores.cedula = curso_asignatura_profesor.profesor
                                    WHERE catalogo.area='".$row['codigo']."' 
                                    AND curso_asignatura_profesor.grado='".$grado."' 
                                    AND curso_asignatura_profesor.curso='".$curso."'  
                                    ORDER BY catalogo.orden");

               $num_asig=$obj->numero_de_filas($asig);

               $espacio='false';
               
               
               if ($num_asig>1 ){ //---- ENCABEZADO DEL AREA  -------
                   $espacio='true';
                   $s.="<center><table style='border:#FEFAFB 1px solid;' align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='90%'>";
                   $s.="<tr>";
                   $s.="<td width='60%' style='font-weight:bold;font-size:12px'>&nbsp;&nbsp;".($row['descripcion'])."</td>";

                   //----- CALCULO DEF DE LAS ASIGNATURAS PERTENECIENTES AL AREA ---------
                      
                   $nota_ap1=0;

                   $ap1=$obj->consulta("SELECT 
                                        curso_asignatura_profesor.peso, 
                                        promovidos.definitiva
                                        FROM (catalogo 
                                        INNER JOIN curso_asignatura_profesor 
                                        ON catalogo.codigo = curso_asignatura_profesor.asignatura) 
                                        INNER JOIN promovidos 
                                        ON curso_asignatura_profesor.asignatura = promovidos.asignatura 
                                        AND curso_asignatura_profesor.curso = promovidos.curso 
                                        AND curso_asignatura_profesor.grado = promovidos.grado
                                        WHERE catalogo.area='".$row['codigo']."' 
                                        AND promovidos.alumno='".$codigo."'");
                                             
                   while($row_def = $obj->fetch_assoc($ap1)){                             
                         $nota_ap1=$nota_ap1+($row_def['definitiva']*($row_def['peso']/100));
                   }
                   
                   $nap1 =ROUND(($nota_ap1),1);
                   $nivel=calculardef($nap1); 
                   
                   $s.="<td width='5%'></td>                        
                        <td width='15%' align='center' style='font-weight:bold;font-size:12px'>".$nap1."</td>  
                        <td width='20%' style='font-weight:bold;font-size:12px'>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".$nivel."</td>";
                  
                   $s.="</tr></table></center>"; 
 
               }
              
                
               while($row1 = $obj->fetch_assoc($asig)){ //---- ENCABEZADO DE ASIGNATURAS -------
                                                          
                    $s.="<center><table style='border:#FEFAFB 1px solid;' align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='90%'>";
                    $s.="<tr>";

                    if ($espacio=='true')
                        $s.="<td width='60%' style='font-weight:bold;font-size:12px' ><font color='white'>______</font><i>".($row1['descripcion'])." (".$row1['peso']."%)</i> </td>
                             <td width='5%' align='center'>".$row1['intensidad']."</td>";

                    else
                        $s.="<td width='60%' style='font-weight:bold;font-size:12px' >&nbsp;".($row1['descripcion'])."</td>
                             <td width='5%' style='font-size:12px' align='center'>".$row1['intensidad']."</td>";
                        
                    $p1=$obj->consulta("SELECT * FROM promovidos
                                        WHERE asignatura='".$row1['codigo']."' 
                                        AND grado='".$grado."' 
                                        AND curso='".$curso."' 
                                        AND alumno='".$codigo."'");

                         $n_p1 = $obj->fetch_assoc($p1);

                         $n3=decimales($n_p1['definitiva']);
                                                  
                         $s.="<td width='15%' align='center' style='font-weight:bold;font-size:12px'>".$n3."</td>
                              <td width='20%' style='font-weight:bold;font-size:12px'>
                              &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                              &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".$n_p1['valor_asigna']."</td>";
                                               
                         $s.="</tr></table></center>";
                                                    
               }
                              
          } // 2 
          
      } //1
      
      return $s;
      $obj->disconnect();
      
}

//-----------------------------------------


function generar_pdf($carpeta, $html, $codigo) {

    $dompdf = new DOMPDF();
    $dompdf->load_html($html);
    $dompdf->set_paper('a4', 'portrait');
    $dompdf->render();
    $output = $dompdf->output();
    file_put_contents($carpeta . '/' . $codigo . '.pdf', $output);
}


if (empty($_REQUEST['incr'])) {
    $e = 0;
} else {
    $e = $_REQUEST['incr'];
}

$ob= new database();
$ob->conectar();
$ob->consulta("set names 'utf8'");

$fecha=$_REQUEST['fecha'];

if (empty($_REQUEST['carp']))
    $nombre_carpeta = 'Libro_Final_'.$_SESSION['anolectivo'];
            
        //------ Informacion Colegio
        
        $rs = $ob->consulta("select * from registrar");
        $info = $ob->fetch_assoc($rs);
        
        $query = $ob->consulta("select * from parametros");
        $param = $ob->fetch_assoc($query);        
       
        $nm = $ob->consulta("select * from libro_final");
        $tot = $ob->numero_de_filas($nm);


if ($tot > 0){

    $resultadoe = $ob->consulta("SELECT * from libro_final ORDER BY numero limit ".$e.",10");

    while ($x = $ob->fetch_assoc($resultadoe)){

        $codigo = $x['codigo'];
        $grado = $x['grado'];   
                     
        $html = "
        <html>
        <head>        
        <meta http-equiv='expires' content='0'>
        <meta http-equiv='Cache-Control' content='no-cache'>
        <meta http-equiv='Pragma' CONTENT='no-cache'>
           
        <title>Boletin Acad&eacute;mico</title>  
  
  <style>
    
    #footer { position: fixed; left: 0px; bottom:0px; right: 0px; height:230px; background-color: white; }
    #footer .page:after { content: counter(page, upper-roman); }
    @page { margin: 30px 45px 0px 45px; }
 
  </style>
        </head>

<body>
<CENTER>
<img height='130' width='90%' src='../../../../imagenes/encabezado_boletin.jpg'/>
</CENTER>
   
<table id='font' border=0 width='90%'  align='center'>
<tr> 
<td align='right' width='70%'><FONT size='2'><b>CERTIFICADO DE ESTUDIO<b></FONT></td>
<td align='right' width='30%'><b>FOLIO No.  ".ceros($x['numero'])."</b></td>
</tr>

<tr>
<td align='justify' colspan='2' style='font-size:12px'>
".($info['certificadofinal'])."
</td>
</tr>

<tr>
<td  colspan='2' align='center' style='font-size:12px'>
<b> CERTIFICAN </b>
</td>
</tr>

<tr> 
<td align='justify' colspan='2' style='font-size:12px'>";



if ($x['promovido']=='SI')
    $html.=leyenda_promovidos($codigo);
else
    $html.=leyenda($codigo,$grado);


$html.= "</td>
</tr>
</table>";


if ($x['promovido']=='SI')
    $html.=notas_promovidos($codigo);
else
   $html.=notas($codigo,$grado);


$dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","S&aacute;bado");
$meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");


  //-----------------------------
  //---Escala de Valoracion -----
  //-----------------------------
  
  $ran=$ob->consulta("select * from rangos order by orden");

  $html.="<table align='center' cellspacing='0' cellpadding='0' width='90%' border='1' style='font-size: 11px; text-align:center;'>";
  $html.="<tr>";
  $html.="<td>ESCALA DE VALORACI&Oacute;N</td>";

  
  while($row_r=$ob->fetch_assoc($ran)){
       
      if ($row_r['inferior']==">=")
          $r1=$row_r['v1'];
      else 
          $r1=$row_r['v1']+0.1;
          
      //-----------------------------
      
      if ($row_r['superior']=="<=")
          $r2=$row_r['v2'];
      else 
          $r2=$row_r['v2']-0.1;
      
        
      $html.="<td>".($row_r['descripcion'])." (".decimales($r1)." - ".decimales($r2).")</td>";

  }

  $html.="</tr>"; 
  $html.="</table>";

//-----------------------------

if ($x['promovido']!="SI"){ 

/*-----MUESTRAS LAS HABILITACIONES ----- */

  $habil=$ob->consulta("select codigo, asignatura, habilitacion, valor_habilitacion, area 
                        from notas_finales_asign 
                        where codigo='".$codigo."' 
                        and habilitacion<>'NULL'");

  if($ob->numero_de_filas($habil) > 0) {
            
    $html.="<table align='center' border='0' cellspacing='0' cellpadding='0' class='hovertable' width='90%'>";
    $html.="<tr style='font-weight:bold;font-size: 11px'>  <td>";

    $html.="SUPERACIONES: ";
    while($row_h = $ob->fetch_assoc($habil)){

          $asign=$ob->consulta("select * from catalogo 
                               where codigo='".$row_h['asignatura']."'");
                               
          $row_c = $ob->fetch_assoc($asign);

          $html.="(".($row_c['descripcion'])." - ".($row_h['habilitacion'])." - ".$row_h['valor_habilitacion'].") ";
    }
    $html.="</td></tr></table>";
 }
               

     //-------- ESTADO FINAL --------------


     $html.="<table  width='90%'  border='0' id='font' align='center' cellspacing='0' cellpadding='0' >";

     $query_m=$ob->consulta("SELECT * from matriculas 
                              WHERE codigo='".$codigo."'");
  
     $matri= $ob->fetch_assoc($query_m);

     if ($matri['promovido']=='SI')
         $estadofinal='APROBADO';
     elseif ($matri['promovido']=='NO')
         $estadofinal='NO APROBADO';

     else
         $estadofinal='RETIRADO';

}
else{
   
   $html.="<table  width='90%'  border='0' id='font' align='center' cellspacing='0' cellpadding='0' >";

   $estadofinal='APROBADO';

}
   
$html.="<tr><td style='font-size: 11px'>&nbsp;ESTADO FINAL  :".$estadofinal;
$html.="</td></table>";

//------------------------------------

$html.="

<table  width='90%'  align='center' id='font'>
    <tr>
        <td align='justify'>
            El Sistema Educativo vigente est&aacute; reglamentado por la Ley 115, Decreto 1860 de 1994 y 1290 de 2009.<br>            

            El presente certificado no necesita de autenticaci&oacute;n en Notar&iacute;a alguna ni VoBo del Delegado
            de MEN, en virtud de los decretos 1024/82 y 1789/88, respectivamente.
            <br>
            Dado en ".($info['municipio']).", el d&iacute;a ".$fecha.".

    </tr>

</table>";

$html.="
<div id='footer'>  
<center>

          
<table width='100%' border='0' align='center'>
<tr>
<td align='center'>
<img height='100' width='200' src='../../../../imagenes/firma1.jpg'/>
</td>    
                    
<td align='center'>
<img height='100' width='200' src='../../../../imagenes/firma2.jpg'/>
</td>
</tr>

<tr>
<td style='font-size: 14px; text-align:center;'><b>".($param['rector'])."</b></td>
<td style='font-size: 14px; text-align:center;'><b>".($param['secretario'])."</b></td>
</tr>

<tr>
<td style='font-size: 14px; text-align:center;'>".($param['cedula_rector'])."</td>
<td style='font-size: 14px; text-align:center;'>".($param['cedula_secretario'])."</td></tr>

<tr>
<td style='font-size: 12px; text-align:center;'>Rector</td>
<td style='font-size: 12px; text-align:center;'>Secretaria</td></tr>
</table>  


</center>  
</div>
</body>
</html>";

$nombre_carpeta = 'Libro_Final_'.$_SESSION['anolectivo'];

    if (!is_dir($nombre_carpeta)) {
        @mkdir($nombre_carpeta . '/', 0700);
    }

    generar_pdf('Libro_Final_'.$_SESSION['anolectivo'], ($html), ceros($x['numero']));
}

    //$ob->disconnect();

    $e = $e + 10;

    if ($e >= $tot) {
        
            $zip = new ZipArchive();
            if ($zip->open($nombre_carpeta.".zip", ZIPARCHIVE::CREATE)==TRUE) {
               comprimirDirectorio($nombre_carpeta, $zip);
               $zip -> close();
            }
 
           //--------------------- 
            
           $files = glob($nombre_carpeta.'/*.pdf'); //obtenemos todos los nombres de los ficheros
           foreach($files as $file){
                if(is_file($file))
                   unlink($file); //elimino el fichero
           }    
           rmdir($nombre_carpeta); 
           //-------------------------
            
            $file = $nombre_carpeta.".zip"; 
            header("Content-Transfer-Encoding: binary"); 
            header("Content-type: application/octet-stream"); 
            header("Content-Disposition: attachment; filename=".basename($file)); 
            header("Content-Length: ".filesize($file)); 
            readfile($file); 
            
            unlink($file);
            
         
    } else {


        header('Location: boletin_academico_curso.php?carp='.$nombre_carpeta.'&anolectivo='.$_SESSION['anolectivo'].'&incr='.$e.'&fecha='.$fecha);
    }
}
?>